com.mysql.cj.exceptions

## Class MysqlErrorNumbers

- java.lang.Object
- - com.mysql.cj.exceptions.MysqlErrorNumbers

    public final class MysqlErrorNumbers
    extends Object

Constants representing MySQL error numbers returned by the server in error messages.

### Field Summary

Fields
`static int` `ER_ABORTING_CONNECTION`
`static int` `ER_ACCESS_DENIED_CHANGE_USER_ERROR`
`static int` `ER_ACCESS_DENIED_ERROR`
`static int` `ER_ACCESS_DENIED_NO_PASSWORD_ERROR`
`static int` `ER_ADD_PARTITION_NO_NEW_PARTITION`
`static int` `ER_ADD_PARTITION_SUBPART_ERROR`
`static int` `ER_ADMIN_WRONG_MRG_TABLE`
`static int` `ER_AES_INVALID_IV`
`static int` `ER_ALTER_FILEGROUP_FAILED`
`static int` `ER_ALTER_INFO`
`static int` `ER_ALTER_OPERATION_NOT_SUPPORTED`
`static int` `ER_ALTER_OPERATION_NOT_SUPPORTED_REASON`
`static int` `ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_AUTOINC`
`static int` `ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_CHANGE_FTS`
`static int` `ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_COLUMN_TYPE`
`static int` `ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_COPY`
`static int` `ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_FK_CHECK`
`static int` `ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_FK_RENAME`
`static int` `ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_FTS`
`static int` `ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_HIDDEN_FTS`
`static int` `ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_IGNORE`
`static int` `ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_NOPK`
`static int` `ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_NOT_NULL`
`static int` `ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_PARTITION`
`static int` `ER_AMBIGUOUS_FIELD_TERM`
`static int` `ER_AUTO_CONVERT`
`static int` `ER_AUTO_INCREMENT_CONFLICT`
`static int` `ER_AUTO_POSITION_REQUIRES_GTID_MODE_ON`
`static int` `ER_AUTOINC_READ_FAILED`
`static int` `ER_BAD_DB_ERROR`
`static int` `ER_BAD_FIELD_ERROR`
`static int` `ER_BAD_FT_COLUMN`
`static int` `ER_BAD_HOST_ERROR`
`static int` `ER_BAD_LOG_STATEMENT`
`static int` `ER_BAD_NULL_ERROR`
`static int` `ER_BAD_REPLICA`
`static int` `ER_BAD_REPLICA_AUTO_POSITION`
`static int` `ER_BAD_REPLICA_UNTIL_COND`
`static int` `ER_BAD_SLAVE` Deprecated.
`static int` `ER_BAD_SLAVE_AUTO_POSITION` Deprecated.
`static int` `ER_BAD_SLAVE_UNTIL_COND` Deprecated.
`static int` `ER_BAD_TABLE_ERROR`
`static int` `ER_BASE64_DECODE_ERROR`
`static int` `ER_BINLOG_CACHE_SIZE_GREATER_THAN_MAX`
`static int` `ER_BINLOG_CREATE_ROUTINE_NEED_SUPER`
`static int` `ER_BINLOG_LOGGING_IMPOSSIBLE`
`static int` `ER_BINLOG_LOGICAL_CORRUPTION`
`static int` `ER_BINLOG_MULTIPLE_ENGINES_AND_SELF_LOGGING_ENGINE`
`static int` `ER_BINLOG_PURGE_EMFILE`
`static int` `ER_BINLOG_PURGE_FATAL_ERR`
`static int` `ER_BINLOG_PURGE_PROHIBITED`
`static int` `ER_BINLOG_READ_EVENT_CHECKSUM_FAILURE`
`static int` `ER_BINLOG_ROW_ENGINE_AND_STMT_ENGINE`
`static int` `ER_BINLOG_ROW_INJECTION_AND_STMT_ENGINE`
`static int` `ER_BINLOG_ROW_INJECTION_AND_STMT_MODE`
`static int` `ER_BINLOG_ROW_LOGGING_FAILED`
`static int` `ER_BINLOG_ROW_MODE_AND_STMT_ENGINE`
`static int` `ER_BINLOG_ROW_RBR_TO_SBR`
`static int` `ER_BINLOG_ROW_WRONG_TABLE_DEF`
`static int` `ER_BINLOG_STMT_CACHE_SIZE_GREATER_THAN_MAX`
`static int` `ER_BINLOG_STMT_MODE_AND_NO_REPL_TABLES`
`static int` `ER_BINLOG_STMT_MODE_AND_ROW_ENGINE`
`static int` `ER_BINLOG_UNSAFE_AND_STMT_ENGINE`
`static int` `ER_BINLOG_UNSAFE_AUTOINC_COLUMNS`
`static int` `ER_BINLOG_UNSAFE_AUTOINC_NOT_FIRST`
`static int` `ER_BINLOG_UNSAFE_CREATE_IGNORE_SELECT`
`static int` `ER_BINLOG_UNSAFE_CREATE_REPLACE_SELECT`
`static int` `ER_BINLOG_UNSAFE_CREATE_SELECT_AUTOINC`
`static int` `ER_BINLOG_UNSAFE_FULLTEXT_PLUGIN`
`static int` `ER_BINLOG_UNSAFE_INSERT_DELAYED`
`static int` `ER_BINLOG_UNSAFE_INSERT_IGNORE_SELECT`
`static int` `ER_BINLOG_UNSAFE_INSERT_SELECT_UPDATE`
`static int` `ER_BINLOG_UNSAFE_INSERT_TWO_KEYS`
`static int` `ER_BINLOG_UNSAFE_LIMIT`
`static int` `ER_BINLOG_UNSAFE_MIXED_STATEMENT`
`static int` `ER_BINLOG_UNSAFE_MULTIPLE_ENGINES_AND_SELF_LOGGING_ENGINE`
`static int` `ER_BINLOG_UNSAFE_NONTRANS_AFTER_TRANS`
`static int` `ER_BINLOG_UNSAFE_REPLACE_SELECT`
`static int` `ER_BINLOG_UNSAFE_ROUTINE`
`static int` `ER_BINLOG_UNSAFE_STATEMENT`
`static int` `ER_BINLOG_UNSAFE_SYSTEM_FUNCTION`
`static int` `ER_BINLOG_UNSAFE_SYSTEM_TABLE`
`static int` `ER_BINLOG_UNSAFE_SYSTEM_VARIABLE`
`static int` `ER_BINLOG_UNSAFE_UDF`
`static int` `ER_BINLOG_UNSAFE_UPDATE_IGNORE`
`static int` `ER_BINLOG_UNSAFE_WRITE_AUTOINC_SELECT`
`static int` `ER_BLOB_CANT_HAVE_DEFAULT`
`static int` `ER_BLOB_FIELD_IN_PART_FUNC_ERROR`
`static int` `ER_BLOB_KEY_WITHOUT_LENGTH`
`static int` `ER_BLOB_USED_AS_KEY`
`static int` `ER_BLOBS_AND_NO_TERMINATED`
`static int` `ER_CANNOT_ADD_FOREIGN`
`static int` `ER_CANNOT_DISCARD_TEMPORARY_TABLE`
`static int` `ER_CANNOT_LOAD_FROM_TABLE`
`static int` `ER_CANNOT_LOAD_FROM_TABLE_V2`
`static int` `ER_CANNOT_USER`
`static int` `ER_CANT_ACTIVATE_LOG`
`static int` `ER_CANT_AGGREGATE_2COLLATIONS`
`static int` `ER_CANT_AGGREGATE_3COLLATIONS`
`static int` `ER_CANT_AGGREGATE_NCOLLATIONS`
`static int` `ER_CANT_CHANGE_GTID_NEXT_IN_TRANSACTION_WHEN_GTID_NEXT_LIST_IS_NULL`
`static int` `ER_CANT_CHANGE_TX_ISOLATION`
`static int` `ER_CANT_CREATE_DB`
`static int` `ER_CANT_CREATE_FEDERATED_TABLE`
`static int` `ER_CANT_CREATE_FILE`
`static int` `ER_CANT_CREATE_GEOMETRY_OBJECT`
`static int` `ER_CANT_CREATE_HANDLER_FILE`
`static int` `ER_CANT_CREATE_SROUTINE`
`static int` `ER_CANT_CREATE_TABLE`
`static int` `ER_CANT_CREATE_THREAD`
`static int` `ER_CANT_CREATE_USER_WITH_GRANT`
`static int` `ER_CANT_DELETE_FILE`
`static int` `ER_CANT_DO_IMPLICIT_COMMIT_IN_TRX_WHEN_GTID_NEXT_IS_SET`
`static int` `ER_CANT_DO_THIS_DURING_AN_TRANSACTION`
`static int` `ER_CANT_DROP_FIELD_OR_KEY`
`static int` `ER_CANT_EXECUTE_IN_READ_ONLY_TRANSACTION`
`static int` `ER_CANT_FIND_DL_ENTRY`
`static int` `ER_CANT_FIND_SYSTEM_REC`
`static int` `ER_CANT_FIND_UDF`
`static int` `ER_CANT_GET_STAT`
`static int` `ER_CANT_GET_WD`
`static int` `ER_CANT_INITIALIZE_UDF`
`static int` `ER_CANT_LOCK`
`static int` `ER_CANT_LOCK_LOG_TABLE`
`static int` `ER_CANT_OPEN_FILE`
`static int` `ER_CANT_OPEN_LIBRARY`
`static int` `ER_CANT_READ_DIR`
`static int` `ER_CANT_REMOVE_ALL_FIELDS`
`static int` `ER_CANT_RENAME_LOG_TABLE`
`static int` `ER_CANT_REOPEN_TABLE`
`static int` `ER_CANT_SET_GTID_NEXT_LIST_TO_NON_NULL_WHEN_GTID_MODE_IS_OFF`
`static int` `ER_CANT_SET_GTID_NEXT_TO_ANONYMOUS_WHEN_GTID_MODE_IS_ON`
`static int` `ER_CANT_SET_GTID_NEXT_TO_GTID_WHEN_GTID_MODE_IS_OFF`
`static int` `ER_CANT_SET_GTID_NEXT_WHEN_OWNING_GTID`
`static int` `ER_CANT_SET_GTID_PURGED_WHEN_GTID_EXECUTED_IS_NOT_EMPTY`
`static int` `ER_CANT_SET_GTID_PURGED_WHEN_GTID_MODE_IS_OFF`
`static int` `ER_CANT_SET_GTID_PURGED_WHEN_OWNED_GTIDS_IS_NOT_EMPTY`
`static int` `ER_CANT_SET_WD`
`static int` `ER_CANT_UPDATE_TABLE_IN_CREATE_TABLE_SELECT`
`static int` `ER_CANT_UPDATE_USED_TABLE_IN_SF_OR_TRG`
`static int` `ER_CANT_UPDATE_WITH_READLOCK`
`static int` `ER_CANT_USE_OPTION_HERE`
`static int` `ER_CANT_WRITE_LOCK_LOG_TABLE`
`static int` `ER_CHANGE_RPL_INFO_REPOSITORY_FAILURE`
`static int` `ER_CHECK_NO_SUCH_TABLE`
`static int` `ER_CHECK_NOT_IMPLEMENTED`
`static int` `ER_CHECKREAD`
`static int` `ER_CLIENT_INTERACTION_TIMEOUT`
`static int` `ER_COALESCE_ONLY_ON_HASH_PARTITION`
`static int` `ER_COALESCE_PARTITION_NO_PARTITION`
`static int` `ER_COL_COUNT_DOESNT_MATCH_CORRUPTED`
`static int` `ER_COL_COUNT_DOESNT_MATCH_CORRUPTED_V2`
`static int` `ER_COL_COUNT_DOESNT_MATCH_PLEASE_UPDATE`
`static int` `ER_COL_COUNT_DOESNT_MATCH_PLEASE_UPDATE_V2`
`static int` `ER_COLLATION_CHARSET_MISMATCH`
`static int` `ER_COLUMNACCESS_DENIED_ERROR`
`static int` `ER_COMMIT_NOT_ALLOWED_IN_SF_OR_TRG`
`static int` `ER_CON_COUNT_ERROR`
`static int` `ER_COND_ITEM_TOO_LONG`
`static int` `ER_CONFLICT_FN_PARSE_ERROR`
`static int` `ER_CONFLICTING_DECLARATIONS`
`static int` `ER_CONNECT_TO_FOREIGN_DATA_SOURCE`
`static int` `ER_CONNECT_TO_MASTER` Deprecated.
`static int` `ER_CONNECT_TO_SOURCE`
`static int` `ER_CONSECUTIVE_REORG_PARTITIONS`
`static int` `ER_CORRUPT_HELP_DB`
`static int` `ER_CRASHED_ON_REPAIR`
`static int` `ER_CRASHED_ON_USAGE`
`static int` `ER_CREATE_DB_WITH_READ_LOCK`
`static int` `ER_CREATE_FILEGROUP_FAILED`
`static int` `ER_CUT_VALUE_GROUP_CONCAT`
`static int` `ER_CYCLIC_REFERENCE`
`static int` `ER_DA_INVALID_CONDITION_NUMBER`
`static int` `ER_DATA_OUT_OF_RANGE`
`static int` `ER_DATA_TOO_LONG`
`static int` `ER_DATABASE_NAME`
`static int` `ER_DATETIME_FUNCTION_OVERFLOW`
`static int` `ER_DB_CREATE_EXISTS`
`static int` `ER_DB_DROP_DELETE`
`static int` `ER_DB_DROP_EXISTS`
`static int` `ER_DB_DROP_RMDIR`
`static int` `ER_DBACCESS_DENIED_ERROR`
`static int` `ER_DDL_LOG_ERROR`
`static int` `ER_DEBUG_SYNC_HIT_LIMIT`
`static int` `ER_DEBUG_SYNC_TIMEOUT`
`static int` `ER_DELAYED_CANT_CHANGE_LOCK`
`static int` `ER_DELAYED_INSERT_TABLE_LOCKED`
`static int` `ER_DELAYED_NOT_SUPPORTED`
`static int` `ER_DERIVED_MUST_HAVE_ALIAS`
`static int` `ER_DIFF_GROUPS_PROC`
`static int` `ER_DISCARD_FK_CHECKS_RUNNING`
`static int` `ER_DISK_FULL`
`static int` `ER_DIVISION_BY_ZERO`
`static int` `ER_DROP_DB_WITH_READ_LOCK`
`static int` `ER_DROP_FILEGROUP_FAILED`
`static int` `ER_DROP_INDEX_FK`
`static int` `ER_DROP_LAST_PARTITION`
`static int` `ER_DROP_PARTITION_NON_EXISTENT`
`static int` `ER_DROP_USER`
`static int` `ER_DUMP_NOT_IMPLEMENTED`
`static int` `ER_DUP_ARGUMENT`
`static int` `ER_DUP_ENTRY`
`static int` `ER_DUP_ENTRY_AUTOINCREMENT_CASE`
`static int` `ER_DUP_ENTRY_WITH_KEY_NAME`
`static int` `ER_DUP_FIELDNAME`
`static int` `ER_DUP_INDEX`
`static int` `ER_DUP_KEY`
`static int` `ER_DUP_KEYNAME`
`static int` `ER_DUP_LIST_ENTRY`
`static int` `ER_DUP_SIGNAL_SET`
`static int` `ER_DUP_UNIQUE`
`static int` `ER_DUP_UNKNOWN_IN_INDEX`
`static int` `ER_DUPLICATED_VALUE_IN_TYPE`
`static int` `ER_EMPTY_QUERY`
`static int` `ER_ENGINE_OUT_OF_MEMORY`
`static int` `ER_ERROR_DURING_CHECKPOINT`
`static int` `ER_ERROR_DURING_COMMIT`
`static int` `ER_ERROR_DURING_FLUSH_LOGS`
`static int` `ER_ERROR_DURING_ROLLBACK`
`static int` `ER_ERROR_IN_TRIGGER_BODY`
`static int` `ER_ERROR_IN_UNKNOWN_TRIGGER_BODY`
`static int` `ER_ERROR_MESSAGES`
`static int` `ER_ERROR_ON_CLOSE`
`static int` `ER_ERROR_ON_MASTER` Deprecated.
`static int` `ER_ERROR_ON_READ`
`static int` `ER_ERROR_ON_RENAME`
`static int` `ER_ERROR_ON_SOURCE`
`static int` `ER_ERROR_ON_WRITE`
`static int` `ER_ERROR_WHEN_EXECUTING_COMMAND`
`static int` `ER_EVENT_ALREADY_EXISTS`
`static int` `ER_EVENT_CANNOT_ALTER_IN_THE_PAST`
`static int` `ER_EVENT_CANNOT_CREATE_IN_THE_PAST`
`static int` `ER_EVENT_CANNOT_DELETE`
`static int` `ER_EVENT_CANT_ALTER`
`static int` `ER_EVENT_COMPILE_ERROR`
`static int` `ER_EVENT_DATA_TOO_LONG`
`static int` `ER_EVENT_DOES_NOT_EXIST`
`static int` `ER_EVENT_DROP_FAILED`
`static int` `ER_EVENT_ENDS_BEFORE_STARTS`
`static int` `ER_EVENT_EXEC_TIME_IN_THE_PAST`
`static int` `ER_EVENT_INTERVAL_NOT_POSITIVE_OR_TOO_BIG`
`static int` `ER_EVENT_INVALID_CREATION_CTX`
`static int` `ER_EVENT_MODIFY_QUEUE_ERROR`
`static int` `ER_EVENT_NEITHER_M_EXPR_NOR_M_AT`
`static int` `ER_EVENT_OPEN_TABLE_FAILED`
`static int` `ER_EVENT_RECURSION_FORBIDDEN`
`static int` `ER_EVENT_SAME_NAME`
`static int` `ER_EVENT_SET_VAR_ERROR`
`static int` `ER_EVENT_STORE_FAILED`
`static int` `ER_EVENTS_DB_ERROR`
`static int` `ER_EXCEPTIONS_WRITE_ERROR`
`static int` `ER_EXEC_STMT_WITH_OPEN_CURSOR`
`static int` `ER_EXPLAIN_NOT_SUPPORTED`
`static int` `ER_FAILED_READ_FROM_PAR_FILE`
`static int` `ER_FAILED_ROUTINE_BREAK_BINLOG`
`static int` `ER_FEATURE_DISABLED`
`static int` `ER_FIELD_NOT_FOUND_PART_ERROR`
`static int` `ER_FIELD_SPECIFIED_TWICE`
`static int` `ER_FIELD_TYPE_NOT_ALLOWED_AS_PARTITION_FIELD`
`static int` `ER_FILE_CORRUPT`
`static int` `ER_FILE_EXISTS_ERROR`
`static int` `ER_FILE_NOT_FOUND`
`static int` `ER_FILE_USED`
`static int` `ER_FILEGROUP_OPTION_ONLY_ONCE`
`static int` `ER_FILSORT_ABORT`
`static int` `ER_FK_CANNOT_DELETE_PARENT`
`static int` `ER_FK_CANNOT_OPEN_PARENT`
`static int` `ER_FK_COLUMN_CANNOT_CHANGE`
`static int` `ER_FK_COLUMN_CANNOT_CHANGE_CHILD`
`static int` `ER_FK_COLUMN_CANNOT_DROP`
`static int` `ER_FK_COLUMN_CANNOT_DROP_CHILD`
`static int` `ER_FK_COLUMN_NOT_NULL`
`static int` `ER_FK_DEPTH_EXCEEDED`
`static int` `ER_FK_DUP_NAME`
`static int` `ER_FK_FAIL_ADD_SYSTEM`
`static int` `ER_FK_INCORRECT_OPTION`
`static int` `ER_FK_NO_INDEX_CHILD`
`static int` `ER_FK_NO_INDEX_PARENT`
`static int` `ER_FLUSH_MASTER_BINLOG_CLOSED` Deprecated.
`static int` `ER_FLUSH_SOURCE_BINLOG_CLOSED`
`static int` `ER_FORBID_SCHEMA_CHANGE`
`static int` `ER_FORCING_CLOSE`
`static int` `ER_FOREIGN_DATA_SOURCE_DOESNT_EXIST`
`static int` `ER_FOREIGN_DATA_STRING_INVALID`
`static int` `ER_FOREIGN_DATA_STRING_INVALID_CANT_CREATE`
`static int` `ER_FOREIGN_DUPLICATE_KEY`
`static int` `ER_FOREIGN_DUPLICATE_KEY_WITH_CHILD_INFO`
`static int` `ER_FOREIGN_DUPLICATE_KEY_WITHOUT_CHILD_INFO`
`static int` `ER_FOREIGN_KEY_ON_PARTITIONED`
`static int` `ER_FOREIGN_SERVER_DOESNT_EXIST`
`static int` `ER_FOREIGN_SERVER_EXISTS`
`static int` `ER_FORM_NOT_FOUND`
`static int` `ER_FOUND_GTID_EVENT_WHEN_GTID_MODE_IS_OFF`
`static int` `ER_FPARSER_BAD_HEADER`
`static int` `ER_FPARSER_EOF_IN_COMMENT`
`static int` `ER_FPARSER_EOF_IN_UNKNOWN_PARAMETER`
`static int` `ER_FPARSER_ERROR_IN_PARAMETER`
`static int` `ER_FPARSER_TOO_BIG_FILE`
`static int` `ER_FRM_UNKNOWN_TYPE`
`static int` `ER_FSEEK_FAIL`
`static int` `ER_FT_MATCHING_KEY_NOT_FOUND`
`static int` `ER_FULLTEXT_NOT_SUPPORTED_WITH_PARTITIONING`
`static int` `ER_FUNC_INEXISTENT_NAME_COLLISION`
`static int` `ER_FUNCTION_NOT_DEFINED`
`static int` `ER_GET_ERRMSG`
`static int` `ER_GET_ERRNO`
`static int` `ER_GET_STACKED_DA_WITHOUT_ACTIVE_HANDLER`
`static int` `ER_GET_TEMPORARY_ERRMSG`
`static int` `ER_GLOBAL_VARIABLE`
`static int` `ER_GNO_EXHAUSTED`
`static int` `ER_GOT_SIGNAL`
`static int` `ER_GRANT_PLUGIN_USER_EXISTS`
`static int` `ER_GRANT_WRONG_HOST_OR_USER`
`static int` `ER_GTID_EXECUTED_WAS_CHANGED`
`static int` `ER_GTID_MODE_2_OR_3_REQUIRES_ENFORCE_GTID_CONSISTENCY_ON`
`static int` `ER_GTID_MODE_CAN_ONLY_CHANGE_ONE_STEP_AT_A_TIME`
`static int` `ER_GTID_MODE_REQUIRES_BINLOG`
`static int` `ER_GTID_NEXT_CANT_BE_AUTOMATIC_IF_GTID_NEXT_LIST_IS_NON_NULL`
`static int` `ER_GTID_NEXT_IS_NOT_IN_GTID_NEXT_LIST`
`static int` `ER_GTID_NEXT_TYPE_UNDEFINED_GROUP`
`static int` `ER_GTID_PURGED_WAS_CHANGED`
`static int` `ER_GTID_UNSAFE_CREATE_DROP_TEMPORARY_TABLE_IN_TRANSACTION`
`static int` `ER_GTID_UNSAFE_CREATE_SELECT`
`static int` `ER_GTID_UNSAFE_NON_TRANSACTIONAL_TABLE`
`static int` `ER_HANDSHAKE_ERROR`
`static int` `ER_HASHCHK`
`static int` `ER_HOST_IS_BLOCKED`
`static int` `ER_HOST_NOT_PRIVILEGED`
`static int` `ER_HOSTNAME`
`static int` `ER_IDENT_CAUSES_TOO_LONG_PATH`
`static int` `ER_ILLEGAL_GRANT_FOR_TABLE`
`static int` `ER_ILLEGAL_HA`
`static int` `ER_ILLEGAL_HA_CREATE_OPTION`
`static int` `ER_ILLEGAL_REFERENCE`
`static int` `ER_ILLEGAL_VALUE_FOR_TYPE`
`static int` `ER_INCONSISTENT_ERROR`
`static int` `ER_INCONSISTENT_PARTITION_INFO_ERROR`
`static int` `ER_INCONSISTENT_TYPE_OF_FUNCTIONS_ERROR`
`static int` `ER_INCORRECT_GLOBAL_LOCAL_VAR`
`static int` `ER_INDEX_COLUMN_TOO_LONG`
`static int` `ER_INDEX_CORRUPT`
`static int` `ER_INDEX_REBUILD`
`static int` `ER_INNODB_FORCED_RECOVERY`
`static int` `ER_INNODB_FT_AUX_NOT_HEX_ID`
`static int` `ER_INNODB_FT_LIMIT`
`static int` `ER_INNODB_FT_WRONG_DOCID_COLUMN`
`static int` `ER_INNODB_FT_WRONG_DOCID_INDEX`
`static int` `ER_INNODB_IMPORT_ERROR`
`static int` `ER_INNODB_INDEX_CORRUPT`
`static int` `ER_INNODB_NO_FT_TEMP_TABLE`
`static int` `ER_INNODB_NO_FT_USES_PARSER`
`static int` `ER_INNODB_ONLINE_LOG_TOO_BIG`
`static int` `ER_INNODB_READ_ONLY`
`static int` `ER_INNODB_UNDO_LOG_FULL`
`static int` `ER_INSECURE_CHANGE_MASTER` Deprecated.
`static int` `ER_INSECURE_CHANGE_SOURCE`
`static int` `ER_INSECURE_PLAIN_TEXT`
`static int` `ER_INSERT_INFO`
`static int` `ER_INSIDE_TRANSACTION_PREVENTS_SWITCH_BINLOG_DIRECT`
`static int` `ER_INSIDE_TRANSACTION_PREVENTS_SWITCH_BINLOG_FORMAT`
`static int` `ER_INSIDE_TRANSACTION_PREVENTS_SWITCH_SQL_LOG_BIN`
`static int` `ER_INTERNAL_ERROR`
`static int` `ER_INVALID_ARGUMENT_FOR_LOGARITHM`
`static int` `ER_INVALID_CHARACTER_STRING`
`static int` `ER_INVALID_DEFAULT`
`static int` `ER_INVALID_FIELD_SIZE`
`static int` `ER_INVALID_GROUP_FUNC_USE`
`static int` `ER_INVALID_ON_UPDATE`
`static int` `ER_INVALID_USE_OF_NULL`
`static int` `ER_INVALID_YEAR_COLUMN_LENGTH`
`static int` `ER_IO_ERR_LOG_INDEX_READ`
`static int` `ER_IO_READ_ERROR`
`static int` `ER_IO_WRITE_ERROR`
`static int` `ER_IPSOCK_ERROR`
`static int` `ER_KEY_COLUMN_DOES_NOT_EXITS`
`static int` `ER_KEY_DOES_NOT_EXITS`
`static int` `ER_KEY_NOT_FOUND`
`static int` `ER_KEY_PART_0`
`static int` `ER_KEY_REF_DO_NOT_MATCH_TABLE_REF`
`static int` `ER_KILL_DENIED_ERROR`
`static int` `ER_LIMITED_PART_RANGE`
`static int` `ER_LIST_OF_FIELDS_ONLY_IN_HASH_ERROR`
`static int` `ER_LOAD_DATA_INVALID_COLUMN`
`static int` `ER_LOAD_FROM_FIXED_SIZE_ROWS_TO_VAR`
`static int` `ER_LOAD_INFO`
`static int` `ER_LOCAL_VARIABLE`
`static int` `ER_LOCK_ABORTED`
`static int` `ER_LOCK_DEADLOCK`
`static int` `ER_LOCK_OR_ACTIVE_TRANSACTION`
`static int` `ER_LOCK_TABLE_FULL`
`static int` `ER_LOCK_WAIT_TIMEOUT`
`static int` `ER_LOG_IN_USE`
`static int` `ER_LOG_PURGE_NO_FILE`
`static int` `ER_LOG_PURGE_UNKNOWN_ERR`
`static int` `ER_LOGGING_PROHIBIT_CHANGING_OF`
`static int` `ER_M_BIGGER_THAN_D`
`static int` `ER_MALFORMED_DEFINER`
`static int` `ER_MALFORMED_GTID_SET_ENCODING`
`static int` `ER_MALFORMED_GTID_SET_SPECIFICATION`
`static int` `ER_MALFORMED_GTID_SPECIFICATION`
`static int` `ER_MALFORMED_PACKET`
`static int` `ER_MASTER` Deprecated.
`static int` `ER_MASTER_DELAY_VALUE_OUT_OF_RANGE` Deprecated.
`static int` `ER_MASTER_FATAL_ERROR_READING_BINLOG` Deprecated.
`static int` `ER_MASTER_HAS_PURGED_REQUIRED_GTIDS` Deprecated.
`static int` `ER_MASTER_INFO` Deprecated.
`static int` `ER_MASTER_NET_READ` Deprecated.
`static int` `ER_MASTER_NET_WRITE` Deprecated.
`static int` `ER_MAX_PREPARED_STMT_COUNT_REACHED`
`static int` `ER_MAXVALUE_IN_VALUES_IN`
`static int` `ER_MESSAGE_AND_STATEMENT`
`static int` `ER_MISSING_HA_CREATE_OPTION`
`static int` `ER_MISSING_SKIP_REPLICA`
`static int` `ER_MISSING_SKIP_SLAVE` Deprecated.
`static int` `ER_MIX_HANDLER_ERROR`
`static int` `ER_MIX_OF_GROUP_FUNC_AND_FIELDS`
`static int` `ER_MIXING_NOT_ALLOWED`
`static int` `ER_MTS_CANT_PARALLEL`
`static int` `ER_MTS_CHANGE_MASTER_CANT_RUN_WITH_GAPS` Deprecated.
`static int` `ER_MTS_CHANGE_SOURCE_CANT_RUN_WITH_GAPS`
`static int` `ER_MTS_EVENT_BIGGER_PENDING_JOBS_SIZE_MAX`
`static int` `ER_MTS_FEATURE_IS_NOT_SUPPORTED`
`static int` `ER_MTS_INCONSISTENT_DATA`
`static int` `ER_MTS_RECOVERY_FAILURE`
`static int` `ER_MTS_RESET_WORKERS`
`static int` `ER_MTS_UPDATED_DBS_GREATER_MAX`
`static int` `ER_MULTI_UPDATE_KEY_CONFLICT`
`static int` `ER_MULTIPLE_DEF_CONST_IN_LIST_PART_ERROR`
`static int` `ER_MULTIPLE_PRI_KEY`
`static int` `ER_MUST_CHANGE_PASSWORD`
`static int` `ER_MUST_CHANGE_PASSWORD_LOGIN`
`static int` `ER_NAME_BECOMES_EMPTY`
`static int` `ER_NATIVE_FCT_NAME_COLLISION`
`static int` `ER_NDB_CANT_SWITCH_BINLOG_FORMAT`
`static int` `ER_NDB_REPLICATION_SCHEMA_ERROR`
`static int` `ER_NEED_REPREPARE`
`static int` `ER_NET_ERROR_ON_WRITE`
`static int` `ER_NET_FCNTL_ERROR`
`static int` `ER_NET_PACKET_TOO_LARGE`
`static int` `ER_NET_PACKETS_OUT_OF_ORDER`
`static int` `ER_NET_READ_ERROR`
`static int` `ER_NET_READ_ERROR_FROM_PIPE`
`static int` `ER_NET_READ_INTERRUPTED`
`static int` `ER_NET_UNCOMPRESS_ERROR`
`static int` `ER_NET_WRITE_INTERRUPTED`
`static int` `ER_NETWORK_READ_EVENT_CHECKSUM_FAILURE`
`static int` `ER_NEVER_USED`
`static int` `ER_NEW_ABORTING_CONNECTION`
`static int` `ER_NISAMCHK`
`static int` `ER_NO`
`static int` `ER_NO_BINARY_LOGGING`
`static int` `ER_NO_BINLOG_ERROR`
`static int` `ER_NO_CONST_EXPR_IN_RANGE_OR_LIST_ERROR`
`static int` `ER_NO_DB_ERROR`
`static int` `ER_NO_DEFAULT`
`static int` `ER_NO_DEFAULT_FOR_FIELD`
`static int` `ER_NO_DEFAULT_FOR_VIEW_FIELD`
`static int` `ER_NO_FILE_MAPPING`
`static int` `ER_NO_FORMAT_DESCRIPTION_EVENT_BEFORE_BINLOG_STATEMENT`
`static int` `ER_NO_FT_MATERIALIZED_SUBQUERY`
`static int` `ER_NO_GROUP_FOR_PROC`
`static int` `ER_NO_PARTITION_FOR_GIVEN_VALUE`
`static int` `ER_NO_PARTITION_FOR_GIVEN_VALUE_SILENT`
`static int` `ER_NO_PARTS_ERROR`
`static int` `ER_NO_PERMISSION_TO_CREATE_USER`
`static int` `ER_NO_RAID_COMPILED`
`static int` `ER_NO_REFERENCED_ROW`
`static int` `ER_NO_REFERENCED_ROW_2`
`static int` `ER_NO_SUCH_INDEX`
`static int` `ER_NO_SUCH_KEY_VALUE`
`static int` `ER_NO_SUCH_PARTITION__UNUSED`
`static int` `ER_NO_SUCH_TABLE`
`static int` `ER_NO_SUCH_THREAD`
`static int` `ER_NO_SUCH_USER`
`static int` `ER_NO_TABLES_USED`
`static int` `ER_NO_TRIGGERS_ON_SYSTEM_SCHEMA`
`static int` `ER_NO_UNIQUE_LOGFILE`
`static int` `ER_NON_GROUPING_FIELD_USED`
`static int` `ER_NON_INSERTABLE_TABLE`
`static int` `ER_NON_RO_SELECT_DISABLE_TIMER`
`static int` `ER_NON_UNIQ_ERROR`
`static int` `ER_NON_UPDATABLE_TABLE`
`static int` `ER_NONEXISTING_GRANT`
`static int` `ER_NONEXISTING_PROC_GRANT`
`static int` `ER_NONEXISTING_TABLE_GRANT`
`static int` `ER_NONUNIQ_TABLE`
`static int` `ER_NONUPDATEABLE_COLUMN`
`static int` `ER_NORMAL_SHUTDOWN`
`static int` `ER_NOT_ALLOWED_COMMAND`
`static int` `ER_NOT_FORM_FILE`
`static int` `ER_NOT_KEYFILE`
`static int` `ER_NOT_SUPPORTED_AUTH_MODE`
`static int` `ER_NOT_SUPPORTED_YET`
`static int` `ER_NOT_VALID_PASSWORD`
`static int` `ER_NULL_COLUMN_IN_INDEX`
`static int` `ER_NULL_IN_VALUES_LESS_THAN`
`static int` `ER_OLD_FILE_FORMAT`
`static int` `ER_OLD_KEYFILE`
`static int` `ER_OLD_TEMPORALS_UPGRADED`
`static int` `ER_ONLY_FD_AND_RBR_EVENTS_ALLOWED_IN_BINLOG_STATEMENT`
`static int` `ER_ONLY_INTEGERS_ALLOWED`
`static int` `ER_ONLY_ON_RANGE_LIST_PARTITION`
`static int` `ER_OPEN_AS_READONLY`
`static int` `ER_OPERAND_COLUMNS`
`static int` `ER_OPTION_PREVENTS_STATEMENT`
`static int` `ER_ORDER_WITH_PROC`
`static int` `ER_OUT_OF_RESOURCES`
`static int` `ER_OUT_OF_SORTMEMORY`
`static int` `ER_OUTOFMEMORY`
`static int` `ER_PARSE_ERROR`
`static int` `ER_PART_STATE_ERROR`
`static int` `ER_PARTITION_CLAUSE_ON_NONPARTITIONED`
`static int` `ER_PARTITION_COLUMN_LIST_ERROR`
`static int` `ER_PARTITION_CONST_DOMAIN_ERROR`
`static int` `ER_PARTITION_ENTRY_ERROR`
`static int` `ER_PARTITION_EXCHANGE_DIFFERENT_OPTION`
`static int` `ER_PARTITION_EXCHANGE_FOREIGN_KEY`
`static int` `ER_PARTITION_EXCHANGE_PART_TABLE`
`static int` `ER_PARTITION_EXCHANGE_TEMP_TABLE`
`static int` `ER_PARTITION_FIELDS_TOO_LONG`
`static int` `ER_PARTITION_FUNC_NOT_ALLOWED_ERROR`
`static int` `ER_PARTITION_FUNCTION_FAILURE`
`static int` `ER_PARTITION_FUNCTION_IS_NOT_ALLOWED`
`static int` `ER_PARTITION_INSTEAD_OF_SUBPARTITION`
`static int` `ER_PARTITION_MAXVALUE_ERROR`
`static int` `ER_PARTITION_MERGE_ERROR`
`static int` `ER_PARTITION_MGMT_ON_NONPARTITIONED`
`static int` `ER_PARTITION_NAME`
`static int` `ER_PARTITION_NO_TEMPORARY`
`static int` `ER_PARTITION_NOT_DEFINED_ERROR`
`static int` `ER_PARTITION_REQUIRES_VALUES_ERROR`
`static int` `ER_PARTITION_SUBPART_MIX_ERROR`
`static int` `ER_PARTITION_SUBPARTITION_ERROR`
`static int` `ER_PARTITION_WRONG_NO_PART_ERROR`
`static int` `ER_PARTITION_WRONG_NO_SUBPART_ERROR`
`static int` `ER_PARTITION_WRONG_VALUES_ERROR`
`static int` `ER_PARTITIONS_MUST_BE_DEFINED_ERROR`
`static int` `ER_PASSWD_LENGTH`
`static int` `ER_PASSWORD_ANONYMOUS_USER`
`static int` `ER_PASSWORD_EXPIRE_ANONYMOUS_USER`
`static int` `ER_PASSWORD_FORMAT`
`static int` `ER_PASSWORD_NO_MATCH`
`static int` `ER_PASSWORD_NOT_ALLOWED`
`static int` `ER_PATH_LENGTH`
`static int` `ER_PLUGIN_IS_NOT_LOADED`
`static int` `ER_PLUGIN_IS_PERMANENT`
`static int` `ER_PLUGIN_NO_INSTALL`
`static int` `ER_PLUGIN_NO_UNINSTALL`
`static int` `ER_PRIMARY_CANT_HAVE_NULL`
`static int` `ER_PROC_AUTO_GRANT_FAIL`
`static int` `ER_PROC_AUTO_REVOKE_FAIL`
`static int` `ER_PROCACCESS_DENIED_ERROR`
`static int` `ER_PS_MANY_PARAM`
`static int` `ER_PS_NO_RECURSION`
`static int` `ER_QUERY_CACHE_DISABLED`
`static int` `ER_QUERY_INTERRUPTED`
`static int` `ER_QUERY_ON_FOREIGN_DATA_SOURCE`
`static int` `ER_QUERY_ON_MASTER` Deprecated.
`static int` `ER_QUERY_ON_SOURCE`
`static int` `ER_QUERY_TIMEOUT`
`static int` `ER_RANGE_NOT_INCREASING_ERROR`
`static int` `ER_RBR_NOT_AVAILABLE`
`static int` `ER_READ_ONLY_MODE`
`static int` `ER_READ_ONLY_TRANSACTION`
`static int` `ER_READY`
`static int` `ER_RECORD_FILE_FULL`
`static int` `ER_REFERENCED_TRG_DOES_NOT_EXIST`
`static int` `ER_REGEXP_ERROR`
`static int` `ER_RELAY_LOG_FAIL`
`static int` `ER_RELAY_LOG_INIT`
`static int` `ER_REMOVED_SPACES`
`static int` `ER_RENAMED_NAME`
`static int` `ER_REORG_HASH_ONLY_ON_SAME_NO`
`static int` `ER_REORG_NO_PARAM_ERROR`
`static int` `ER_REORG_OUTSIDE_RANGE`
`static int` `ER_REORG_PARTITION_NOT_EXIST`
`static int` `ER_REPLICA_CANT_CREATE_CONVERSION`
`static int` `ER_REPLICA_CONFIGURATION`
`static int` `ER_REPLICA_CONVERSION_FAILED`
`static int` `ER_REPLICA_CORRUPT_EVENT`
`static int` `ER_REPLICA_CREATE_EVENT_FAILURE`
`static int` `ER_REPLICA_FATAL_ERROR`
`static int` `ER_REPLICA_HEARTBEAT_FAILURE`
`static int` `ER_REPLICA_HEARTBEAT_VALUE_OUT_OF_RANGE`
`static int` `ER_REPLICA_HEARTBEAT_VALUE_OUT_OF_RANGE_MAX`
`static int` `ER_REPLICA_HEARTBEAT_VALUE_OUT_OF_RANGE_MIN`
`static int` `ER_REPLICA_IGNORE_SERVER_IDS`
`static int` `ER_REPLICA_IGNORED_SSL_PARAMS`
`static int` `ER_REPLICA_IGNORED_TABLE`
`static int` `ER_REPLICA_INCIDENT`
`static int` `ER_REPLICA_IO_THREAD_MUST_STOP`
`static int` `ER_REPLICA_MI_INIT_REPOSITORY`
`static int` `ER_REPLICA_MUST_STOP`
`static int` `ER_REPLICA_NOT_RUNNING`
`static int` `ER_REPLICA_RELAY_LOG_READ_FAILURE`
`static int` `ER_REPLICA_RELAY_LOG_WRITE_FAILURE`
`static int` `ER_REPLICA_RLI_INIT_REPOSITORY`
`static int` `ER_REPLICA_SILENT_RETRY_TRANSACTION`
`static int` `ER_REPLICA_SOURCE_COM_FAILURE`
`static int` `ER_REPLICA_SQL_THREAD_MUST_STOP`
`static int` `ER_REPLICA_THREAD`
`static int` `ER_REPLICA_WAS_NOT_RUNNING`
`static int` `ER_REPLICA_WAS_RUNNING`
`static int` `ER_REQUIRES_PRIMARY_KEY`
`static int` `ER_RESERVED_SYNTAX`
`static int` `ER_RESIGNAL_WITHOUT_ACTIVE_HANDLER`
`static int` `ER_REVOKE_GRANTS`
`static int` `ER_ROW_DOES_NOT_MATCH_GIVEN_PARTITION_SET`
`static int` `ER_ROW_DOES_NOT_MATCH_PARTITION`
`static int` `ER_ROW_IN_WRONG_PARTITION`
`static int` `ER_ROW_IS_REFERENCED`
`static int` `ER_ROW_IS_REFERENCED_2`
`static int` `ER_ROW_SINGLE_PARTITION_FIELD_ERROR`
`static int` `ER_RPL_INFO_DATA_TOO_LONG`
`static int` `ER_SAME_NAME_PARTITION`
`static int` `ER_SAME_NAME_PARTITION_FIELD`
`static int` `ER_SELECT_REDUCED`
`static int` `ER_SERVER_IS_IN_SECURE_AUTH_MODE`
`static int` `ER_SERVER_SHUTDOWN`
`static int` `ER_SESSION_WAS_KILLED`
`static int` `ER_SET_CONSTANTS_ONLY`
`static int` `ER_SET_PASSWORD_AUTH_PLUGIN`
`static int` `ER_SET_STATEMENT_CANNOT_INVOKE_FUNCTION`
`static int` `ER_SHUTDOWN_COMPLETE`
`static int` `ER_SIGNAL_BAD_CONDITION_TYPE`
`static int` `ER_SIGNAL_EXCEPTION`
`static int` `ER_SIGNAL_NOT_FOUND`
`static int` `ER_SIGNAL_WARN`
`static int` `ER_SIZE_OVERFLOW_ERROR`
`static int` `ER_SKIPPING_LOGGED_TRANSACTION`
`static int` `ER_SLAVE_CANT_CREATE_CONVERSION` Deprecated.
`static int` `ER_SLAVE_CONFIGURATION` Deprecated.
`static int` `ER_SLAVE_CONVERSION_FAILED` Deprecated.
`static int` `ER_SLAVE_CORRUPT_EVENT` Deprecated.
`static int` `ER_SLAVE_CREATE_EVENT_FAILURE` Deprecated.
`static int` `ER_SLAVE_FATAL_ERROR` Deprecated.
`static int` `ER_SLAVE_HEARTBEAT_FAILURE` Deprecated.
`static int` `ER_SLAVE_HEARTBEAT_VALUE_OUT_OF_RANGE` Deprecated.
`static int` `ER_SLAVE_HEARTBEAT_VALUE_OUT_OF_RANGE_MAX` Deprecated.
`static int` `ER_SLAVE_HEARTBEAT_VALUE_OUT_OF_RANGE_MIN` Deprecated.
`static int` `ER_SLAVE_IGNORE_SERVER_IDS` Deprecated.
`static int` `ER_SLAVE_IGNORED_SSL_PARAMS` Deprecated.
`static int` `ER_SLAVE_IGNORED_TABLE` Deprecated.
`static int` `ER_SLAVE_INCIDENT` Deprecated.
`static int` `ER_SLAVE_IO_THREAD_MUST_STOP` Deprecated.
`static int` `ER_SLAVE_MASTER_COM_FAILURE` Deprecated.
`static int` `ER_SLAVE_MI_INIT_REPOSITORY` Deprecated.
`static int` `ER_SLAVE_MUST_STOP` Deprecated.
`static int` `ER_SLAVE_NOT_RUNNING` Deprecated.
`static int` `ER_SLAVE_RELAY_LOG_READ_FAILURE` Deprecated.
`static int` `ER_SLAVE_RELAY_LOG_WRITE_FAILURE` Deprecated.
`static int` `ER_SLAVE_RLI_INIT_REPOSITORY` Deprecated.
`static int` `ER_SLAVE_SILENT_RETRY_TRANSACTION` Deprecated.
`static int` `ER_SLAVE_SQL_THREAD_MUST_STOP` Deprecated.
`static int` `ER_SLAVE_THREAD` Deprecated.
`static int` `ER_SLAVE_WAS_NOT_RUNNING` Deprecated.
`static int` `ER_SLAVE_WAS_RUNNING` Deprecated.
`static int` `ER_SOURCE`
`static int` `ER_SOURCE_DELAY_VALUE_OUT_OF_RANGE`
`static int` `ER_SOURCE_FATAL_ERROR_READING_BINLOG`
`static int` `ER_SOURCE_HAS_PURGED_REQUIRED_GTIDS`
`static int` `ER_SOURCE_INFO`
`static int` `ER_SOURCE_NET_READ`
`static int` `ER_SOURCE_NET_WRITE`
`static int` `ER_SP_ALREADY_EXISTS`
`static int` `ER_SP_BAD_CURSOR_QUERY`
`static int` `ER_SP_BAD_CURSOR_SELECT`
`static int` `ER_SP_BAD_SQLSTATE`
`static int` `ER_SP_BAD_VAR_SHADOW`
`static int` `ER_SP_BADRETURN`
`static int` `ER_SP_BADSELECT`
`static int` `ER_SP_BADSTATEMENT`
`static int` `ER_SP_CANT_ALTER`
`static int` `ER_SP_CANT_SET_AUTOCOMMIT`
`static int` `ER_SP_CASE_NOT_FOUND`
`static int` `ER_SP_COND_MISMATCH`
`static int` `ER_SP_CURSOR_AFTER_HANDLER`
`static int` `ER_SP_CURSOR_ALREADY_OPEN`
`static int` `ER_SP_CURSOR_MISMATCH`
`static int` `ER_SP_CURSOR_NOT_OPEN`
`static int` `ER_SP_DOES_NOT_EXIST`
`static int` `ER_SP_DROP_FAILED`
`static int` `ER_SP_DUP_COND`
`static int` `ER_SP_DUP_CURS`
`static int` `ER_SP_DUP_HANDLER`
`static int` `ER_SP_DUP_PARAM`
`static int` `ER_SP_DUP_VAR`
`static int` `ER_SP_FETCH_NO_DATA`
`static int` `ER_SP_GOTO_IN_HNDLR`
`static int` `ER_SP_LABEL_MISMATCH`
`static int` `ER_SP_LABEL_REDEFINE`
`static int` `ER_SP_LILABEL_MISMATCH`
`static int` `ER_SP_NO_AGGREGATE`
`static int` `ER_SP_NO_DROP_SP`
`static int` `ER_SP_NO_RECURSION`
`static int` `ER_SP_NO_RECURSIVE_CREATE`
`static int` `ER_SP_NO_RETSET`
`static int` `ER_SP_NORETURN`
`static int` `ER_SP_NORETURNEND`
`static int` `ER_SP_NOT_VAR_ARG`
`static int` `ER_SP_PROC_TABLE_CORRUPT`
`static int` `ER_SP_RECURSION_LIMIT`
`static int` `ER_SP_STORE_FAILED`
`static int` `ER_SP_SUBSELECT_NYI`
`static int` `ER_SP_UNDECLARED_VAR`
`static int` `ER_SP_UNINIT_VAR`
`static int` `ER_SP_VARCOND_AFTER_CURSHNDLR`
`static int` `ER_SP_WRONG_NAME`
`static int` `ER_SP_WRONG_NO_OF_ARGS`
`static int` `ER_SP_WRONG_NO_OF_FETCH_ARGS`
`static int` `ER_SPATIAL_CANT_HAVE_NULL`
`static int` `ER_SPATIAL_MUST_HAVE_GEOM_COL`
`static int` `ER_SPECIFIC_ACCESS_DENIED_ERROR`
`static int` `ER_SQL_MODE_NO_EFFECT`
`static int` `ER_SQL_REPLICA_SKIP_COUNTER_NOT_SETTABLE_IN_GTID_MODE`
`static int` `ER_SQL_SLAVE_SKIP_COUNTER_NOT_SETTABLE_IN_GTID_MODE` Deprecated.
`static int` `ER_SQLTHREAD_WITH_SECURE_REPLICA`
`static int` `ER_SQLTHREAD_WITH_SECURE_SLAVE` Deprecated.
`static int` `ER_SR_INVALID_CREATION_CTX`
`static int` `ER_STACK_OVERRUN`
`static int` `ER_STACK_OVERRUN_NEED_MORE`
`static int` `ER_STARTUP`
`static int` `ER_STMT_CACHE_FULL`
`static int` `ER_STMT_HAS_NO_OPEN_CURSOR`
`static int` `ER_STMT_NOT_ALLOWED_IN_SF_OR_TRG`
`static int` `ER_STOP_REPLICA_IO_THREAD_TIMEOUT`
`static int` `ER_STOP_REPLICA_SQL_THREAD_TIMEOUT`
`static int` `ER_STOP_SLAVE_IO_THREAD_TIMEOUT` Deprecated.
`static int` `ER_STOP_SLAVE_SQL_THREAD_TIMEOUT` Deprecated.
`static int` `ER_STORAGE_ENGINE_NOT_LOADED`
`static int` `ER_STORED_FUNCTION_PREVENTS_SWITCH_BINLOG_DIRECT`
`static int` `ER_STORED_FUNCTION_PREVENTS_SWITCH_BINLOG_FORMAT`
`static int` `ER_STORED_FUNCTION_PREVENTS_SWITCH_SQL_LOG_BIN`
`static int` `ER_SUBPARTITION_ERROR`
`static int` `ER_SUBPARTITION_NAME`
`static int` `ER_SUBQUERY_NO_1_ROW`
`static int` `ER_SYNTAX_ERROR`
`static int` `ER_TABLE_CANT_HANDLE_AUTO_INCREMENT`
`static int` `ER_TABLE_CANT_HANDLE_BLOB`
`static int` `ER_TABLE_CANT_HANDLE_FT`
`static int` `ER_TABLE_CANT_HANDLE_SPKEYS`
`static int` `ER_TABLE_CORRUPT`
`static int` `ER_TABLE_DEF_CHANGED`
`static int` `ER_TABLE_EXISTS_ERROR`
`static int` `ER_TABLE_HAS_NO_FT`
`static int` `ER_TABLE_IN_FK_CHECK`
`static int` `ER_TABLE_IN_SYSTEM_TABLESPACE`
`static int` `ER_TABLE_MUST_HAVE_COLUMNS`
`static int` `ER_TABLE_NAME`
`static int` `ER_TABLE_NEEDS_REBUILD`
`static int` `ER_TABLE_NEEDS_UPGRADE`
`static int` `ER_TABLE_NOT_LOCKED`
`static int` `ER_TABLE_NOT_LOCKED_FOR_WRITE`
`static int` `ER_TABLE_SCHEMA_MISMATCH`
`static int` `ER_TABLEACCESS_DENIED_ERROR`
`static int` `ER_TABLENAME_NOT_ALLOWED_HERE`
`static int` `ER_TABLES_DIFFERENT_METADATA`
`static int` `ER_TABLESPACE_AUTO_EXTEND_ERROR`
`static int` `ER_TABLESPACE_DISCARDED`
`static int` `ER_TABLESPACE_EXISTS`
`static int` `ER_TABLESPACE_MISSING`
`static int` `ER_TEMP_FILE_WRITE_FAILURE`
`static int` `ER_TEMP_TABLE_PREVENTS_SWITCH_OUT_OF_RBR`
`static int` `ER_TEMPORARY_NAME`
`static int` `ER_TEXTFILE_NOT_READABLE`
`static int` `ER_TOO_BIG_DISPLAYWIDTH`
`static int` `ER_TOO_BIG_FIELDLENGTH`
`static int` `ER_TOO_BIG_FOR_UNCOMPRESS`
`static int` `ER_TOO_BIG_PRECISION`
`static int` `ER_TOO_BIG_ROWSIZE`
`static int` `ER_TOO_BIG_SCALE`
`static int` `ER_TOO_BIG_SELECT`
`static int` `ER_TOO_BIG_SET`
`static int` `ER_TOO_HIGH_LEVEL_OF_NESTING_FOR_SELECT`
`static int` `ER_TOO_LONG_BODY`
`static int` `ER_TOO_LONG_FIELD_COMMENT`
`static int` `ER_TOO_LONG_IDENT`
`static int` `ER_TOO_LONG_INDEX_COMMENT`
`static int` `ER_TOO_LONG_KEY`
`static int` `ER_TOO_LONG_STRING`
`static int` `ER_TOO_LONG_TABLE_COMMENT`
`static int` `ER_TOO_LONG_TABLE_PARTITION_COMMENT`
`static int` `ER_TOO_MANY_CONCURRENT_TRXS`
`static int` `ER_TOO_MANY_DELAYED_THREADS`
`static int` `ER_TOO_MANY_FIELDS`
`static int` `ER_TOO_MANY_KEY_PARTS`
`static int` `ER_TOO_MANY_KEYS`
`static int` `ER_TOO_MANY_PARTITION_FUNC_FIELDS_ERROR`
`static int` `ER_TOO_MANY_PARTITIONS_ERROR`
`static int` `ER_TOO_MANY_ROWS`
`static int` `ER_TOO_MANY_TABLES`
`static int` `ER_TOO_MANY_USER_CONNECTIONS`
`static int` `ER_TOO_MANY_VALUES_ERROR`
`static int` `ER_TOO_MUCH_AUTO_TIMESTAMP_COLS`
`static int` `ER_TRANS_CACHE_FULL`
`static int` `ER_TRG_ALREADY_EXISTS`
`static int` `ER_TRG_CANT_CHANGE_ROW`
`static int` `ER_TRG_CANT_OPEN_TABLE`
`static int` `ER_TRG_CORRUPTED_FILE`
`static int` `ER_TRG_DOES_NOT_EXIST`
`static int` `ER_TRG_IN_WRONG_SCHEMA`
`static int` `ER_TRG_INVALID_CREATION_CTX`
`static int` `ER_TRG_NO_CREATION_CTX`
`static int` `ER_TRG_NO_DEFINER`
`static int` `ER_TRG_NO_SUCH_ROW_IN_TRG`
`static int` `ER_TRG_ON_VIEW_OR_TEMP_TABLE`
`static int` `ER_TRUNCATE_ILLEGAL_FK`
`static int` `ER_TRUNCATED_WRONG_VALUE`
`static int` `ER_TRUNCATED_WRONG_VALUE_FOR_FIELD`
`static int` `ER_UDF_EXISTS`
`static int` `ER_UDF_NO_PATHS`
`static int` `ER_UNDO_RECORD_TOO_BIG`
`static int` `ER_UNEXPECTED_EOF`
`static int` `ER_UNION_TABLES_IN_DIFFERENT_DIR`
`static int` `ER_UNIQUE_KEY_NEED_ALL_FIELDS_IN_PF`
`static int` `ER_UNKNOWN_ALTER_ALGORITHM`
`static int` `ER_UNKNOWN_ALTER_LOCK`
`static int` `ER_UNKNOWN_CHARACTER_SET`
`static int` `ER_UNKNOWN_COLLATION`
`static int` `ER_UNKNOWN_COM_ERROR`
`static int` `ER_UNKNOWN_ERROR`
`static int` `ER_UNKNOWN_EXPLAIN_FORMAT`
`static int` `ER_UNKNOWN_KEY_CACHE`
`static int` `ER_UNKNOWN_LOCALE`
`static int` `ER_UNKNOWN_PARTITION`
`static int` `ER_UNKNOWN_PROCEDURE`
`static int` `ER_UNKNOWN_STMT_HANDLER`
`static int` `ER_UNKNOWN_STORAGE_ENGINE`
`static int` `ER_UNKNOWN_SYSTEM_VARIABLE`
`static int` `ER_UNKNOWN_TABLE`
`static int` `ER_UNKNOWN_TARGET_BINLOG`
`static int` `ER_UNKNOWN_TIME_ZONE`
`static int` `ER_UNSUPORTED_LOG_ENGINE`
`static int` `ER_UNSUPPORTED_ENGINE`
`static int` `ER_UNSUPPORTED_EXTENSION`
`static int` `ER_UNSUPPORTED_PS`
`static int` `ER_UNTIL_COND_IGNORED`
`static int` `ER_UPDATE_INFO`
`static int` `ER_UPDATE_LOG_DEPRECATED_IGNORED`
`static int` `ER_UPDATE_LOG_DEPRECATED_TRANSLATED`
`static int` `ER_UPDATE_TABLE_USED`
`static int` `ER_UPDATE_WITHOUT_KEY_IN_SAFE_MODE`
`static int` `ER_USER_LIMIT_REACHED`
`static int` `ER_USERNAME`
`static int` `ER_VALUES_IS_NOT_INT_TYPE_ERROR`
`static int` `ER_VAR_CANT_BE_READ`
`static int` `ER_VARIABLE_IS_NOT_STRUCT`
`static int` `ER_VARIABLE_IS_READONLY`
`static int` `ER_VARIABLE_NOT_SETTABLE_IN_SF_OR_TRIGGER`
`static int` `ER_VARIABLE_NOT_SETTABLE_IN_SP`
`static int` `ER_VARIABLE_NOT_SETTABLE_IN_TRANSACTION`
`static int` `ER_VIEW_CHECK_FAILED`
`static int` `ER_VIEW_CHECKSUM`
`static int` `ER_VIEW_DELETE_MERGE_VIEW`
`static int` `ER_VIEW_FRM_NO_USER`
`static int` `ER_VIEW_INVALID`
`static int` `ER_VIEW_INVALID_CREATION_CTX`
`static int` `ER_VIEW_MULTIUPDATE`
`static int` `ER_VIEW_NO_CREATION_CTX`
`static int` `ER_VIEW_NO_EXPLAIN`
`static int` `ER_VIEW_NO_INSERT_FIELD_LIST`
`static int` `ER_VIEW_NONUPD_CHECK`
`static int` `ER_VIEW_OTHER_USER`
`static int` `ER_VIEW_PREVENT_UPDATE`
`static int` `ER_VIEW_RECURSIVE`
`static int` `ER_VIEW_SELECT_CLAUSE`
`static int` `ER_VIEW_SELECT_DERIVED`
`static int` `ER_VIEW_SELECT_TMPTABLE`
`static int` `ER_VIEW_SELECT_VARIABLE`
`static int` `ER_VIEW_WRONG_LIST`
`static int` `ER_WARN_ALLOWED_PACKET_OVERFLOWED`
`static int` `ER_WARN_CANT_DROP_DEFAULT_KEYCACHE`
`static int` `ER_WARN_DATA_OUT_OF_RANGE`
`static int` `ER_WARN_DATA_TRUNCATED`
`static int` `ER_WARN_DEPRECATED_SYNTAX`
`static int` `ER_WARN_DEPRECATED_SYNTAX_NO_REPLACEMENT`
`static int` `ER_WARN_DEPRECATED_SYNTAX_WITH_VER`
`static int` `ER_WARN_ENGINE_TRANSACTION_ROLLBACK`
`static int` `ER_WARN_FIELD_RESOLVED`
`static int` `ER_WARN_HOSTNAME_WONT_WORK`
`static int` `ER_WARN_I_S_SKIPPED_TABLE`
`static int` `ER_WARN_INDEX_NOT_APPLICABLE`
`static int` `ER_WARN_INVALID_TIMESTAMP`
`static int` `ER_WARN_LEGACY_SYNTAX_CONVERTED`
`static int` `ER_WARN_NULL_TO_NOTNULL`
`static int` `ER_WARN_ONLY_MASTER_LOG_FILE_NO_POS` Deprecated.
`static int` `ER_WARN_ONLY_SOURCE_LOG_FILE_NO_POS`
`static int` `ER_WARN_OPEN_TEMP_TABLES_MUST_BE_ZERO`
`static int` `ER_WARN_PURGE_LOG_IN_USE`
`static int` `ER_WARN_PURGE_LOG_IS_ACTIVE`
`static int` `ER_WARN_QC_RESIZE`
`static int` `ER_WARN_TOO_FEW_RECORDS`
`static int` `ER_WARN_TOO_MANY_RECORDS`
`static int` `ER_WARN_TRIGGER_DOESNT_HAVE_CREATED`
`static int` `ER_WARN_USING_OTHER_HANDLER`
`static int` `ER_WARN_VIEW_MERGE`
`static int` `ER_WARN_VIEW_WITHOUT_KEY`
`static int` `ER_WARNING_NOT_COMPLETE_ROLLBACK`
`static int` `ER_WARNING_NOT_COMPLETE_ROLLBACK_WITH_CREATED_TEMP_TABLE`
`static int` `ER_WARNING_NOT_COMPLETE_ROLLBACK_WITH_DROPPED_TEMP_TABLE`
`static int` `ER_WRONG_ARGUMENTS`
`static int` `ER_WRONG_AUTO_KEY`
`static int` `ER_WRONG_COLUMN_NAME`
`static int` `ER_WRONG_DB_NAME`
`static int` `ER_WRONG_EXPR_IN_PARTITION_FUNC_ERROR`
`static int` `ER_WRONG_FIELD_SPEC`
`static int` `ER_WRONG_FIELD_TERMINATORS`
`static int` `ER_WRONG_FIELD_WITH_GROUP`
`static int` `ER_WRONG_FK_DEF`
`static int` `ER_WRONG_GROUP_FIELD`
`static int` `ER_WRONG_KEY_COLUMN`
`static int` `ER_WRONG_LOCK_OF_SYSTEM_TABLE`
`static int` `ER_WRONG_MAGIC`
`static int` `ER_WRONG_MRG_TABLE`
`static int` `ER_WRONG_NAME_FOR_CATALOG`
`static int` `ER_WRONG_NAME_FOR_INDEX`
`static int` `ER_WRONG_NATIVE_TABLE_STRUCTURE`
`static int` `ER_WRONG_NUMBER_OF_COLUMNS_IN_SELECT`
`static int` `ER_WRONG_OBJECT`
`static int` `ER_WRONG_OUTER_JOIN`
`static int` `ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT`
`static int` `ER_WRONG_PARAMCOUNT_TO_PROCEDURE`
`static int` `ER_WRONG_PARAMETERS_TO_NATIVE_FCT`
`static int` `ER_WRONG_PARAMETERS_TO_PROCEDURE`
`static int` `ER_WRONG_PARAMETERS_TO_STORED_FCT`
`static int` `ER_WRONG_PARTITION_NAME`
`static int` `ER_WRONG_PERFSCHEMA_USAGE`
`static int` `ER_WRONG_SIZE_NUMBER`
`static int` `ER_WRONG_SPVAR_TYPE_IN_LIMIT`
`static int` `ER_WRONG_STRING_LENGTH`
`static int` `ER_WRONG_SUB_KEY`
`static int` `ER_WRONG_SUM_SELECT`
`static int` `ER_WRONG_TABLE_NAME`
`static int` `ER_WRONG_TYPE_COLUMN_VALUE_ERROR`
`static int` `ER_WRONG_TYPE_FOR_VAR`
`static int` `ER_WRONG_USAGE`
`static int` `ER_WRONG_VALUE`
`static int` `ER_WRONG_VALUE_COUNT`
`static int` `ER_WRONG_VALUE_COUNT_ON_ROW`
`static int` `ER_WRONG_VALUE_FOR_TYPE`
`static int` `ER_WRONG_VALUE_FOR_VAR`
`static int` `ER_WSAS_FAILED`
`static int` `ER_X_BAD_COLUMN_TO_UPDATE`
`static int` `ER_X_BAD_COMPRESSED_FRAME`
`static int` `ER_X_BAD_CONFIGURATION`
`static int` `ER_X_BAD_CONNECTION_SESSION_ATTRIBUTE_EMPTY_KEY`
`static int` `ER_X_BAD_CONNECTION_SESSION_ATTRIBUTE_KEY_LENGTH`
`static int` `ER_X_BAD_CONNECTION_SESSION_ATTRIBUTE_LENGTH`
`static int` `ER_X_BAD_CONNECTION_SESSION_ATTRIBUTE_TYPE`
`static int` `ER_X_BAD_CONNECTION_SESSION_ATTRIBUTE_VALUE_LENGTH`
`static int` `ER_X_BAD_CURSOR_ID`
`static int` `ER_X_BAD_DOC_PATH`
`static int` `ER_X_BAD_INSERT_DATA`
`static int` `ER_X_BAD_LOCKING`
`static int` `ER_X_BAD_MEMBER_TO_UPDATE`
`static int` `ER_X_BAD_MESSAGE`
`static int` `ER_X_BAD_NOTICE`
`static int` `ER_X_BAD_PROJECTION`
`static int` `ER_X_BAD_SCHEMA`
`static int` `ER_X_BAD_STATEMENT_ID`
`static int` `ER_X_BAD_TABLE`
`static int` `ER_X_BAD_TYPE_OF_UPDATE`
`static int` `ER_X_BAD_UPDATE_DATA`
`static int` `ER_X_BAD_UPSERT_DATA`
`static int` `ER_X_CANNOT_DISABLE_NOTICE`
`static int` `ER_X_CAPABILITIES_PREPARE_FAILED`
`static int` `ER_X_CAPABILITY_COMPRESSION_INVALID_ALGORITHM`
`static int` `ER_X_CAPABILITY_COMPRESSION_INVALID_CLIENT_STYLE`
`static int` `ER_X_CAPABILITY_COMPRESSION_INVALID_OPTION`
`static int` `ER_X_CAPABILITY_COMPRESSION_INVALID_SERVER_STYLE`
`static int` `ER_X_CAPABILITY_COMPRESSION_MISSING_REQUIRED_FIELDS`
`static int` `ER_X_CAPABILITY_NOT_FOUND`
`static int` `ER_X_CAPABILITY_SET_NOT_ALLOWED`
`static int` `ER_X_CMD_ARGUMENT_OBJECT_EMPTY`
`static int` `ER_X_CMD_ARGUMENT_TYPE`
`static int` `ER_X_CMD_ARGUMENT_VALUE`
`static int` `ER_X_CMD_INVALID_ARGUMENT`
`static int` `ER_X_CMD_NUM_ARGUMENTS`
`static int` `ER_X_COLLECTION_OPTION_DOESNT_EXISTS`
`static int` `ER_X_CURSOR_EXISTS`
`static int` `ER_X_CURSOR_REACHED_EOF`
`static int` `ER_X_DECOMPRESSION_FAILED`
`static int` `ER_X_DOC_ID_MISSING`
`static int` `ER_X_DOC_REQUIRED_FIELD_MISSING`
`static int` `ER_X_DOCUMENT_DOESNT_MATCH_EXPECTED_SCHEMA`
`static int` `ER_X_DUPLICATE_ENTRY`
`static int` `ER_X_DUPLICATED_CAPABILITIES`
`static int` `ER_X_EXPECT_BAD_CONDITION`
`static int` `ER_X_EXPECT_BAD_CONDITION_VALUE`
`static int` `ER_X_EXPECT_FIELD_EXISTS_FAILED`
`static int` `ER_X_EXPECT_NO_ERROR_FAILED`
`static int` `ER_X_EXPECT_NOT_OPEN`
`static int` `ER_X_EXPR_BAD_NUM_ARGS`
`static int` `ER_X_EXPR_BAD_OPERATOR`
`static int` `ER_X_EXPR_BAD_REGEX`
`static int` `ER_X_EXPR_BAD_TYPE_VALUE`
`static int` `ER_X_EXPR_BAD_VALUE`
`static int` `ER_X_EXPR_MISSING_ARG`
`static int` `ER_X_FRAME_COMPRESSION_DISABLED`
`static int` `ER_X_INVALID_ADMIN_COMMAND`
`static int` `ER_X_INVALID_ARGUMENT`
`static int` `ER_X_INVALID_COLLECTION`
`static int` `ER_X_INVALID_NAMESPACE`
`static int` `ER_X_INVALID_PROTOCOL_DATA`
`static int` `ER_X_INVALID_VALIDATION_SCHEMA`
`static int` `ER_X_MISSING_ARGUMENT`
`static int` `ER_X_MYSQLX_ACCOUNT_MISSING_PERMISSIONS`
`static int` `ER_X_PREPARED_EXECUTE_ARGUMENT_CONSISTENCY`
`static int` `ER_X_PREPARED_EXECUTE_ARGUMENT_NOT_SUPPORTED`
`static int` `ER_X_PREPARED_STATMENT_CAN_HAVE_ONE_CURSOR`
`static int` `ER_X_PROJ_BAD_KEY_NAME`
`static int` `ER_X_SERVICE_ERROR`
`static int` `ER_X_SESSION`
`static int` `ER_XA_RBDEADLOCK`
`static int` `ER_XA_RBROLLBACK`
`static int` `ER_XA_RBTIMEOUT`
`static int` `ER_XA_RMERR`
`static int` `ER_XAER_DUPID`
`static int` `ER_XAER_INVAL`
`static int` `ER_XAER_NOTA`
`static int` `ER_XAER_OUTSIDE`
`static int` `ER_XAER_RMFAIL`
`static int` `ER_YES`
`static int` `ER_ZLIB_Z_BUF_ERROR`
`static int` `ER_ZLIB_Z_DATA_ERROR`
`static int` `ER_ZLIB_Z_MEM_ERROR`
`static int` `ERROR_CODE_NULL_LOAD_BALANCED_CONNECTION`
`static int` `ERROR_CODE_REPLICATION_CONNECTION_WITH_NO_HOSTS`
`static Map<Integer,String>` `mysqlToSql99State`
`static String` `SQL_STATE_ACTIVE_SQL_TRANSACTION`
`static String` `SQL_STATE_BAD_SSL_PARAMS`
`static String` `SQL_STATE_BASE_TABLE_NOT_FOUND`
`static String` `SQL_STATE_BASE_TABLE_OR_VIEW_ALREADY_EXISTS`
`static String` `SQL_STATE_BASE_TABLE_OR_VIEW_NOT_FOUND`
`static String` `SQL_STATE_CARDINALITY_VIOLATION`
`static String` `SQL_STATE_CASE_NOT_FOUND_FOR_CASE_STATEMENT`
`static String` `SQL_STATE_CLI_SPECIFIC_CONDITION`
`static String` `SQL_STATE_COLUMN_ALREADY_EXISTS`
`static String` `SQL_STATE_COLUMN_NOT_FOUND`
`static String` `SQL_STATE_COMMUNICATION_LINK_FAILURE`
`static String` `SQL_STATE_CONNECTION_FAILURE`
`static String` `SQL_STATE_CONNECTION_IN_USE`
`static String` `SQL_STATE_CONNECTION_NOT_OPEN`
`static String` `SQL_STATE_CONNECTION_REJECTED`
`static String` `SQL_STATE_DATE_TRUNCATED`
`static String` `SQL_STATE_DATETIME_FIELD_OVERFLOW`
`static String` `SQL_STATE_DISCONNECT_ERROR`
`static String` `SQL_STATE_DIVISION_BY_ZERO`
`static String` `SQL_STATE_DRIVER_NOT_CAPABLE`
`static String` `SQL_STATE_ER_BAD_FIELD_ERROR`
`static String` `SQL_STATE_ER_DUP_FIELDNAME`
`static String` `SQL_STATE_ER_NO_SUCH_INDEX`
`static String` `SQL_STATE_ER_QUERY_INTERRUPTED`
`static String` `SQL_STATE_ER_TABLE_EXISTS_ERROR`
`static String` `SQL_STATE_ERROR_IN_ROW`
`static String` `SQL_STATE_FEATURE_NOT_SUPPORTED`
`static String` `SQL_STATE_GENERAL_ERROR`
`static String` `SQL_STATE_ILLEGAL_ARGUMENT`
`static String` `SQL_STATE_INDEX_ALREADY_EXISTS`
`static String` `SQL_STATE_INDEX_NOT_FOUND`
`static String` `SQL_STATE_INSERT_VALUE_LIST_NO_MATCH_COL_LIST`
`static String` `SQL_STATE_INTEGRITY_CONSTRAINT_VIOLATION`
`static String` `SQL_STATE_INVALID_AUTH_SPEC`
`static String` `SQL_STATE_INVALID_CATALOG_NAME`
`static String` `SQL_STATE_INVALID_CHARACTER_VALUE_FOR_CAST`
`static String` `SQL_STATE_INVALID_COLUMN_NUMBER`
`static String` `SQL_STATE_INVALID_CONDITION_NUMBER`
`static String` `SQL_STATE_INVALID_CONNECTION_ATTRIBUTE`
`static String` `SQL_STATE_INVALID_CURSOR_STATE`
`static String` `SQL_STATE_INVALID_DATETIME_FORMAT`
`static String` `SQL_STATE_INVALID_LOGARITHM_ARGUMENT`
`static String` `SQL_STATE_INVALID_TRANSACTION_STATE`
`static String` `SQL_STATE_INVALID_TRANSACTION_TERMINATION`
`static String` `SQL_STATE_MEMORY_ALLOCATION_ERROR`
`static String` `SQL_STATE_MEMORY_ALLOCATION_FAILURE`
`static String` `SQL_STATE_MORE_THAN_ONE_ROW_UPDATED_OR_DELETED`
`static String` `SQL_STATE_NO_DATA`
`static String` `SQL_STATE_NO_DEFAULT_FOR_COLUMN`
`static String` `SQL_STATE_NO_ROWS_UPDATED_OR_DELETED`
`static String` `SQL_STATE_NULL_VALUE_NOT_ALLOWED`
`static String` `SQL_STATE_NUMERIC_VALUE_OUT_OF_RANGE`
`static String` `SQL_STATE_PRIVILEGE_NOT_REVOKED`
`static String` `SQL_STATE_READ_ONLY_SQL_TRANSACTION`
`static String` `SQL_STATE_RESIGNAL_WHEN_HANDLER_NOT_ACTIVE`
`static String` `SQL_STATE_ROLLBACK_SERIALIZATION_FAILURE`
`static String` `SQL_STATE_SRE_FUNCTION_EXECUTED_NO_RETURN_STATEMENT`
`static String` `SQL_STATE_SRE_PROHIBITED_SQL_STATEMENT_ATTEMPTED`
`static String` `SQL_STATE_STACKED_DIAGNOSTICS_ACCESSED_WITHOUT_ACTIVE_HANDLER`
`static String` `SQL_STATE_STRING_DATA_RIGHT_TRUNCATION`
`static String` `SQL_STATE_SYNTAX_ERROR`
`static String` `SQL_STATE_TIMEOUT_EXPIRED`
`static String` `SQL_STATE_TRANSACTION_RESOLUTION_UNKNOWN`
`static String` `SQL_STATE_UNABLE_TO_CONNECT_TO_DATASOURCE`
`static String` `SQL_STATE_WARNING`
`static String` `SQL_STATE_WRONG_NO_OF_PARAMETERS`
`static String` `SQL_STATE_XA_RBDEADLOCK`
`static String` `SQL_STATE_XA_RBROLLBACK`
`static String` `SQL_STATE_XA_RBTIMEOUT`
`static String` `SQL_STATE_XA_RMERR`
`static String` `SQL_STATE_XAER_DUPID`
`static String` `SQL_STATE_XAER_INVAL`
`static String` `SQL_STATE_XAER_NOTA`
`static String` `SQL_STATE_XAER_OUTSIDE`
`static String` `SQL_STATE_XAER_RMFAIL`
`private static Map<String,String>` `sqlStateMessages`
`static int` `WARN_COND_ITEM_TRUNCATED`
`static int` `WARN_NO_MASTER_INFO` Deprecated.
`static int` `WARN_NO_SOURCE_INFO`
`static int` `WARN_NON_ASCII_SEPARATOR_NOT_IMPLEMENTED`
`static int` `WARN_ON_BLOCKHOLE_IN_RBR`
`static int` `WARN_OPTION_BELOW_LIMIT`
`static int` `WARN_OPTION_IGNORED`
`static int` `WARN_PLUGIN_BUSY`
`static int` `WARN_PLUGIN_DELETE_BUILTIN`

### Constructor Summary

Constructors
`private` `MysqlErrorNumbers()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `get(String stateCode)`
`static String` `mysqlToSql99(int errno)`
`static String` `mysqlToSqlState(int errno)` Map MySQL error codes to SQL-99 error codes

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ER_ERROR_MESSAGES

    public static final int ER_ERROR_MESSAGES

See Also:
  Constant Field Values

#### ER_HASHCHK

    public static final int ER_HASHCHK

See Also:
  Constant Field Values

#### ER_NISAMCHK

    public static final int ER_NISAMCHK

See Also:
  Constant Field Values

#### ER_NO

    public static final int ER_NO

See Also:
  Constant Field Values

#### ER_YES

    public static final int ER_YES

See Also:
  Constant Field Values

#### ER_CANT_CREATE_FILE

    public static final int ER_CANT_CREATE_FILE

See Also:
  Constant Field Values

#### ER_CANT_CREATE_TABLE

    public static final int ER_CANT_CREATE_TABLE

See Also:
  Constant Field Values

#### ER_CANT_CREATE_DB

    public static final int ER_CANT_CREATE_DB

See Also:
  Constant Field Values

#### ER_DB_CREATE_EXISTS

    public static final int ER_DB_CREATE_EXISTS

See Also:
  Constant Field Values

#### ER_DB_DROP_EXISTS

    public static final int ER_DB_DROP_EXISTS

See Also:
  Constant Field Values

#### ER_DB_DROP_DELETE

    public static final int ER_DB_DROP_DELETE

See Also:
  Constant Field Values

#### ER_DB_DROP_RMDIR

    public static final int ER_DB_DROP_RMDIR

See Also:
  Constant Field Values

#### ER_CANT_DELETE_FILE

    public static final int ER_CANT_DELETE_FILE

See Also:
  Constant Field Values

#### ER_CANT_FIND_SYSTEM_REC

    public static final int ER_CANT_FIND_SYSTEM_REC

See Also:
  Constant Field Values

#### ER_CANT_GET_STAT

    public static final int ER_CANT_GET_STAT

See Also:
  Constant Field Values

#### ER_CANT_GET_WD

    public static final int ER_CANT_GET_WD

See Also:
  Constant Field Values

#### ER_CANT_LOCK

    public static final int ER_CANT_LOCK

See Also:
  Constant Field Values

#### ER_CANT_OPEN_FILE

    public static final int ER_CANT_OPEN_FILE

See Also:
  Constant Field Values

#### ER_FILE_NOT_FOUND

    public static final int ER_FILE_NOT_FOUND

See Also:
  Constant Field Values

#### ER_CANT_READ_DIR

    public static final int ER_CANT_READ_DIR

See Also:
  Constant Field Values

#### ER_CANT_SET_WD

    public static final int ER_CANT_SET_WD

See Also:
  Constant Field Values

#### ER_CHECKREAD

    public static final int ER_CHECKREAD

See Also:
  Constant Field Values

#### ER_DISK_FULL

    public static final int ER_DISK_FULL

See Also:
  Constant Field Values

#### ER_DUP_KEY

    public static final int ER_DUP_KEY

See Also:
  Constant Field Values

#### ER_ERROR_ON_CLOSE

    public static final int ER_ERROR_ON_CLOSE

See Also:
  Constant Field Values

#### ER_ERROR_ON_READ

    public static final int ER_ERROR_ON_READ

See Also:
  Constant Field Values

#### ER_ERROR_ON_RENAME

    public static final int ER_ERROR_ON_RENAME

See Also:
  Constant Field Values

#### ER_ERROR_ON_WRITE

    public static final int ER_ERROR_ON_WRITE

See Also:
  Constant Field Values

#### ER_FILE_USED

    public static final int ER_FILE_USED

See Also:
  Constant Field Values

#### ER_FILSORT_ABORT

    public static final int ER_FILSORT_ABORT

See Also:
  Constant Field Values

#### ER_FORM_NOT_FOUND

    public static final int ER_FORM_NOT_FOUND

See Also:
  Constant Field Values

#### ER_GET_ERRNO

    public static final int ER_GET_ERRNO

See Also:
  Constant Field Values

#### ER_ILLEGAL_HA

    public static final int ER_ILLEGAL_HA

See Also:
  Constant Field Values

#### ER_KEY_NOT_FOUND

    public static final int ER_KEY_NOT_FOUND

See Also:
  Constant Field Values

#### ER_NOT_FORM_FILE

    public static final int ER_NOT_FORM_FILE

See Also:
  Constant Field Values

#### ER_NOT_KEYFILE

    public static final int ER_NOT_KEYFILE

See Also:
  Constant Field Values

#### ER_OLD_KEYFILE

    public static final int ER_OLD_KEYFILE

See Also:
  Constant Field Values

#### ER_OPEN_AS_READONLY

    public static final int ER_OPEN_AS_READONLY

See Also:
  Constant Field Values

#### ER_OUTOFMEMORY

    public static final int ER_OUTOFMEMORY

See Also:
  Constant Field Values

#### ER_OUT_OF_SORTMEMORY

    public static final int ER_OUT_OF_SORTMEMORY

See Also:
  Constant Field Values

#### ER_UNEXPECTED_EOF

    public static final int ER_UNEXPECTED_EOF

See Also:
  Constant Field Values

#### ER_CON_COUNT_ERROR

    public static final int ER_CON_COUNT_ERROR

See Also:
  Constant Field Values

#### ER_OUT_OF_RESOURCES

    public static final int ER_OUT_OF_RESOURCES

See Also:
  Constant Field Values

#### ER_BAD_HOST_ERROR

    public static final int ER_BAD_HOST_ERROR

See Also:
  Constant Field Values

#### ER_HANDSHAKE_ERROR

    public static final int ER_HANDSHAKE_ERROR

See Also:
  Constant Field Values

#### ER_DBACCESS_DENIED_ERROR

    public static final int ER_DBACCESS_DENIED_ERROR

See Also:
  Constant Field Values

#### ER_ACCESS_DENIED_ERROR

    public static final int ER_ACCESS_DENIED_ERROR

See Also:
  Constant Field Values

#### ER_NO_DB_ERROR

    public static final int ER_NO_DB_ERROR

See Also:
  Constant Field Values

#### ER_UNKNOWN_COM_ERROR

    public static final int ER_UNKNOWN_COM_ERROR

See Also:
  Constant Field Values

#### ER_BAD_NULL_ERROR

    public static final int ER_BAD_NULL_ERROR

See Also:
  Constant Field Values

#### ER_BAD_DB_ERROR

    public static final int ER_BAD_DB_ERROR

See Also:
  Constant Field Values

#### ER_TABLE_EXISTS_ERROR

    public static final int ER_TABLE_EXISTS_ERROR

See Also:
  Constant Field Values

#### ER_BAD_TABLE_ERROR

    public static final int ER_BAD_TABLE_ERROR

See Also:
  Constant Field Values

#### ER_NON_UNIQ_ERROR

    public static final int ER_NON_UNIQ_ERROR

See Also:
  Constant Field Values

#### ER_SERVER_SHUTDOWN

    public static final int ER_SERVER_SHUTDOWN

See Also:
  Constant Field Values

#### ER_BAD_FIELD_ERROR

    public static final int ER_BAD_FIELD_ERROR

See Also:
  Constant Field Values

#### ER_WRONG_FIELD_WITH_GROUP

    public static final int ER_WRONG_FIELD_WITH_GROUP

See Also:
  Constant Field Values

#### ER_WRONG_GROUP_FIELD

    public static final int ER_WRONG_GROUP_FIELD

See Also:
  Constant Field Values

#### ER_WRONG_SUM_SELECT

    public static final int ER_WRONG_SUM_SELECT

See Also:
  Constant Field Values

#### ER_WRONG_VALUE_COUNT

    public static final int ER_WRONG_VALUE_COUNT

See Also:
  Constant Field Values

#### ER_TOO_LONG_IDENT

    public static final int ER_TOO_LONG_IDENT

See Also:
  Constant Field Values

#### ER_DUP_FIELDNAME

    public static final int ER_DUP_FIELDNAME

See Also:
  Constant Field Values

#### ER_DUP_KEYNAME

    public static final int ER_DUP_KEYNAME

See Also:
  Constant Field Values

#### ER_DUP_ENTRY

    public static final int ER_DUP_ENTRY

See Also:
  Constant Field Values

#### ER_WRONG_FIELD_SPEC

    public static final int ER_WRONG_FIELD_SPEC

See Also:
  Constant Field Values

#### ER_PARSE_ERROR

    public static final int ER_PARSE_ERROR

See Also:
  Constant Field Values

#### ER_EMPTY_QUERY

    public static final int ER_EMPTY_QUERY

See Also:
  Constant Field Values

#### ER_NONUNIQ_TABLE

    public static final int ER_NONUNIQ_TABLE

See Also:
  Constant Field Values

#### ER_INVALID_DEFAULT

    public static final int ER_INVALID_DEFAULT

See Also:
  Constant Field Values

#### ER_MULTIPLE_PRI_KEY

    public static final int ER_MULTIPLE_PRI_KEY

See Also:
  Constant Field Values

#### ER_TOO_MANY_KEYS

    public static final int ER_TOO_MANY_KEYS

See Also:
  Constant Field Values

#### ER_TOO_MANY_KEY_PARTS

    public static final int ER_TOO_MANY_KEY_PARTS

See Also:
  Constant Field Values

#### ER_TOO_LONG_KEY

    public static final int ER_TOO_LONG_KEY

See Also:
  Constant Field Values

#### ER_KEY_COLUMN_DOES_NOT_EXITS

    public static final int ER_KEY_COLUMN_DOES_NOT_EXITS

See Also:
  Constant Field Values

#### ER_BLOB_USED_AS_KEY

    public static final int ER_BLOB_USED_AS_KEY

See Also:
  Constant Field Values

#### ER_TOO_BIG_FIELDLENGTH

    public static final int ER_TOO_BIG_FIELDLENGTH

See Also:
  Constant Field Values

#### ER_WRONG_AUTO_KEY

    public static final int ER_WRONG_AUTO_KEY

See Also:
  Constant Field Values

#### ER_READY

    public static final int ER_READY

See Also:
  Constant Field Values

#### ER_NORMAL_SHUTDOWN

    public static final int ER_NORMAL_SHUTDOWN

See Also:
  Constant Field Values

#### ER_GOT_SIGNAL

    public static final int ER_GOT_SIGNAL

See Also:
  Constant Field Values

#### ER_SHUTDOWN_COMPLETE

    public static final int ER_SHUTDOWN_COMPLETE

See Also:
  Constant Field Values

#### ER_FORCING_CLOSE

    public static final int ER_FORCING_CLOSE

See Also:
  Constant Field Values

#### ER_IPSOCK_ERROR

    public static final int ER_IPSOCK_ERROR

See Also:
  Constant Field Values

#### ER_NO_SUCH_INDEX

    public static final int ER_NO_SUCH_INDEX

See Also:
  Constant Field Values

#### ER_WRONG_FIELD_TERMINATORS

    public static final int ER_WRONG_FIELD_TERMINATORS

See Also:
  Constant Field Values

#### ER_BLOBS_AND_NO_TERMINATED

    public static final int ER_BLOBS_AND_NO_TERMINATED

See Also:
  Constant Field Values

#### ER_TEXTFILE_NOT_READABLE

    public static final int ER_TEXTFILE_NOT_READABLE

See Also:
  Constant Field Values

#### ER_FILE_EXISTS_ERROR

    public static final int ER_FILE_EXISTS_ERROR

See Also:
  Constant Field Values

#### ER_LOAD_INFO

    public static final int ER_LOAD_INFO

See Also:
  Constant Field Values

#### ER_ALTER_INFO

    public static final int ER_ALTER_INFO

See Also:
  Constant Field Values

#### ER_WRONG_SUB_KEY

    public static final int ER_WRONG_SUB_KEY

See Also:
  Constant Field Values

#### ER_CANT_REMOVE_ALL_FIELDS

    public static final int ER_CANT_REMOVE_ALL_FIELDS

See Also:
  Constant Field Values

#### ER_CANT_DROP_FIELD_OR_KEY

    public static final int ER_CANT_DROP_FIELD_OR_KEY

See Also:
  Constant Field Values

#### ER_INSERT_INFO

    public static final int ER_INSERT_INFO

See Also:
  Constant Field Values

#### ER_UPDATE_TABLE_USED

    public static final int ER_UPDATE_TABLE_USED

See Also:
  Constant Field Values

#### ER_NO_SUCH_THREAD

    public static final int ER_NO_SUCH_THREAD

See Also:
  Constant Field Values

#### ER_KILL_DENIED_ERROR

    public static final int ER_KILL_DENIED_ERROR

See Also:
  Constant Field Values

#### ER_NO_TABLES_USED

    public static final int ER_NO_TABLES_USED

See Also:
  Constant Field Values

#### ER_TOO_BIG_SET

    public static final int ER_TOO_BIG_SET

See Also:
  Constant Field Values

#### ER_NO_UNIQUE_LOGFILE

    public static final int ER_NO_UNIQUE_LOGFILE

See Also:
  Constant Field Values

#### ER_TABLE_NOT_LOCKED_FOR_WRITE

    public static final int ER_TABLE_NOT_LOCKED_FOR_WRITE

See Also:
  Constant Field Values

#### ER_TABLE_NOT_LOCKED

    public static final int ER_TABLE_NOT_LOCKED

See Also:
  Constant Field Values

#### ER_BLOB_CANT_HAVE_DEFAULT

    public static final int ER_BLOB_CANT_HAVE_DEFAULT

See Also:
  Constant Field Values

#### ER_WRONG_DB_NAME

    public static final int ER_WRONG_DB_NAME

See Also:
  Constant Field Values

#### ER_WRONG_TABLE_NAME

    public static final int ER_WRONG_TABLE_NAME

See Also:
  Constant Field Values

#### ER_TOO_BIG_SELECT

    public static final int ER_TOO_BIG_SELECT

See Also:
  Constant Field Values

#### ER_UNKNOWN_ERROR

    public static final int ER_UNKNOWN_ERROR

See Also:
  Constant Field Values

#### ER_UNKNOWN_PROCEDURE

    public static final int ER_UNKNOWN_PROCEDURE

See Also:
  Constant Field Values

#### ER_WRONG_PARAMCOUNT_TO_PROCEDURE

    public static final int ER_WRONG_PARAMCOUNT_TO_PROCEDURE

See Also:
  Constant Field Values

#### ER_WRONG_PARAMETERS_TO_PROCEDURE

    public static final int ER_WRONG_PARAMETERS_TO_PROCEDURE

See Also:
  Constant Field Values

#### ER_UNKNOWN_TABLE

    public static final int ER_UNKNOWN_TABLE

See Also:
  Constant Field Values

#### ER_FIELD_SPECIFIED_TWICE

    public static final int ER_FIELD_SPECIFIED_TWICE

See Also:
  Constant Field Values

#### ER_INVALID_GROUP_FUNC_USE

    public static final int ER_INVALID_GROUP_FUNC_USE

See Also:
  Constant Field Values

#### ER_UNSUPPORTED_EXTENSION

    public static final int ER_UNSUPPORTED_EXTENSION

See Also:
  Constant Field Values

#### ER_TABLE_MUST_HAVE_COLUMNS

    public static final int ER_TABLE_MUST_HAVE_COLUMNS

See Also:
  Constant Field Values

#### ER_RECORD_FILE_FULL

    public static final int ER_RECORD_FILE_FULL

See Also:
  Constant Field Values

#### ER_UNKNOWN_CHARACTER_SET

    public static final int ER_UNKNOWN_CHARACTER_SET

See Also:
  Constant Field Values

#### ER_TOO_MANY_TABLES

    public static final int ER_TOO_MANY_TABLES

See Also:
  Constant Field Values

#### ER_TOO_MANY_FIELDS

    public static final int ER_TOO_MANY_FIELDS

See Also:
  Constant Field Values

#### ER_TOO_BIG_ROWSIZE

    public static final int ER_TOO_BIG_ROWSIZE

See Also:
  Constant Field Values

#### ER_STACK_OVERRUN

    public static final int ER_STACK_OVERRUN

See Also:
  Constant Field Values

#### ER_WRONG_OUTER_JOIN

    public static final int ER_WRONG_OUTER_JOIN

See Also:
  Constant Field Values

#### ER_NULL_COLUMN_IN_INDEX

    public static final int ER_NULL_COLUMN_IN_INDEX

See Also:
  Constant Field Values

#### ER_CANT_FIND_UDF

    public static final int ER_CANT_FIND_UDF

See Also:
  Constant Field Values

#### ER_CANT_INITIALIZE_UDF

    public static final int ER_CANT_INITIALIZE_UDF

See Also:
  Constant Field Values

#### ER_UDF_NO_PATHS

    public static final int ER_UDF_NO_PATHS

See Also:
  Constant Field Values

#### ER_UDF_EXISTS

    public static final int ER_UDF_EXISTS

See Also:
  Constant Field Values

#### ER_CANT_OPEN_LIBRARY

    public static final int ER_CANT_OPEN_LIBRARY

See Also:
  Constant Field Values

#### ER_CANT_FIND_DL_ENTRY

    public static final int ER_CANT_FIND_DL_ENTRY

See Also:
  Constant Field Values

#### ER_FUNCTION_NOT_DEFINED

    public static final int ER_FUNCTION_NOT_DEFINED

See Also:
  Constant Field Values

#### ER_HOST_IS_BLOCKED

    public static final int ER_HOST_IS_BLOCKED

See Also:
  Constant Field Values

#### ER_HOST_NOT_PRIVILEGED

    public static final int ER_HOST_NOT_PRIVILEGED

See Also:
  Constant Field Values

#### ER_PASSWORD_ANONYMOUS_USER

    public static final int ER_PASSWORD_ANONYMOUS_USER

See Also:
  Constant Field Values

#### ER_PASSWORD_NOT_ALLOWED

    public static final int ER_PASSWORD_NOT_ALLOWED

See Also:
  Constant Field Values

#### ER_PASSWORD_NO_MATCH

    public static final int ER_PASSWORD_NO_MATCH

See Also:
  Constant Field Values

#### ER_UPDATE_INFO

    public static final int ER_UPDATE_INFO

See Also:
  Constant Field Values

#### ER_CANT_CREATE_THREAD

    public static final int ER_CANT_CREATE_THREAD

See Also:
  Constant Field Values

#### ER_WRONG_VALUE_COUNT_ON_ROW

    public static final int ER_WRONG_VALUE_COUNT_ON_ROW

See Also:
  Constant Field Values

#### ER_CANT_REOPEN_TABLE

    public static final int ER_CANT_REOPEN_TABLE

See Also:
  Constant Field Values

#### ER_INVALID_USE_OF_NULL

    public static final int ER_INVALID_USE_OF_NULL

See Also:
  Constant Field Values

#### ER_REGEXP_ERROR

    public static final int ER_REGEXP_ERROR

See Also:
  Constant Field Values

#### ER_MIX_OF_GROUP_FUNC_AND_FIELDS

    public static final int ER_MIX_OF_GROUP_FUNC_AND_FIELDS

See Also:
  Constant Field Values

#### ER_NONEXISTING_GRANT

    public static final int ER_NONEXISTING_GRANT

See Also:
  Constant Field Values

#### ER_TABLEACCESS_DENIED_ERROR

    public static final int ER_TABLEACCESS_DENIED_ERROR

See Also:
  Constant Field Values

#### ER_COLUMNACCESS_DENIED_ERROR

    public static final int ER_COLUMNACCESS_DENIED_ERROR

See Also:
  Constant Field Values

#### ER_ILLEGAL_GRANT_FOR_TABLE

    public static final int ER_ILLEGAL_GRANT_FOR_TABLE

See Also:
  Constant Field Values

#### ER_GRANT_WRONG_HOST_OR_USER

    public static final int ER_GRANT_WRONG_HOST_OR_USER

See Also:
  Constant Field Values

#### ER_NO_SUCH_TABLE

    public static final int ER_NO_SUCH_TABLE

See Also:
  Constant Field Values

#### ER_NONEXISTING_TABLE_GRANT

    public static final int ER_NONEXISTING_TABLE_GRANT

See Also:
  Constant Field Values

#### ER_NOT_ALLOWED_COMMAND

    public static final int ER_NOT_ALLOWED_COMMAND

See Also:
  Constant Field Values

#### ER_SYNTAX_ERROR

    public static final int ER_SYNTAX_ERROR

See Also:
  Constant Field Values

#### ER_DELAYED_CANT_CHANGE_LOCK

    public static final int ER_DELAYED_CANT_CHANGE_LOCK

See Also:
  Constant Field Values

#### ER_TOO_MANY_DELAYED_THREADS

    public static final int ER_TOO_MANY_DELAYED_THREADS

See Also:
  Constant Field Values

#### ER_ABORTING_CONNECTION

    public static final int ER_ABORTING_CONNECTION

See Also:
  Constant Field Values

#### ER_NET_PACKET_TOO_LARGE

    public static final int ER_NET_PACKET_TOO_LARGE

See Also:
  Constant Field Values

#### ER_NET_READ_ERROR_FROM_PIPE

    public static final int ER_NET_READ_ERROR_FROM_PIPE

See Also:
  Constant Field Values

#### ER_NET_FCNTL_ERROR

    public static final int ER_NET_FCNTL_ERROR

See Also:
  Constant Field Values

#### ER_NET_PACKETS_OUT_OF_ORDER

    public static final int ER_NET_PACKETS_OUT_OF_ORDER

See Also:
  Constant Field Values

#### ER_NET_UNCOMPRESS_ERROR

    public static final int ER_NET_UNCOMPRESS_ERROR

See Also:
  Constant Field Values

#### ER_NET_READ_ERROR

    public static final int ER_NET_READ_ERROR

See Also:
  Constant Field Values

#### ER_NET_READ_INTERRUPTED

    public static final int ER_NET_READ_INTERRUPTED

See Also:
  Constant Field Values

#### ER_NET_ERROR_ON_WRITE

    public static final int ER_NET_ERROR_ON_WRITE

See Also:
  Constant Field Values

#### ER_NET_WRITE_INTERRUPTED

    public static final int ER_NET_WRITE_INTERRUPTED

See Also:
  Constant Field Values

#### ER_TOO_LONG_STRING

    public static final int ER_TOO_LONG_STRING

See Also:
  Constant Field Values

#### ER_TABLE_CANT_HANDLE_BLOB

    public static final int ER_TABLE_CANT_HANDLE_BLOB

See Also:
  Constant Field Values

#### ER_TABLE_CANT_HANDLE_AUTO_INCREMENT

    public static final int ER_TABLE_CANT_HANDLE_AUTO_INCREMENT

See Also:
  Constant Field Values

#### ER_DELAYED_INSERT_TABLE_LOCKED

    public static final int ER_DELAYED_INSERT_TABLE_LOCKED

See Also:
  Constant Field Values

#### ER_WRONG_COLUMN_NAME

    public static final int ER_WRONG_COLUMN_NAME

See Also:
  Constant Field Values

#### ER_WRONG_KEY_COLUMN

    public static final int ER_WRONG_KEY_COLUMN

See Also:
  Constant Field Values

#### ER_WRONG_MRG_TABLE

    public static final int ER_WRONG_MRG_TABLE

See Also:
  Constant Field Values

#### ER_DUP_UNIQUE

    public static final int ER_DUP_UNIQUE

See Also:
  Constant Field Values

#### ER_BLOB_KEY_WITHOUT_LENGTH

    public static final int ER_BLOB_KEY_WITHOUT_LENGTH

See Also:
  Constant Field Values

#### ER_PRIMARY_CANT_HAVE_NULL

    public static final int ER_PRIMARY_CANT_HAVE_NULL

See Also:
  Constant Field Values

#### ER_TOO_MANY_ROWS

    public static final int ER_TOO_MANY_ROWS

See Also:
  Constant Field Values

#### ER_REQUIRES_PRIMARY_KEY

    public static final int ER_REQUIRES_PRIMARY_KEY

See Also:
  Constant Field Values

#### ER_NO_RAID_COMPILED

    public static final int ER_NO_RAID_COMPILED

See Also:
  Constant Field Values

#### ER_UPDATE_WITHOUT_KEY_IN_SAFE_MODE

    public static final int ER_UPDATE_WITHOUT_KEY_IN_SAFE_MODE

See Also:
  Constant Field Values

#### ER_KEY_DOES_NOT_EXITS

    public static final int ER_KEY_DOES_NOT_EXITS

See Also:
  Constant Field Values

#### ER_CHECK_NO_SUCH_TABLE

    public static final int ER_CHECK_NO_SUCH_TABLE

See Also:
  Constant Field Values

#### ER_CHECK_NOT_IMPLEMENTED

    public static final int ER_CHECK_NOT_IMPLEMENTED

See Also:
  Constant Field Values

#### ER_CANT_DO_THIS_DURING_AN_TRANSACTION

    public static final int ER_CANT_DO_THIS_DURING_AN_TRANSACTION

See Also:
  Constant Field Values

#### ER_ERROR_DURING_COMMIT

    public static final int ER_ERROR_DURING_COMMIT

See Also:
  Constant Field Values

#### ER_ERROR_DURING_ROLLBACK

    public static final int ER_ERROR_DURING_ROLLBACK

See Also:
  Constant Field Values

#### ER_ERROR_DURING_FLUSH_LOGS

    public static final int ER_ERROR_DURING_FLUSH_LOGS

See Also:
  Constant Field Values

#### ER_ERROR_DURING_CHECKPOINT

    public static final int ER_ERROR_DURING_CHECKPOINT

See Also:
  Constant Field Values

#### ER_NEW_ABORTING_CONNECTION

    public static final int ER_NEW_ABORTING_CONNECTION

See Also:
  Constant Field Values

#### ER_DUMP_NOT_IMPLEMENTED

    public static final int ER_DUMP_NOT_IMPLEMENTED

See Also:
  Constant Field Values

#### ER_FLUSH_MASTER_BINLOG_CLOSED

    @Deprecated
    public static final int ER_FLUSH_MASTER_BINLOG_CLOSED

Deprecated.

See Also:
  Constant Field Values

#### ER_FLUSH_SOURCE_BINLOG_CLOSED

    public static final int ER_FLUSH_SOURCE_BINLOG_CLOSED

See Also:
  Constant Field Values

#### ER_INDEX_REBUILD

    public static final int ER_INDEX_REBUILD

See Also:
  Constant Field Values

#### ER_MASTER

    @Deprecated
    public static final int ER_MASTER

Deprecated.

See Also:
  Constant Field Values

#### ER_SOURCE

    public static final int ER_SOURCE

See Also:
  Constant Field Values

#### ER_MASTER_NET_READ

    @Deprecated
    public static final int ER_MASTER_NET_READ

Deprecated.

See Also:
  Constant Field Values

#### ER_SOURCE_NET_READ

    public static final int ER_SOURCE_NET_READ

See Also:
  Constant Field Values

#### ER_MASTER_NET_WRITE

    @Deprecated
    public static final int ER_MASTER_NET_WRITE

Deprecated.

See Also:
  Constant Field Values

#### ER_SOURCE_NET_WRITE

    public static final int ER_SOURCE_NET_WRITE

See Also:
  Constant Field Values

#### ER_FT_MATCHING_KEY_NOT_FOUND

    public static final int ER_FT_MATCHING_KEY_NOT_FOUND

See Also:
  Constant Field Values

#### ER_LOCK_OR_ACTIVE_TRANSACTION

    public static final int ER_LOCK_OR_ACTIVE_TRANSACTION

See Also:
  Constant Field Values

#### ER_UNKNOWN_SYSTEM_VARIABLE

    public static final int ER_UNKNOWN_SYSTEM_VARIABLE

See Also:
  Constant Field Values

#### ER_CRASHED_ON_USAGE

    public static final int ER_CRASHED_ON_USAGE

See Also:
  Constant Field Values

#### ER_CRASHED_ON_REPAIR

    public static final int ER_CRASHED_ON_REPAIR

See Also:
  Constant Field Values

#### ER_WARNING_NOT_COMPLETE_ROLLBACK

    public static final int ER_WARNING_NOT_COMPLETE_ROLLBACK

See Also:
  Constant Field Values

#### ER_TRANS_CACHE_FULL

    public static final int ER_TRANS_CACHE_FULL

See Also:
  Constant Field Values

#### ER_SLAVE_MUST_STOP

    @Deprecated
    public static final int ER_SLAVE_MUST_STOP

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_MUST_STOP

    public static final int ER_REPLICA_MUST_STOP

See Also:
  Constant Field Values

#### ER_SLAVE_NOT_RUNNING

    @Deprecated
    public static final int ER_SLAVE_NOT_RUNNING

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_NOT_RUNNING

    public static final int ER_REPLICA_NOT_RUNNING

See Also:
  Constant Field Values

#### ER_BAD_SLAVE

    @Deprecated
    public static final int ER_BAD_SLAVE

Deprecated.

See Also:
  Constant Field Values

#### ER_BAD_REPLICA

    public static final int ER_BAD_REPLICA

See Also:
  Constant Field Values

#### ER_MASTER_INFO

    @Deprecated
    public static final int ER_MASTER_INFO

Deprecated.

See Also:
  Constant Field Values

#### ER_SOURCE_INFO

    public static final int ER_SOURCE_INFO

See Also:
  Constant Field Values

#### ER_SLAVE_THREAD

    @Deprecated
    public static final int ER_SLAVE_THREAD

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_THREAD

    public static final int ER_REPLICA_THREAD

See Also:
  Constant Field Values

#### ER_TOO_MANY_USER_CONNECTIONS

    public static final int ER_TOO_MANY_USER_CONNECTIONS

See Also:
  Constant Field Values

#### ER_SET_CONSTANTS_ONLY

    public static final int ER_SET_CONSTANTS_ONLY

See Also:
  Constant Field Values

#### ER_LOCK_WAIT_TIMEOUT

    public static final int ER_LOCK_WAIT_TIMEOUT

See Also:
  Constant Field Values

#### ER_LOCK_TABLE_FULL

    public static final int ER_LOCK_TABLE_FULL

See Also:
  Constant Field Values

#### ER_READ_ONLY_TRANSACTION

    public static final int ER_READ_ONLY_TRANSACTION

See Also:
  Constant Field Values

#### ER_DROP_DB_WITH_READ_LOCK

    public static final int ER_DROP_DB_WITH_READ_LOCK

See Also:
  Constant Field Values

#### ER_CREATE_DB_WITH_READ_LOCK

    public static final int ER_CREATE_DB_WITH_READ_LOCK

See Also:
  Constant Field Values

#### ER_WRONG_ARGUMENTS

    public static final int ER_WRONG_ARGUMENTS

See Also:
  Constant Field Values

#### ER_NO_PERMISSION_TO_CREATE_USER

    public static final int ER_NO_PERMISSION_TO_CREATE_USER

See Also:
  Constant Field Values

#### ER_UNION_TABLES_IN_DIFFERENT_DIR

    public static final int ER_UNION_TABLES_IN_DIFFERENT_DIR

See Also:
  Constant Field Values

#### ER_LOCK_DEADLOCK

    public static final int ER_LOCK_DEADLOCK

See Also:
  Constant Field Values

#### ER_TABLE_CANT_HANDLE_FT

    public static final int ER_TABLE_CANT_HANDLE_FT

See Also:
  Constant Field Values

#### ER_CANNOT_ADD_FOREIGN

    public static final int ER_CANNOT_ADD_FOREIGN

See Also:
  Constant Field Values

#### ER_NO_REFERENCED_ROW

    public static final int ER_NO_REFERENCED_ROW

See Also:
  Constant Field Values

#### ER_ROW_IS_REFERENCED

    public static final int ER_ROW_IS_REFERENCED

See Also:
  Constant Field Values

#### ER_CONNECT_TO_MASTER

    @Deprecated
    public static final int ER_CONNECT_TO_MASTER

Deprecated.

See Also:
  Constant Field Values

#### ER_CONNECT_TO_SOURCE

    public static final int ER_CONNECT_TO_SOURCE

See Also:
  Constant Field Values

#### ER_QUERY_ON_MASTER

    @Deprecated
    public static final int ER_QUERY_ON_MASTER

Deprecated.

See Also:
  Constant Field Values

#### ER_QUERY_ON_SOURCE

    public static final int ER_QUERY_ON_SOURCE

See Also:
  Constant Field Values

#### ER_ERROR_WHEN_EXECUTING_COMMAND

    public static final int ER_ERROR_WHEN_EXECUTING_COMMAND

See Also:
  Constant Field Values

#### ER_WRONG_USAGE

    public static final int ER_WRONG_USAGE

See Also:
  Constant Field Values

#### ER_WRONG_NUMBER_OF_COLUMNS_IN_SELECT

    public static final int ER_WRONG_NUMBER_OF_COLUMNS_IN_SELECT

See Also:
  Constant Field Values

#### ER_CANT_UPDATE_WITH_READLOCK

    public static final int ER_CANT_UPDATE_WITH_READLOCK

See Also:
  Constant Field Values

#### ER_MIXING_NOT_ALLOWED

    public static final int ER_MIXING_NOT_ALLOWED

See Also:
  Constant Field Values

#### ER_DUP_ARGUMENT

    public static final int ER_DUP_ARGUMENT

See Also:
  Constant Field Values

#### ER_USER_LIMIT_REACHED

    public static final int ER_USER_LIMIT_REACHED

See Also:
  Constant Field Values

#### ER_SPECIFIC_ACCESS_DENIED_ERROR

    public static final int ER_SPECIFIC_ACCESS_DENIED_ERROR

See Also:
  Constant Field Values

#### ER_LOCAL_VARIABLE

    public static final int ER_LOCAL_VARIABLE

See Also:
  Constant Field Values

#### ER_GLOBAL_VARIABLE

    public static final int ER_GLOBAL_VARIABLE

See Also:
  Constant Field Values

#### ER_NO_DEFAULT

    public static final int ER_NO_DEFAULT

See Also:
  Constant Field Values

#### ER_WRONG_VALUE_FOR_VAR

    public static final int ER_WRONG_VALUE_FOR_VAR

See Also:
  Constant Field Values

#### ER_WRONG_TYPE_FOR_VAR

    public static final int ER_WRONG_TYPE_FOR_VAR

See Also:
  Constant Field Values

#### ER_VAR_CANT_BE_READ

    public static final int ER_VAR_CANT_BE_READ

See Also:
  Constant Field Values

#### ER_CANT_USE_OPTION_HERE

    public static final int ER_CANT_USE_OPTION_HERE

See Also:
  Constant Field Values

#### ER_NOT_SUPPORTED_YET

    public static final int ER_NOT_SUPPORTED_YET

See Also:
  Constant Field Values

#### ER_MASTER_FATAL_ERROR_READING_BINLOG

    @Deprecated
    public static final int ER_MASTER_FATAL_ERROR_READING_BINLOG

Deprecated.

See Also:
  Constant Field Values

#### ER_SOURCE_FATAL_ERROR_READING_BINLOG

    public static final int ER_SOURCE_FATAL_ERROR_READING_BINLOG

See Also:
  Constant Field Values

#### ER_SLAVE_IGNORED_TABLE

    @Deprecated
    public static final int ER_SLAVE_IGNORED_TABLE

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_IGNORED_TABLE

    public static final int ER_REPLICA_IGNORED_TABLE

See Also:
  Constant Field Values

#### ER_INCORRECT_GLOBAL_LOCAL_VAR

    public static final int ER_INCORRECT_GLOBAL_LOCAL_VAR

See Also:
  Constant Field Values

#### ER_WRONG_FK_DEF

    public static final int ER_WRONG_FK_DEF

See Also:
  Constant Field Values

#### ER_KEY_REF_DO_NOT_MATCH_TABLE_REF

    public static final int ER_KEY_REF_DO_NOT_MATCH_TABLE_REF

See Also:
  Constant Field Values

#### ER_OPERAND_COLUMNS

    public static final int ER_OPERAND_COLUMNS

See Also:
  Constant Field Values

#### ER_SUBQUERY_NO_1_ROW

    public static final int ER_SUBQUERY_NO_1_ROW

See Also:
  Constant Field Values

#### ER_UNKNOWN_STMT_HANDLER

    public static final int ER_UNKNOWN_STMT_HANDLER

See Also:
  Constant Field Values

#### ER_CORRUPT_HELP_DB

    public static final int ER_CORRUPT_HELP_DB

See Also:
  Constant Field Values

#### ER_CYCLIC_REFERENCE

    public static final int ER_CYCLIC_REFERENCE

See Also:
  Constant Field Values

#### ER_AUTO_CONVERT

    public static final int ER_AUTO_CONVERT

See Also:
  Constant Field Values

#### ER_ILLEGAL_REFERENCE

    public static final int ER_ILLEGAL_REFERENCE

See Also:
  Constant Field Values

#### ER_DERIVED_MUST_HAVE_ALIAS

    public static final int ER_DERIVED_MUST_HAVE_ALIAS

See Also:
  Constant Field Values

#### ER_SELECT_REDUCED

    public static final int ER_SELECT_REDUCED

See Also:
  Constant Field Values

#### ER_TABLENAME_NOT_ALLOWED_HERE

    public static final int ER_TABLENAME_NOT_ALLOWED_HERE

See Also:
  Constant Field Values

#### ER_NOT_SUPPORTED_AUTH_MODE

    public static final int ER_NOT_SUPPORTED_AUTH_MODE

See Also:
  Constant Field Values

#### ER_SPATIAL_CANT_HAVE_NULL

    public static final int ER_SPATIAL_CANT_HAVE_NULL

See Also:
  Constant Field Values

#### ER_COLLATION_CHARSET_MISMATCH

    public static final int ER_COLLATION_CHARSET_MISMATCH

See Also:
  Constant Field Values

#### ER_SLAVE_WAS_RUNNING

    @Deprecated
    public static final int ER_SLAVE_WAS_RUNNING

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_WAS_RUNNING

    public static final int ER_REPLICA_WAS_RUNNING

See Also:
  Constant Field Values

#### ER_SLAVE_WAS_NOT_RUNNING

    @Deprecated
    public static final int ER_SLAVE_WAS_NOT_RUNNING

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_WAS_NOT_RUNNING

    public static final int ER_REPLICA_WAS_NOT_RUNNING

See Also:
  Constant Field Values

#### ER_TOO_BIG_FOR_UNCOMPRESS

    public static final int ER_TOO_BIG_FOR_UNCOMPRESS

See Also:
  Constant Field Values

#### ER_ZLIB_Z_MEM_ERROR

    public static final int ER_ZLIB_Z_MEM_ERROR

See Also:
  Constant Field Values

#### ER_ZLIB_Z_BUF_ERROR

    public static final int ER_ZLIB_Z_BUF_ERROR

See Also:
  Constant Field Values

#### ER_ZLIB_Z_DATA_ERROR

    public static final int ER_ZLIB_Z_DATA_ERROR

See Also:
  Constant Field Values

#### ER_CUT_VALUE_GROUP_CONCAT

    public static final int ER_CUT_VALUE_GROUP_CONCAT

See Also:
  Constant Field Values

#### ER_WARN_TOO_FEW_RECORDS

    public static final int ER_WARN_TOO_FEW_RECORDS

See Also:
  Constant Field Values

#### ER_WARN_TOO_MANY_RECORDS

    public static final int ER_WARN_TOO_MANY_RECORDS

See Also:
  Constant Field Values

#### ER_WARN_NULL_TO_NOTNULL

    public static final int ER_WARN_NULL_TO_NOTNULL

See Also:
  Constant Field Values

#### ER_WARN_DATA_OUT_OF_RANGE

    public static final int ER_WARN_DATA_OUT_OF_RANGE

See Also:
  Constant Field Values

#### ER_WARN_DATA_TRUNCATED

    public static final int ER_WARN_DATA_TRUNCATED

See Also:
  Constant Field Values

#### ER_WARN_USING_OTHER_HANDLER

    public static final int ER_WARN_USING_OTHER_HANDLER

See Also:
  Constant Field Values

#### ER_CANT_AGGREGATE_2COLLATIONS

    public static final int ER_CANT_AGGREGATE_2COLLATIONS

See Also:
  Constant Field Values

#### ER_DROP_USER

    public static final int ER_DROP_USER

See Also:
  Constant Field Values

#### ER_REVOKE_GRANTS

    public static final int ER_REVOKE_GRANTS

See Also:
  Constant Field Values

#### ER_CANT_AGGREGATE_3COLLATIONS

    public static final int ER_CANT_AGGREGATE_3COLLATIONS

See Also:
  Constant Field Values

#### ER_CANT_AGGREGATE_NCOLLATIONS

    public static final int ER_CANT_AGGREGATE_NCOLLATIONS

See Also:
  Constant Field Values

#### ER_VARIABLE_IS_NOT_STRUCT

    public static final int ER_VARIABLE_IS_NOT_STRUCT

See Also:
  Constant Field Values

#### ER_UNKNOWN_COLLATION

    public static final int ER_UNKNOWN_COLLATION

See Also:
  Constant Field Values

#### ER_SLAVE_IGNORED_SSL_PARAMS

    @Deprecated
    public static final int ER_SLAVE_IGNORED_SSL_PARAMS

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_IGNORED_SSL_PARAMS

    public static final int ER_REPLICA_IGNORED_SSL_PARAMS

See Also:
  Constant Field Values

#### ER_SERVER_IS_IN_SECURE_AUTH_MODE

    public static final int ER_SERVER_IS_IN_SECURE_AUTH_MODE

See Also:
  Constant Field Values

#### ER_WARN_FIELD_RESOLVED

    public static final int ER_WARN_FIELD_RESOLVED

See Also:
  Constant Field Values

#### ER_BAD_SLAVE_UNTIL_COND

    @Deprecated
    public static final int ER_BAD_SLAVE_UNTIL_COND

Deprecated.

See Also:
  Constant Field Values

#### ER_BAD_REPLICA_UNTIL_COND

    public static final int ER_BAD_REPLICA_UNTIL_COND

See Also:
  Constant Field Values

#### ER_MISSING_SKIP_SLAVE

    @Deprecated
    public static final int ER_MISSING_SKIP_SLAVE

Deprecated.

See Also:
  Constant Field Values

#### ER_MISSING_SKIP_REPLICA

    public static final int ER_MISSING_SKIP_REPLICA

See Also:
  Constant Field Values

#### ER_UNTIL_COND_IGNORED

    public static final int ER_UNTIL_COND_IGNORED

See Also:
  Constant Field Values

#### ER_WRONG_NAME_FOR_INDEX

    public static final int ER_WRONG_NAME_FOR_INDEX

See Also:
  Constant Field Values

#### ER_WRONG_NAME_FOR_CATALOG

    public static final int ER_WRONG_NAME_FOR_CATALOG

See Also:
  Constant Field Values

#### ER_WARN_QC_RESIZE

    public static final int ER_WARN_QC_RESIZE

See Also:
  Constant Field Values

#### ER_BAD_FT_COLUMN

    public static final int ER_BAD_FT_COLUMN

See Also:
  Constant Field Values

#### ER_UNKNOWN_KEY_CACHE

    public static final int ER_UNKNOWN_KEY_CACHE

See Also:
  Constant Field Values

#### ER_WARN_HOSTNAME_WONT_WORK

    public static final int ER_WARN_HOSTNAME_WONT_WORK

See Also:
  Constant Field Values

#### ER_UNKNOWN_STORAGE_ENGINE

    public static final int ER_UNKNOWN_STORAGE_ENGINE

See Also:
  Constant Field Values

#### ER_WARN_DEPRECATED_SYNTAX

    public static final int ER_WARN_DEPRECATED_SYNTAX

See Also:
  Constant Field Values

#### ER_NON_UPDATABLE_TABLE

    public static final int ER_NON_UPDATABLE_TABLE

See Also:
  Constant Field Values

#### ER_FEATURE_DISABLED

    public static final int ER_FEATURE_DISABLED

See Also:
  Constant Field Values

#### ER_OPTION_PREVENTS_STATEMENT

    public static final int ER_OPTION_PREVENTS_STATEMENT

See Also:
  Constant Field Values

#### ER_DUPLICATED_VALUE_IN_TYPE

    public static final int ER_DUPLICATED_VALUE_IN_TYPE

See Also:
  Constant Field Values

#### ER_TRUNCATED_WRONG_VALUE

    public static final int ER_TRUNCATED_WRONG_VALUE

See Also:
  Constant Field Values

#### ER_TOO_MUCH_AUTO_TIMESTAMP_COLS

    public static final int ER_TOO_MUCH_AUTO_TIMESTAMP_COLS

See Also:
  Constant Field Values

#### ER_INVALID_ON_UPDATE

    public static final int ER_INVALID_ON_UPDATE

See Also:
  Constant Field Values

#### ER_UNSUPPORTED_PS

    public static final int ER_UNSUPPORTED_PS

See Also:
  Constant Field Values

#### ER_GET_ERRMSG

    public static final int ER_GET_ERRMSG

See Also:
  Constant Field Values

#### ER_GET_TEMPORARY_ERRMSG

    public static final int ER_GET_TEMPORARY_ERRMSG

See Also:
  Constant Field Values

#### ER_UNKNOWN_TIME_ZONE

    public static final int ER_UNKNOWN_TIME_ZONE

See Also:
  Constant Field Values

#### ER_WARN_INVALID_TIMESTAMP

    public static final int ER_WARN_INVALID_TIMESTAMP

See Also:
  Constant Field Values

#### ER_INVALID_CHARACTER_STRING

    public static final int ER_INVALID_CHARACTER_STRING

See Also:
  Constant Field Values

#### ER_WARN_ALLOWED_PACKET_OVERFLOWED

    public static final int ER_WARN_ALLOWED_PACKET_OVERFLOWED

See Also:
  Constant Field Values

#### ER_CONFLICTING_DECLARATIONS

    public static final int ER_CONFLICTING_DECLARATIONS

See Also:
  Constant Field Values

#### ER_SP_NO_RECURSIVE_CREATE

    public static final int ER_SP_NO_RECURSIVE_CREATE

See Also:
  Constant Field Values

#### ER_SP_ALREADY_EXISTS

    public static final int ER_SP_ALREADY_EXISTS

See Also:
  Constant Field Values

#### ER_SP_DOES_NOT_EXIST

    public static final int ER_SP_DOES_NOT_EXIST

See Also:
  Constant Field Values

#### ER_SP_DROP_FAILED

    public static final int ER_SP_DROP_FAILED

See Also:
  Constant Field Values

#### ER_SP_STORE_FAILED

    public static final int ER_SP_STORE_FAILED

See Also:
  Constant Field Values

#### ER_SP_LILABEL_MISMATCH

    public static final int ER_SP_LILABEL_MISMATCH

See Also:
  Constant Field Values

#### ER_SP_LABEL_REDEFINE

    public static final int ER_SP_LABEL_REDEFINE

See Also:
  Constant Field Values

#### ER_SP_LABEL_MISMATCH

    public static final int ER_SP_LABEL_MISMATCH

See Also:
  Constant Field Values

#### ER_SP_UNINIT_VAR

    public static final int ER_SP_UNINIT_VAR

See Also:
  Constant Field Values

#### ER_SP_BADSELECT

    public static final int ER_SP_BADSELECT

See Also:
  Constant Field Values

#### ER_SP_BADRETURN

    public static final int ER_SP_BADRETURN

See Also:
  Constant Field Values

#### ER_SP_BADSTATEMENT

    public static final int ER_SP_BADSTATEMENT

See Also:
  Constant Field Values

#### ER_UPDATE_LOG_DEPRECATED_IGNORED

    public static final int ER_UPDATE_LOG_DEPRECATED_IGNORED

See Also:
  Constant Field Values

#### ER_UPDATE_LOG_DEPRECATED_TRANSLATED

    public static final int ER_UPDATE_LOG_DEPRECATED_TRANSLATED

See Also:
  Constant Field Values

#### ER_QUERY_INTERRUPTED

    public static final int ER_QUERY_INTERRUPTED

See Also:
  Constant Field Values

#### ER_SP_WRONG_NO_OF_ARGS

    public static final int ER_SP_WRONG_NO_OF_ARGS

See Also:
  Constant Field Values

#### ER_SP_COND_MISMATCH

    public static final int ER_SP_COND_MISMATCH

See Also:
  Constant Field Values

#### ER_SP_NORETURN

    public static final int ER_SP_NORETURN

See Also:
  Constant Field Values

#### ER_SP_NORETURNEND

    public static final int ER_SP_NORETURNEND

See Also:
  Constant Field Values

#### ER_SP_BAD_CURSOR_QUERY

    public static final int ER_SP_BAD_CURSOR_QUERY

See Also:
  Constant Field Values

#### ER_SP_BAD_CURSOR_SELECT

    public static final int ER_SP_BAD_CURSOR_SELECT

See Also:
  Constant Field Values

#### ER_SP_CURSOR_MISMATCH

    public static final int ER_SP_CURSOR_MISMATCH

See Also:
  Constant Field Values

#### ER_SP_CURSOR_ALREADY_OPEN

    public static final int ER_SP_CURSOR_ALREADY_OPEN

See Also:
  Constant Field Values

#### ER_SP_CURSOR_NOT_OPEN

    public static final int ER_SP_CURSOR_NOT_OPEN

See Also:
  Constant Field Values

#### ER_SP_UNDECLARED_VAR

    public static final int ER_SP_UNDECLARED_VAR

See Also:
  Constant Field Values

#### ER_SP_WRONG_NO_OF_FETCH_ARGS

    public static final int ER_SP_WRONG_NO_OF_FETCH_ARGS

See Also:
  Constant Field Values

#### ER_SP_FETCH_NO_DATA

    public static final int ER_SP_FETCH_NO_DATA

See Also:
  Constant Field Values

#### ER_SP_DUP_PARAM

    public static final int ER_SP_DUP_PARAM

See Also:
  Constant Field Values

#### ER_SP_DUP_VAR

    public static final int ER_SP_DUP_VAR

See Also:
  Constant Field Values

#### ER_SP_DUP_COND

    public static final int ER_SP_DUP_COND

See Also:
  Constant Field Values

#### ER_SP_DUP_CURS

    public static final int ER_SP_DUP_CURS

See Also:
  Constant Field Values

#### ER_SP_CANT_ALTER

    public static final int ER_SP_CANT_ALTER

See Also:
  Constant Field Values

#### ER_SP_SUBSELECT_NYI

    public static final int ER_SP_SUBSELECT_NYI

See Also:
  Constant Field Values

#### ER_STMT_NOT_ALLOWED_IN_SF_OR_TRG

    public static final int ER_STMT_NOT_ALLOWED_IN_SF_OR_TRG

See Also:
  Constant Field Values

#### ER_SP_VARCOND_AFTER_CURSHNDLR

    public static final int ER_SP_VARCOND_AFTER_CURSHNDLR

See Also:
  Constant Field Values

#### ER_SP_CURSOR_AFTER_HANDLER

    public static final int ER_SP_CURSOR_AFTER_HANDLER

See Also:
  Constant Field Values

#### ER_SP_CASE_NOT_FOUND

    public static final int ER_SP_CASE_NOT_FOUND

See Also:
  Constant Field Values

#### ER_FPARSER_TOO_BIG_FILE

    public static final int ER_FPARSER_TOO_BIG_FILE

See Also:
  Constant Field Values

#### ER_FPARSER_BAD_HEADER

    public static final int ER_FPARSER_BAD_HEADER

See Also:
  Constant Field Values

#### ER_FPARSER_EOF_IN_COMMENT

    public static final int ER_FPARSER_EOF_IN_COMMENT

See Also:
  Constant Field Values

#### ER_FPARSER_ERROR_IN_PARAMETER

    public static final int ER_FPARSER_ERROR_IN_PARAMETER

See Also:
  Constant Field Values

#### ER_FPARSER_EOF_IN_UNKNOWN_PARAMETER

    public static final int ER_FPARSER_EOF_IN_UNKNOWN_PARAMETER

See Also:
  Constant Field Values

#### ER_VIEW_NO_EXPLAIN

    public static final int ER_VIEW_NO_EXPLAIN

See Also:
  Constant Field Values

#### ER_FRM_UNKNOWN_TYPE

    public static final int ER_FRM_UNKNOWN_TYPE

See Also:
  Constant Field Values

#### ER_WRONG_OBJECT

    public static final int ER_WRONG_OBJECT

See Also:
  Constant Field Values

#### ER_NONUPDATEABLE_COLUMN

    public static final int ER_NONUPDATEABLE_COLUMN

See Also:
  Constant Field Values

#### ER_VIEW_SELECT_DERIVED

    public static final int ER_VIEW_SELECT_DERIVED

See Also:
  Constant Field Values

#### ER_VIEW_SELECT_CLAUSE

    public static final int ER_VIEW_SELECT_CLAUSE

See Also:
  Constant Field Values

#### ER_VIEW_SELECT_VARIABLE

    public static final int ER_VIEW_SELECT_VARIABLE

See Also:
  Constant Field Values

#### ER_VIEW_SELECT_TMPTABLE

    public static final int ER_VIEW_SELECT_TMPTABLE

See Also:
  Constant Field Values

#### ER_VIEW_WRONG_LIST

    public static final int ER_VIEW_WRONG_LIST

See Also:
  Constant Field Values

#### ER_WARN_VIEW_MERGE

    public static final int ER_WARN_VIEW_MERGE

See Also:
  Constant Field Values

#### ER_WARN_VIEW_WITHOUT_KEY

    public static final int ER_WARN_VIEW_WITHOUT_KEY

See Also:
  Constant Field Values

#### ER_VIEW_INVALID

    public static final int ER_VIEW_INVALID

See Also:
  Constant Field Values

#### ER_SP_NO_DROP_SP

    public static final int ER_SP_NO_DROP_SP

See Also:
  Constant Field Values

#### ER_SP_GOTO_IN_HNDLR

    public static final int ER_SP_GOTO_IN_HNDLR

See Also:
  Constant Field Values

#### ER_TRG_ALREADY_EXISTS

    public static final int ER_TRG_ALREADY_EXISTS

See Also:
  Constant Field Values

#### ER_TRG_DOES_NOT_EXIST

    public static final int ER_TRG_DOES_NOT_EXIST

See Also:
  Constant Field Values

#### ER_TRG_ON_VIEW_OR_TEMP_TABLE

    public static final int ER_TRG_ON_VIEW_OR_TEMP_TABLE

See Also:
  Constant Field Values

#### ER_TRG_CANT_CHANGE_ROW

    public static final int ER_TRG_CANT_CHANGE_ROW

See Also:
  Constant Field Values

#### ER_TRG_NO_SUCH_ROW_IN_TRG

    public static final int ER_TRG_NO_SUCH_ROW_IN_TRG

See Also:
  Constant Field Values

#### ER_NO_DEFAULT_FOR_FIELD

    public static final int ER_NO_DEFAULT_FOR_FIELD

See Also:
  Constant Field Values

#### ER_DIVISION_BY_ZERO

    public static final int ER_DIVISION_BY_ZERO

See Also:
  Constant Field Values

#### ER_TRUNCATED_WRONG_VALUE_FOR_FIELD

    public static final int ER_TRUNCATED_WRONG_VALUE_FOR_FIELD

See Also:
  Constant Field Values

#### ER_ILLEGAL_VALUE_FOR_TYPE

    public static final int ER_ILLEGAL_VALUE_FOR_TYPE

See Also:
  Constant Field Values

#### ER_VIEW_NONUPD_CHECK

    public static final int ER_VIEW_NONUPD_CHECK

See Also:
  Constant Field Values

#### ER_VIEW_CHECK_FAILED

    public static final int ER_VIEW_CHECK_FAILED

See Also:
  Constant Field Values

#### ER_PROCACCESS_DENIED_ERROR

    public static final int ER_PROCACCESS_DENIED_ERROR

See Also:
  Constant Field Values

#### ER_RELAY_LOG_FAIL

    public static final int ER_RELAY_LOG_FAIL

See Also:
  Constant Field Values

#### ER_PASSWD_LENGTH

    public static final int ER_PASSWD_LENGTH

See Also:
  Constant Field Values

#### ER_UNKNOWN_TARGET_BINLOG

    public static final int ER_UNKNOWN_TARGET_BINLOG

See Also:
  Constant Field Values

#### ER_IO_ERR_LOG_INDEX_READ

    public static final int ER_IO_ERR_LOG_INDEX_READ

See Also:
  Constant Field Values

#### ER_BINLOG_PURGE_PROHIBITED

    public static final int ER_BINLOG_PURGE_PROHIBITED

See Also:
  Constant Field Values

#### ER_FSEEK_FAIL

    public static final int ER_FSEEK_FAIL

See Also:
  Constant Field Values

#### ER_BINLOG_PURGE_FATAL_ERR

    public static final int ER_BINLOG_PURGE_FATAL_ERR

See Also:
  Constant Field Values

#### ER_LOG_IN_USE

    public static final int ER_LOG_IN_USE

See Also:
  Constant Field Values

#### ER_LOG_PURGE_UNKNOWN_ERR

    public static final int ER_LOG_PURGE_UNKNOWN_ERR

See Also:
  Constant Field Values

#### ER_RELAY_LOG_INIT

    public static final int ER_RELAY_LOG_INIT

See Also:
  Constant Field Values

#### ER_NO_BINARY_LOGGING

    public static final int ER_NO_BINARY_LOGGING

See Also:
  Constant Field Values

#### ER_RESERVED_SYNTAX

    public static final int ER_RESERVED_SYNTAX

See Also:
  Constant Field Values

#### ER_WSAS_FAILED

    public static final int ER_WSAS_FAILED

See Also:
  Constant Field Values

#### ER_DIFF_GROUPS_PROC

    public static final int ER_DIFF_GROUPS_PROC

See Also:
  Constant Field Values

#### ER_NO_GROUP_FOR_PROC

    public static final int ER_NO_GROUP_FOR_PROC

See Also:
  Constant Field Values

#### ER_ORDER_WITH_PROC

    public static final int ER_ORDER_WITH_PROC

See Also:
  Constant Field Values

#### ER_LOGGING_PROHIBIT_CHANGING_OF

    public static final int ER_LOGGING_PROHIBIT_CHANGING_OF

See Also:
  Constant Field Values

#### ER_NO_FILE_MAPPING

    public static final int ER_NO_FILE_MAPPING

See Also:
  Constant Field Values

#### ER_WRONG_MAGIC

    public static final int ER_WRONG_MAGIC

See Also:
  Constant Field Values

#### ER_PS_MANY_PARAM

    public static final int ER_PS_MANY_PARAM

See Also:
  Constant Field Values

#### ER_KEY_PART_0

    public static final int ER_KEY_PART_0

See Also:
  Constant Field Values

#### ER_VIEW_CHECKSUM

    public static final int ER_VIEW_CHECKSUM

See Also:
  Constant Field Values

#### ER_VIEW_MULTIUPDATE

    public static final int ER_VIEW_MULTIUPDATE

See Also:
  Constant Field Values

#### ER_VIEW_NO_INSERT_FIELD_LIST

    public static final int ER_VIEW_NO_INSERT_FIELD_LIST

See Also:
  Constant Field Values

#### ER_VIEW_DELETE_MERGE_VIEW

    public static final int ER_VIEW_DELETE_MERGE_VIEW

See Also:
  Constant Field Values

#### ER_CANNOT_USER

    public static final int ER_CANNOT_USER

See Also:
  Constant Field Values

#### ER_XAER_NOTA

    public static final int ER_XAER_NOTA

See Also:
  Constant Field Values

#### ER_XAER_INVAL

    public static final int ER_XAER_INVAL

See Also:
  Constant Field Values

#### ER_XAER_RMFAIL

    public static final int ER_XAER_RMFAIL

See Also:
  Constant Field Values

#### ER_XAER_OUTSIDE

    public static final int ER_XAER_OUTSIDE

See Also:
  Constant Field Values

#### ER_XA_RMERR

    public static final int ER_XA_RMERR

See Also:
  Constant Field Values

#### ER_XA_RBROLLBACK

    public static final int ER_XA_RBROLLBACK

See Also:
  Constant Field Values

#### ER_NONEXISTING_PROC_GRANT

    public static final int ER_NONEXISTING_PROC_GRANT

See Also:
  Constant Field Values

#### ER_PROC_AUTO_GRANT_FAIL

    public static final int ER_PROC_AUTO_GRANT_FAIL

See Also:
  Constant Field Values

#### ER_PROC_AUTO_REVOKE_FAIL

    public static final int ER_PROC_AUTO_REVOKE_FAIL

See Also:
  Constant Field Values

#### ER_DATA_TOO_LONG

    public static final int ER_DATA_TOO_LONG

See Also:
  Constant Field Values

#### ER_SP_BAD_SQLSTATE

    public static final int ER_SP_BAD_SQLSTATE

See Also:
  Constant Field Values

#### ER_STARTUP

    public static final int ER_STARTUP

See Also:
  Constant Field Values

#### ER_LOAD_FROM_FIXED_SIZE_ROWS_TO_VAR

    public static final int ER_LOAD_FROM_FIXED_SIZE_ROWS_TO_VAR

See Also:
  Constant Field Values

#### ER_CANT_CREATE_USER_WITH_GRANT

    public static final int ER_CANT_CREATE_USER_WITH_GRANT

See Also:
  Constant Field Values

#### ER_WRONG_VALUE_FOR_TYPE

    public static final int ER_WRONG_VALUE_FOR_TYPE

See Also:
  Constant Field Values

#### ER_TABLE_DEF_CHANGED

    public static final int ER_TABLE_DEF_CHANGED

See Also:
  Constant Field Values

#### ER_SP_DUP_HANDLER

    public static final int ER_SP_DUP_HANDLER

See Also:
  Constant Field Values

#### ER_SP_NOT_VAR_ARG

    public static final int ER_SP_NOT_VAR_ARG

See Also:
  Constant Field Values

#### ER_SP_NO_RETSET

    public static final int ER_SP_NO_RETSET

See Also:
  Constant Field Values

#### ER_CANT_CREATE_GEOMETRY_OBJECT

    public static final int ER_CANT_CREATE_GEOMETRY_OBJECT

See Also:
  Constant Field Values

#### ER_FAILED_ROUTINE_BREAK_BINLOG

    public static final int ER_FAILED_ROUTINE_BREAK_BINLOG

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_ROUTINE

    public static final int ER_BINLOG_UNSAFE_ROUTINE

See Also:
  Constant Field Values

#### ER_BINLOG_CREATE_ROUTINE_NEED_SUPER

    public static final int ER_BINLOG_CREATE_ROUTINE_NEED_SUPER

See Also:
  Constant Field Values

#### ER_EXEC_STMT_WITH_OPEN_CURSOR

    public static final int ER_EXEC_STMT_WITH_OPEN_CURSOR

See Also:
  Constant Field Values

#### ER_STMT_HAS_NO_OPEN_CURSOR

    public static final int ER_STMT_HAS_NO_OPEN_CURSOR

See Also:
  Constant Field Values

#### ER_COMMIT_NOT_ALLOWED_IN_SF_OR_TRG

    public static final int ER_COMMIT_NOT_ALLOWED_IN_SF_OR_TRG

See Also:
  Constant Field Values

#### ER_NO_DEFAULT_FOR_VIEW_FIELD

    public static final int ER_NO_DEFAULT_FOR_VIEW_FIELD

See Also:
  Constant Field Values

#### ER_SP_NO_RECURSION

    public static final int ER_SP_NO_RECURSION

See Also:
  Constant Field Values

#### ER_TOO_BIG_SCALE

    public static final int ER_TOO_BIG_SCALE

See Also:
  Constant Field Values

#### ER_TOO_BIG_PRECISION

    public static final int ER_TOO_BIG_PRECISION

See Also:
  Constant Field Values

#### ER_M_BIGGER_THAN_D

    public static final int ER_M_BIGGER_THAN_D

See Also:
  Constant Field Values

#### ER_WRONG_LOCK_OF_SYSTEM_TABLE

    public static final int ER_WRONG_LOCK_OF_SYSTEM_TABLE

See Also:
  Constant Field Values

#### ER_CONNECT_TO_FOREIGN_DATA_SOURCE

    public static final int ER_CONNECT_TO_FOREIGN_DATA_SOURCE

See Also:
  Constant Field Values

#### ER_QUERY_ON_FOREIGN_DATA_SOURCE

    public static final int ER_QUERY_ON_FOREIGN_DATA_SOURCE

See Also:
  Constant Field Values

#### ER_FOREIGN_DATA_SOURCE_DOESNT_EXIST

    public static final int ER_FOREIGN_DATA_SOURCE_DOESNT_EXIST

See Also:
  Constant Field Values

#### ER_FOREIGN_DATA_STRING_INVALID_CANT_CREATE

    public static final int ER_FOREIGN_DATA_STRING_INVALID_CANT_CREATE

See Also:
  Constant Field Values

#### ER_FOREIGN_DATA_STRING_INVALID

    public static final int ER_FOREIGN_DATA_STRING_INVALID

See Also:
  Constant Field Values

#### ER_CANT_CREATE_FEDERATED_TABLE

    public static final int ER_CANT_CREATE_FEDERATED_TABLE

See Also:
  Constant Field Values

#### ER_TRG_IN_WRONG_SCHEMA

    public static final int ER_TRG_IN_WRONG_SCHEMA

See Also:
  Constant Field Values

#### ER_STACK_OVERRUN_NEED_MORE

    public static final int ER_STACK_OVERRUN_NEED_MORE

See Also:
  Constant Field Values

#### ER_TOO_LONG_BODY

    public static final int ER_TOO_LONG_BODY

See Also:
  Constant Field Values

#### ER_WARN_CANT_DROP_DEFAULT_KEYCACHE

    public static final int ER_WARN_CANT_DROP_DEFAULT_KEYCACHE

See Also:
  Constant Field Values

#### ER_TOO_BIG_DISPLAYWIDTH

    public static final int ER_TOO_BIG_DISPLAYWIDTH

See Also:
  Constant Field Values

#### ER_XAER_DUPID

    public static final int ER_XAER_DUPID

See Also:
  Constant Field Values

#### ER_DATETIME_FUNCTION_OVERFLOW

    public static final int ER_DATETIME_FUNCTION_OVERFLOW

See Also:
  Constant Field Values

#### ER_CANT_UPDATE_USED_TABLE_IN_SF_OR_TRG

    public static final int ER_CANT_UPDATE_USED_TABLE_IN_SF_OR_TRG

See Also:
  Constant Field Values

#### ER_VIEW_PREVENT_UPDATE

    public static final int ER_VIEW_PREVENT_UPDATE

See Also:
  Constant Field Values

#### ER_PS_NO_RECURSION

    public static final int ER_PS_NO_RECURSION

See Also:
  Constant Field Values

#### ER_SP_CANT_SET_AUTOCOMMIT

    public static final int ER_SP_CANT_SET_AUTOCOMMIT

See Also:
  Constant Field Values

#### ER_MALFORMED_DEFINER

    public static final int ER_MALFORMED_DEFINER

See Also:
  Constant Field Values

#### ER_VIEW_FRM_NO_USER

    public static final int ER_VIEW_FRM_NO_USER

See Also:
  Constant Field Values

#### ER_VIEW_OTHER_USER

    public static final int ER_VIEW_OTHER_USER

See Also:
  Constant Field Values

#### ER_NO_SUCH_USER

    public static final int ER_NO_SUCH_USER

See Also:
  Constant Field Values

#### ER_FORBID_SCHEMA_CHANGE

    public static final int ER_FORBID_SCHEMA_CHANGE

See Also:
  Constant Field Values

#### ER_ROW_IS_REFERENCED_2

    public static final int ER_ROW_IS_REFERENCED_2

See Also:
  Constant Field Values

#### ER_NO_REFERENCED_ROW_2

    public static final int ER_NO_REFERENCED_ROW_2

See Also:
  Constant Field Values

#### ER_SP_BAD_VAR_SHADOW

    public static final int ER_SP_BAD_VAR_SHADOW

See Also:
  Constant Field Values

#### ER_TRG_NO_DEFINER

    public static final int ER_TRG_NO_DEFINER

See Also:
  Constant Field Values

#### ER_OLD_FILE_FORMAT

    public static final int ER_OLD_FILE_FORMAT

See Also:
  Constant Field Values

#### ER_SP_RECURSION_LIMIT

    public static final int ER_SP_RECURSION_LIMIT

See Also:
  Constant Field Values

#### ER_SP_PROC_TABLE_CORRUPT

    public static final int ER_SP_PROC_TABLE_CORRUPT

See Also:
  Constant Field Values

#### ER_SP_WRONG_NAME

    public static final int ER_SP_WRONG_NAME

See Also:
  Constant Field Values

#### ER_TABLE_NEEDS_UPGRADE

    public static final int ER_TABLE_NEEDS_UPGRADE

See Also:
  Constant Field Values

#### ER_SP_NO_AGGREGATE

    public static final int ER_SP_NO_AGGREGATE

See Also:
  Constant Field Values

#### ER_MAX_PREPARED_STMT_COUNT_REACHED

    public static final int ER_MAX_PREPARED_STMT_COUNT_REACHED

See Also:
  Constant Field Values

#### ER_VIEW_RECURSIVE

    public static final int ER_VIEW_RECURSIVE

See Also:
  Constant Field Values

#### ER_NON_GROUPING_FIELD_USED

    public static final int ER_NON_GROUPING_FIELD_USED

See Also:
  Constant Field Values

#### ER_TABLE_CANT_HANDLE_SPKEYS

    public static final int ER_TABLE_CANT_HANDLE_SPKEYS

See Also:
  Constant Field Values

#### ER_NO_TRIGGERS_ON_SYSTEM_SCHEMA

    public static final int ER_NO_TRIGGERS_ON_SYSTEM_SCHEMA

See Also:
  Constant Field Values

#### ER_REMOVED_SPACES

    public static final int ER_REMOVED_SPACES

See Also:
  Constant Field Values

#### ER_AUTOINC_READ_FAILED

    public static final int ER_AUTOINC_READ_FAILED

See Also:
  Constant Field Values

#### ER_USERNAME

    public static final int ER_USERNAME

See Also:
  Constant Field Values

#### ER_HOSTNAME

    public static final int ER_HOSTNAME

See Also:
  Constant Field Values

#### ER_WRONG_STRING_LENGTH

    public static final int ER_WRONG_STRING_LENGTH

See Also:
  Constant Field Values

#### ER_NON_INSERTABLE_TABLE

    public static final int ER_NON_INSERTABLE_TABLE

See Also:
  Constant Field Values

#### ER_ADMIN_WRONG_MRG_TABLE

    public static final int ER_ADMIN_WRONG_MRG_TABLE

See Also:
  Constant Field Values

#### ER_TOO_HIGH_LEVEL_OF_NESTING_FOR_SELECT

    public static final int ER_TOO_HIGH_LEVEL_OF_NESTING_FOR_SELECT

See Also:
  Constant Field Values

#### ER_NAME_BECOMES_EMPTY

    public static final int ER_NAME_BECOMES_EMPTY

See Also:
  Constant Field Values

#### ER_AMBIGUOUS_FIELD_TERM

    public static final int ER_AMBIGUOUS_FIELD_TERM

See Also:
  Constant Field Values

#### ER_FOREIGN_SERVER_EXISTS

    public static final int ER_FOREIGN_SERVER_EXISTS

See Also:
  Constant Field Values

#### ER_FOREIGN_SERVER_DOESNT_EXIST

    public static final int ER_FOREIGN_SERVER_DOESNT_EXIST

See Also:
  Constant Field Values

#### ER_ILLEGAL_HA_CREATE_OPTION

    public static final int ER_ILLEGAL_HA_CREATE_OPTION

See Also:
  Constant Field Values

#### ER_PARTITION_REQUIRES_VALUES_ERROR

    public static final int ER_PARTITION_REQUIRES_VALUES_ERROR

See Also:
  Constant Field Values

#### ER_PARTITION_WRONG_VALUES_ERROR

    public static final int ER_PARTITION_WRONG_VALUES_ERROR

See Also:
  Constant Field Values

#### ER_PARTITION_MAXVALUE_ERROR

    public static final int ER_PARTITION_MAXVALUE_ERROR

See Also:
  Constant Field Values

#### ER_PARTITION_SUBPARTITION_ERROR

    public static final int ER_PARTITION_SUBPARTITION_ERROR

See Also:
  Constant Field Values

#### ER_PARTITION_SUBPART_MIX_ERROR

    public static final int ER_PARTITION_SUBPART_MIX_ERROR

See Also:
  Constant Field Values

#### ER_PARTITION_WRONG_NO_PART_ERROR

    public static final int ER_PARTITION_WRONG_NO_PART_ERROR

See Also:
  Constant Field Values

#### ER_PARTITION_WRONG_NO_SUBPART_ERROR

    public static final int ER_PARTITION_WRONG_NO_SUBPART_ERROR

See Also:
  Constant Field Values

#### ER_WRONG_EXPR_IN_PARTITION_FUNC_ERROR

    public static final int ER_WRONG_EXPR_IN_PARTITION_FUNC_ERROR

See Also:
  Constant Field Values

#### ER_NO_CONST_EXPR_IN_RANGE_OR_LIST_ERROR

    public static final int ER_NO_CONST_EXPR_IN_RANGE_OR_LIST_ERROR

See Also:
  Constant Field Values

#### ER_FIELD_NOT_FOUND_PART_ERROR

    public static final int ER_FIELD_NOT_FOUND_PART_ERROR

See Also:
  Constant Field Values

#### ER_LIST_OF_FIELDS_ONLY_IN_HASH_ERROR

    public static final int ER_LIST_OF_FIELDS_ONLY_IN_HASH_ERROR

See Also:
  Constant Field Values

#### ER_INCONSISTENT_PARTITION_INFO_ERROR

    public static final int ER_INCONSISTENT_PARTITION_INFO_ERROR

See Also:
  Constant Field Values

#### ER_PARTITION_FUNC_NOT_ALLOWED_ERROR

    public static final int ER_PARTITION_FUNC_NOT_ALLOWED_ERROR

See Also:
  Constant Field Values

#### ER_PARTITIONS_MUST_BE_DEFINED_ERROR

    public static final int ER_PARTITIONS_MUST_BE_DEFINED_ERROR

See Also:
  Constant Field Values

#### ER_RANGE_NOT_INCREASING_ERROR

    public static final int ER_RANGE_NOT_INCREASING_ERROR

See Also:
  Constant Field Values

#### ER_INCONSISTENT_TYPE_OF_FUNCTIONS_ERROR

    public static final int ER_INCONSISTENT_TYPE_OF_FUNCTIONS_ERROR

See Also:
  Constant Field Values

#### ER_MULTIPLE_DEF_CONST_IN_LIST_PART_ERROR

    public static final int ER_MULTIPLE_DEF_CONST_IN_LIST_PART_ERROR

See Also:
  Constant Field Values

#### ER_PARTITION_ENTRY_ERROR

    public static final int ER_PARTITION_ENTRY_ERROR

See Also:
  Constant Field Values

#### ER_MIX_HANDLER_ERROR

    public static final int ER_MIX_HANDLER_ERROR

See Also:
  Constant Field Values

#### ER_PARTITION_NOT_DEFINED_ERROR

    public static final int ER_PARTITION_NOT_DEFINED_ERROR

See Also:
  Constant Field Values

#### ER_TOO_MANY_PARTITIONS_ERROR

    public static final int ER_TOO_MANY_PARTITIONS_ERROR

See Also:
  Constant Field Values

#### ER_SUBPARTITION_ERROR

    public static final int ER_SUBPARTITION_ERROR

See Also:
  Constant Field Values

#### ER_CANT_CREATE_HANDLER_FILE

    public static final int ER_CANT_CREATE_HANDLER_FILE

See Also:
  Constant Field Values

#### ER_BLOB_FIELD_IN_PART_FUNC_ERROR

    public static final int ER_BLOB_FIELD_IN_PART_FUNC_ERROR

See Also:
  Constant Field Values

#### ER_UNIQUE_KEY_NEED_ALL_FIELDS_IN_PF

    public static final int ER_UNIQUE_KEY_NEED_ALL_FIELDS_IN_PF

See Also:
  Constant Field Values

#### ER_NO_PARTS_ERROR

    public static final int ER_NO_PARTS_ERROR

See Also:
  Constant Field Values

#### ER_PARTITION_MGMT_ON_NONPARTITIONED

    public static final int ER_PARTITION_MGMT_ON_NONPARTITIONED

See Also:
  Constant Field Values

#### ER_FOREIGN_KEY_ON_PARTITIONED

    public static final int ER_FOREIGN_KEY_ON_PARTITIONED

See Also:
  Constant Field Values

#### ER_DROP_PARTITION_NON_EXISTENT

    public static final int ER_DROP_PARTITION_NON_EXISTENT

See Also:
  Constant Field Values

#### ER_DROP_LAST_PARTITION

    public static final int ER_DROP_LAST_PARTITION

See Also:
  Constant Field Values

#### ER_COALESCE_ONLY_ON_HASH_PARTITION

    public static final int ER_COALESCE_ONLY_ON_HASH_PARTITION

See Also:
  Constant Field Values

#### ER_REORG_HASH_ONLY_ON_SAME_NO

    public static final int ER_REORG_HASH_ONLY_ON_SAME_NO

See Also:
  Constant Field Values

#### ER_REORG_NO_PARAM_ERROR

    public static final int ER_REORG_NO_PARAM_ERROR

See Also:
  Constant Field Values

#### ER_ONLY_ON_RANGE_LIST_PARTITION

    public static final int ER_ONLY_ON_RANGE_LIST_PARTITION

See Also:
  Constant Field Values

#### ER_ADD_PARTITION_SUBPART_ERROR

    public static final int ER_ADD_PARTITION_SUBPART_ERROR

See Also:
  Constant Field Values

#### ER_ADD_PARTITION_NO_NEW_PARTITION

    public static final int ER_ADD_PARTITION_NO_NEW_PARTITION

See Also:
  Constant Field Values

#### ER_COALESCE_PARTITION_NO_PARTITION

    public static final int ER_COALESCE_PARTITION_NO_PARTITION

See Also:
  Constant Field Values

#### ER_REORG_PARTITION_NOT_EXIST

    public static final int ER_REORG_PARTITION_NOT_EXIST

See Also:
  Constant Field Values

#### ER_SAME_NAME_PARTITION

    public static final int ER_SAME_NAME_PARTITION

See Also:
  Constant Field Values

#### ER_NO_BINLOG_ERROR

    public static final int ER_NO_BINLOG_ERROR

See Also:
  Constant Field Values

#### ER_CONSECUTIVE_REORG_PARTITIONS

    public static final int ER_CONSECUTIVE_REORG_PARTITIONS

See Also:
  Constant Field Values

#### ER_REORG_OUTSIDE_RANGE

    public static final int ER_REORG_OUTSIDE_RANGE

See Also:
  Constant Field Values

#### ER_PARTITION_FUNCTION_FAILURE

    public static final int ER_PARTITION_FUNCTION_FAILURE

See Also:
  Constant Field Values

#### ER_PART_STATE_ERROR

    public static final int ER_PART_STATE_ERROR

See Also:
  Constant Field Values

#### ER_LIMITED_PART_RANGE

    public static final int ER_LIMITED_PART_RANGE

See Also:
  Constant Field Values

#### ER_PLUGIN_IS_NOT_LOADED

    public static final int ER_PLUGIN_IS_NOT_LOADED

See Also:
  Constant Field Values

#### ER_WRONG_VALUE

    public static final int ER_WRONG_VALUE

See Also:
  Constant Field Values

#### ER_NO_PARTITION_FOR_GIVEN_VALUE

    public static final int ER_NO_PARTITION_FOR_GIVEN_VALUE

See Also:
  Constant Field Values

#### ER_FILEGROUP_OPTION_ONLY_ONCE

    public static final int ER_FILEGROUP_OPTION_ONLY_ONCE

See Also:
  Constant Field Values

#### ER_CREATE_FILEGROUP_FAILED

    public static final int ER_CREATE_FILEGROUP_FAILED

See Also:
  Constant Field Values

#### ER_DROP_FILEGROUP_FAILED

    public static final int ER_DROP_FILEGROUP_FAILED

See Also:
  Constant Field Values

#### ER_TABLESPACE_AUTO_EXTEND_ERROR

    public static final int ER_TABLESPACE_AUTO_EXTEND_ERROR

See Also:
  Constant Field Values

#### ER_WRONG_SIZE_NUMBER

    public static final int ER_WRONG_SIZE_NUMBER

See Also:
  Constant Field Values

#### ER_SIZE_OVERFLOW_ERROR

    public static final int ER_SIZE_OVERFLOW_ERROR

See Also:
  Constant Field Values

#### ER_ALTER_FILEGROUP_FAILED

    public static final int ER_ALTER_FILEGROUP_FAILED

See Also:
  Constant Field Values

#### ER_BINLOG_ROW_LOGGING_FAILED

    public static final int ER_BINLOG_ROW_LOGGING_FAILED

See Also:
  Constant Field Values

#### ER_BINLOG_ROW_WRONG_TABLE_DEF

    public static final int ER_BINLOG_ROW_WRONG_TABLE_DEF

See Also:
  Constant Field Values

#### ER_BINLOG_ROW_RBR_TO_SBR

    public static final int ER_BINLOG_ROW_RBR_TO_SBR

See Also:
  Constant Field Values

#### ER_EVENT_ALREADY_EXISTS

    public static final int ER_EVENT_ALREADY_EXISTS

See Also:
  Constant Field Values

#### ER_EVENT_STORE_FAILED

    public static final int ER_EVENT_STORE_FAILED

See Also:
  Constant Field Values

#### ER_EVENT_DOES_NOT_EXIST

    public static final int ER_EVENT_DOES_NOT_EXIST

See Also:
  Constant Field Values

#### ER_EVENT_CANT_ALTER

    public static final int ER_EVENT_CANT_ALTER

See Also:
  Constant Field Values

#### ER_EVENT_DROP_FAILED

    public static final int ER_EVENT_DROP_FAILED

See Also:
  Constant Field Values

#### ER_EVENT_INTERVAL_NOT_POSITIVE_OR_TOO_BIG

    public static final int ER_EVENT_INTERVAL_NOT_POSITIVE_OR_TOO_BIG

See Also:
  Constant Field Values

#### ER_EVENT_ENDS_BEFORE_STARTS

    public static final int ER_EVENT_ENDS_BEFORE_STARTS

See Also:
  Constant Field Values

#### ER_EVENT_EXEC_TIME_IN_THE_PAST

    public static final int ER_EVENT_EXEC_TIME_IN_THE_PAST

See Also:
  Constant Field Values

#### ER_EVENT_OPEN_TABLE_FAILED

    public static final int ER_EVENT_OPEN_TABLE_FAILED

See Also:
  Constant Field Values

#### ER_EVENT_NEITHER_M_EXPR_NOR_M_AT

    public static final int ER_EVENT_NEITHER_M_EXPR_NOR_M_AT

See Also:
  Constant Field Values

#### ER_COL_COUNT_DOESNT_MATCH_CORRUPTED

    public static final int ER_COL_COUNT_DOESNT_MATCH_CORRUPTED

See Also:
  Constant Field Values

#### ER_CANNOT_LOAD_FROM_TABLE

    public static final int ER_CANNOT_LOAD_FROM_TABLE

See Also:
  Constant Field Values

#### ER_EVENT_CANNOT_DELETE

    public static final int ER_EVENT_CANNOT_DELETE

See Also:
  Constant Field Values

#### ER_EVENT_COMPILE_ERROR

    public static final int ER_EVENT_COMPILE_ERROR

See Also:
  Constant Field Values

#### ER_EVENT_SAME_NAME

    public static final int ER_EVENT_SAME_NAME

See Also:
  Constant Field Values

#### ER_EVENT_DATA_TOO_LONG

    public static final int ER_EVENT_DATA_TOO_LONG

See Also:
  Constant Field Values

#### ER_DROP_INDEX_FK

    public static final int ER_DROP_INDEX_FK

See Also:
  Constant Field Values

#### ER_WARN_DEPRECATED_SYNTAX_WITH_VER

    public static final int ER_WARN_DEPRECATED_SYNTAX_WITH_VER

See Also:
  Constant Field Values

#### ER_CANT_WRITE_LOCK_LOG_TABLE

    public static final int ER_CANT_WRITE_LOCK_LOG_TABLE

See Also:
  Constant Field Values

#### ER_CANT_LOCK_LOG_TABLE

    public static final int ER_CANT_LOCK_LOG_TABLE

See Also:
  Constant Field Values

#### ER_FOREIGN_DUPLICATE_KEY

    public static final int ER_FOREIGN_DUPLICATE_KEY

See Also:
  Constant Field Values

#### ER_COL_COUNT_DOESNT_MATCH_PLEASE_UPDATE

    public static final int ER_COL_COUNT_DOESNT_MATCH_PLEASE_UPDATE

See Also:
  Constant Field Values

#### ER_TEMP_TABLE_PREVENTS_SWITCH_OUT_OF_RBR

    public static final int ER_TEMP_TABLE_PREVENTS_SWITCH_OUT_OF_RBR

See Also:
  Constant Field Values

#### ER_STORED_FUNCTION_PREVENTS_SWITCH_BINLOG_FORMAT

    public static final int ER_STORED_FUNCTION_PREVENTS_SWITCH_BINLOG_FORMAT

See Also:
  Constant Field Values

#### ER_NDB_CANT_SWITCH_BINLOG_FORMAT

    public static final int ER_NDB_CANT_SWITCH_BINLOG_FORMAT

See Also:
  Constant Field Values

#### ER_PARTITION_NO_TEMPORARY

    public static final int ER_PARTITION_NO_TEMPORARY

See Also:
  Constant Field Values

#### ER_PARTITION_CONST_DOMAIN_ERROR

    public static final int ER_PARTITION_CONST_DOMAIN_ERROR

See Also:
  Constant Field Values

#### ER_PARTITION_FUNCTION_IS_NOT_ALLOWED

    public static final int ER_PARTITION_FUNCTION_IS_NOT_ALLOWED

See Also:
  Constant Field Values

#### ER_DDL_LOG_ERROR

    public static final int ER_DDL_LOG_ERROR

See Also:
  Constant Field Values

#### ER_NULL_IN_VALUES_LESS_THAN

    public static final int ER_NULL_IN_VALUES_LESS_THAN

See Also:
  Constant Field Values

#### ER_WRONG_PARTITION_NAME

    public static final int ER_WRONG_PARTITION_NAME

See Also:
  Constant Field Values

#### ER_CANT_CHANGE_TX_ISOLATION

    public static final int ER_CANT_CHANGE_TX_ISOLATION

See Also:
  Constant Field Values

#### ER_DUP_ENTRY_AUTOINCREMENT_CASE

    public static final int ER_DUP_ENTRY_AUTOINCREMENT_CASE

See Also:
  Constant Field Values

#### ER_EVENT_MODIFY_QUEUE_ERROR

    public static final int ER_EVENT_MODIFY_QUEUE_ERROR

See Also:
  Constant Field Values

#### ER_EVENT_SET_VAR_ERROR

    public static final int ER_EVENT_SET_VAR_ERROR

See Also:
  Constant Field Values

#### ER_PARTITION_MERGE_ERROR

    public static final int ER_PARTITION_MERGE_ERROR

See Also:
  Constant Field Values

#### ER_CANT_ACTIVATE_LOG

    public static final int ER_CANT_ACTIVATE_LOG

See Also:
  Constant Field Values

#### ER_RBR_NOT_AVAILABLE

    public static final int ER_RBR_NOT_AVAILABLE

See Also:
  Constant Field Values

#### ER_BASE64_DECODE_ERROR

    public static final int ER_BASE64_DECODE_ERROR

See Also:
  Constant Field Values

#### ER_EVENT_RECURSION_FORBIDDEN

    public static final int ER_EVENT_RECURSION_FORBIDDEN

See Also:
  Constant Field Values

#### ER_EVENTS_DB_ERROR

    public static final int ER_EVENTS_DB_ERROR

See Also:
  Constant Field Values

#### ER_ONLY_INTEGERS_ALLOWED

    public static final int ER_ONLY_INTEGERS_ALLOWED

See Also:
  Constant Field Values

#### ER_UNSUPORTED_LOG_ENGINE

    public static final int ER_UNSUPORTED_LOG_ENGINE

See Also:
  Constant Field Values

#### ER_BAD_LOG_STATEMENT

    public static final int ER_BAD_LOG_STATEMENT

See Also:
  Constant Field Values

#### ER_CANT_RENAME_LOG_TABLE

    public static final int ER_CANT_RENAME_LOG_TABLE

See Also:
  Constant Field Values

#### ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT

    public static final int ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT

See Also:
  Constant Field Values

#### ER_WRONG_PARAMETERS_TO_NATIVE_FCT

    public static final int ER_WRONG_PARAMETERS_TO_NATIVE_FCT

See Also:
  Constant Field Values

#### ER_WRONG_PARAMETERS_TO_STORED_FCT

    public static final int ER_WRONG_PARAMETERS_TO_STORED_FCT

See Also:
  Constant Field Values

#### ER_NATIVE_FCT_NAME_COLLISION

    public static final int ER_NATIVE_FCT_NAME_COLLISION

See Also:
  Constant Field Values

#### ER_DUP_ENTRY_WITH_KEY_NAME

    public static final int ER_DUP_ENTRY_WITH_KEY_NAME

See Also:
  Constant Field Values

#### ER_BINLOG_PURGE_EMFILE

    public static final int ER_BINLOG_PURGE_EMFILE

See Also:
  Constant Field Values

#### ER_EVENT_CANNOT_CREATE_IN_THE_PAST

    public static final int ER_EVENT_CANNOT_CREATE_IN_THE_PAST

See Also:
  Constant Field Values

#### ER_EVENT_CANNOT_ALTER_IN_THE_PAST

    public static final int ER_EVENT_CANNOT_ALTER_IN_THE_PAST

See Also:
  Constant Field Values

#### ER_SLAVE_INCIDENT

    @Deprecated
    public static final int ER_SLAVE_INCIDENT

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_INCIDENT

    public static final int ER_REPLICA_INCIDENT

See Also:
  Constant Field Values

#### ER_NO_PARTITION_FOR_GIVEN_VALUE_SILENT

    public static final int ER_NO_PARTITION_FOR_GIVEN_VALUE_SILENT

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_STATEMENT

    public static final int ER_BINLOG_UNSAFE_STATEMENT

See Also:
  Constant Field Values

#### ER_SLAVE_FATAL_ERROR

    @Deprecated
    public static final int ER_SLAVE_FATAL_ERROR

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_FATAL_ERROR

    public static final int ER_REPLICA_FATAL_ERROR

See Also:
  Constant Field Values

#### ER_SLAVE_RELAY_LOG_READ_FAILURE

    @Deprecated
    public static final int ER_SLAVE_RELAY_LOG_READ_FAILURE

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_RELAY_LOG_READ_FAILURE

    public static final int ER_REPLICA_RELAY_LOG_READ_FAILURE

See Also:
  Constant Field Values

#### ER_SLAVE_RELAY_LOG_WRITE_FAILURE

    @Deprecated
    public static final int ER_SLAVE_RELAY_LOG_WRITE_FAILURE

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_RELAY_LOG_WRITE_FAILURE

    public static final int ER_REPLICA_RELAY_LOG_WRITE_FAILURE

See Also:
  Constant Field Values

#### ER_SLAVE_CREATE_EVENT_FAILURE

    @Deprecated
    public static final int ER_SLAVE_CREATE_EVENT_FAILURE

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_CREATE_EVENT_FAILURE

    public static final int ER_REPLICA_CREATE_EVENT_FAILURE

See Also:
  Constant Field Values

#### ER_SLAVE_MASTER_COM_FAILURE

    @Deprecated
    public static final int ER_SLAVE_MASTER_COM_FAILURE

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_SOURCE_COM_FAILURE

    public static final int ER_REPLICA_SOURCE_COM_FAILURE

See Also:
  Constant Field Values

#### ER_BINLOG_LOGGING_IMPOSSIBLE

    public static final int ER_BINLOG_LOGGING_IMPOSSIBLE

See Also:
  Constant Field Values

#### ER_VIEW_NO_CREATION_CTX

    public static final int ER_VIEW_NO_CREATION_CTX

See Also:
  Constant Field Values

#### ER_VIEW_INVALID_CREATION_CTX

    public static final int ER_VIEW_INVALID_CREATION_CTX

See Also:
  Constant Field Values

#### ER_SR_INVALID_CREATION_CTX

    public static final int ER_SR_INVALID_CREATION_CTX

See Also:
  Constant Field Values

#### ER_TRG_CORRUPTED_FILE

    public static final int ER_TRG_CORRUPTED_FILE

See Also:
  Constant Field Values

#### ER_TRG_NO_CREATION_CTX

    public static final int ER_TRG_NO_CREATION_CTX

See Also:
  Constant Field Values

#### ER_TRG_INVALID_CREATION_CTX

    public static final int ER_TRG_INVALID_CREATION_CTX

See Also:
  Constant Field Values

#### ER_EVENT_INVALID_CREATION_CTX

    public static final int ER_EVENT_INVALID_CREATION_CTX

See Also:
  Constant Field Values

#### ER_TRG_CANT_OPEN_TABLE

    public static final int ER_TRG_CANT_OPEN_TABLE

See Also:
  Constant Field Values

#### ER_CANT_CREATE_SROUTINE

    public static final int ER_CANT_CREATE_SROUTINE

See Also:
  Constant Field Values

#### ER_NEVER_USED

    public static final int ER_NEVER_USED

See Also:
  Constant Field Values

#### ER_NO_FORMAT_DESCRIPTION_EVENT_BEFORE_BINLOG_STATEMENT

    public static final int ER_NO_FORMAT_DESCRIPTION_EVENT_BEFORE_BINLOG_STATEMENT

See Also:
  Constant Field Values

#### ER_SLAVE_CORRUPT_EVENT

    @Deprecated
    public static final int ER_SLAVE_CORRUPT_EVENT

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_CORRUPT_EVENT

    public static final int ER_REPLICA_CORRUPT_EVENT

See Also:
  Constant Field Values

#### ER_LOAD_DATA_INVALID_COLUMN

    public static final int ER_LOAD_DATA_INVALID_COLUMN

See Also:
  Constant Field Values

#### ER_LOG_PURGE_NO_FILE

    public static final int ER_LOG_PURGE_NO_FILE

See Also:
  Constant Field Values

#### ER_XA_RBTIMEOUT

    public static final int ER_XA_RBTIMEOUT

See Also:
  Constant Field Values

#### ER_XA_RBDEADLOCK

    public static final int ER_XA_RBDEADLOCK

See Also:
  Constant Field Values

#### ER_NEED_REPREPARE

    public static final int ER_NEED_REPREPARE

See Also:
  Constant Field Values

#### ER_DELAYED_NOT_SUPPORTED

    public static final int ER_DELAYED_NOT_SUPPORTED

See Also:
  Constant Field Values

#### WARN_NO_MASTER_INFO

    @Deprecated
    public static final int WARN_NO_MASTER_INFO

Deprecated.

See Also:
  Constant Field Values

#### WARN_NO_SOURCE_INFO

    public static final int WARN_NO_SOURCE_INFO

See Also:
  Constant Field Values

#### WARN_OPTION_IGNORED

    public static final int WARN_OPTION_IGNORED

See Also:
  Constant Field Values

#### WARN_PLUGIN_DELETE_BUILTIN

    public static final int WARN_PLUGIN_DELETE_BUILTIN

See Also:
  Constant Field Values

#### WARN_PLUGIN_BUSY

    public static final int WARN_PLUGIN_BUSY

See Also:
  Constant Field Values

#### ER_VARIABLE_IS_READONLY

    public static final int ER_VARIABLE_IS_READONLY

See Also:
  Constant Field Values

#### ER_WARN_ENGINE_TRANSACTION_ROLLBACK

    public static final int ER_WARN_ENGINE_TRANSACTION_ROLLBACK

See Also:
  Constant Field Values

#### ER_SLAVE_HEARTBEAT_FAILURE

    @Deprecated
    public static final int ER_SLAVE_HEARTBEAT_FAILURE

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_HEARTBEAT_FAILURE

    public static final int ER_REPLICA_HEARTBEAT_FAILURE

See Also:
  Constant Field Values

#### ER_SLAVE_HEARTBEAT_VALUE_OUT_OF_RANGE

    @Deprecated
    public static final int ER_SLAVE_HEARTBEAT_VALUE_OUT_OF_RANGE

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_HEARTBEAT_VALUE_OUT_OF_RANGE

    public static final int ER_REPLICA_HEARTBEAT_VALUE_OUT_OF_RANGE

See Also:
  Constant Field Values

#### ER_NDB_REPLICATION_SCHEMA_ERROR

    public static final int ER_NDB_REPLICATION_SCHEMA_ERROR

See Also:
  Constant Field Values

#### ER_CONFLICT_FN_PARSE_ERROR

    public static final int ER_CONFLICT_FN_PARSE_ERROR

See Also:
  Constant Field Values

#### ER_EXCEPTIONS_WRITE_ERROR

    public static final int ER_EXCEPTIONS_WRITE_ERROR

See Also:
  Constant Field Values

#### ER_TOO_LONG_TABLE_COMMENT

    public static final int ER_TOO_LONG_TABLE_COMMENT

See Also:
  Constant Field Values

#### ER_TOO_LONG_FIELD_COMMENT

    public static final int ER_TOO_LONG_FIELD_COMMENT

See Also:
  Constant Field Values

#### ER_FUNC_INEXISTENT_NAME_COLLISION

    public static final int ER_FUNC_INEXISTENT_NAME_COLLISION

See Also:
  Constant Field Values

#### ER_DATABASE_NAME

    public static final int ER_DATABASE_NAME

See Also:
  Constant Field Values

#### ER_TABLE_NAME

    public static final int ER_TABLE_NAME

See Also:
  Constant Field Values

#### ER_PARTITION_NAME

    public static final int ER_PARTITION_NAME

See Also:
  Constant Field Values

#### ER_SUBPARTITION_NAME

    public static final int ER_SUBPARTITION_NAME

See Also:
  Constant Field Values

#### ER_TEMPORARY_NAME

    public static final int ER_TEMPORARY_NAME

See Also:
  Constant Field Values

#### ER_RENAMED_NAME

    public static final int ER_RENAMED_NAME

See Also:
  Constant Field Values

#### ER_TOO_MANY_CONCURRENT_TRXS

    public static final int ER_TOO_MANY_CONCURRENT_TRXS

See Also:
  Constant Field Values

#### WARN_NON_ASCII_SEPARATOR_NOT_IMPLEMENTED

    public static final int WARN_NON_ASCII_SEPARATOR_NOT_IMPLEMENTED

See Also:
  Constant Field Values

#### ER_DEBUG_SYNC_TIMEOUT

    public static final int ER_DEBUG_SYNC_TIMEOUT

See Also:
  Constant Field Values

#### ER_DEBUG_SYNC_HIT_LIMIT

    public static final int ER_DEBUG_SYNC_HIT_LIMIT

See Also:
  Constant Field Values

#### ER_DUP_SIGNAL_SET

    public static final int ER_DUP_SIGNAL_SET

See Also:
  Constant Field Values

#### ER_SIGNAL_WARN

    public static final int ER_SIGNAL_WARN

See Also:
  Constant Field Values

#### ER_SIGNAL_NOT_FOUND

    public static final int ER_SIGNAL_NOT_FOUND

See Also:
  Constant Field Values

#### ER_SIGNAL_EXCEPTION

    public static final int ER_SIGNAL_EXCEPTION

See Also:
  Constant Field Values

#### ER_RESIGNAL_WITHOUT_ACTIVE_HANDLER

    public static final int ER_RESIGNAL_WITHOUT_ACTIVE_HANDLER

See Also:
  Constant Field Values

#### ER_SIGNAL_BAD_CONDITION_TYPE

    public static final int ER_SIGNAL_BAD_CONDITION_TYPE

See Also:
  Constant Field Values

#### WARN_COND_ITEM_TRUNCATED

    public static final int WARN_COND_ITEM_TRUNCATED

See Also:
  Constant Field Values

#### ER_COND_ITEM_TOO_LONG

    public static final int ER_COND_ITEM_TOO_LONG

See Also:
  Constant Field Values

#### ER_UNKNOWN_LOCALE

    public static final int ER_UNKNOWN_LOCALE

See Also:
  Constant Field Values

#### ER_SLAVE_IGNORE_SERVER_IDS

    @Deprecated
    public static final int ER_SLAVE_IGNORE_SERVER_IDS

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_IGNORE_SERVER_IDS

    public static final int ER_REPLICA_IGNORE_SERVER_IDS

See Also:
  Constant Field Values

#### ER_QUERY_CACHE_DISABLED

    public static final int ER_QUERY_CACHE_DISABLED

See Also:
  Constant Field Values

#### ER_SAME_NAME_PARTITION_FIELD

    public static final int ER_SAME_NAME_PARTITION_FIELD

See Also:
  Constant Field Values

#### ER_PARTITION_COLUMN_LIST_ERROR

    public static final int ER_PARTITION_COLUMN_LIST_ERROR

See Also:
  Constant Field Values

#### ER_WRONG_TYPE_COLUMN_VALUE_ERROR

    public static final int ER_WRONG_TYPE_COLUMN_VALUE_ERROR

See Also:
  Constant Field Values

#### ER_TOO_MANY_PARTITION_FUNC_FIELDS_ERROR

    public static final int ER_TOO_MANY_PARTITION_FUNC_FIELDS_ERROR

See Also:
  Constant Field Values

#### ER_MAXVALUE_IN_VALUES_IN

    public static final int ER_MAXVALUE_IN_VALUES_IN

See Also:
  Constant Field Values

#### ER_TOO_MANY_VALUES_ERROR

    public static final int ER_TOO_MANY_VALUES_ERROR

See Also:
  Constant Field Values

#### ER_ROW_SINGLE_PARTITION_FIELD_ERROR

    public static final int ER_ROW_SINGLE_PARTITION_FIELD_ERROR

See Also:
  Constant Field Values

#### ER_FIELD_TYPE_NOT_ALLOWED_AS_PARTITION_FIELD

    public static final int ER_FIELD_TYPE_NOT_ALLOWED_AS_PARTITION_FIELD

See Also:
  Constant Field Values

#### ER_PARTITION_FIELDS_TOO_LONG

    public static final int ER_PARTITION_FIELDS_TOO_LONG

See Also:
  Constant Field Values

#### ER_BINLOG_ROW_ENGINE_AND_STMT_ENGINE

    public static final int ER_BINLOG_ROW_ENGINE_AND_STMT_ENGINE

See Also:
  Constant Field Values

#### ER_BINLOG_ROW_MODE_AND_STMT_ENGINE

    public static final int ER_BINLOG_ROW_MODE_AND_STMT_ENGINE

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_AND_STMT_ENGINE

    public static final int ER_BINLOG_UNSAFE_AND_STMT_ENGINE

See Also:
  Constant Field Values

#### ER_BINLOG_ROW_INJECTION_AND_STMT_ENGINE

    public static final int ER_BINLOG_ROW_INJECTION_AND_STMT_ENGINE

See Also:
  Constant Field Values

#### ER_BINLOG_STMT_MODE_AND_ROW_ENGINE

    public static final int ER_BINLOG_STMT_MODE_AND_ROW_ENGINE

See Also:
  Constant Field Values

#### ER_BINLOG_ROW_INJECTION_AND_STMT_MODE

    public static final int ER_BINLOG_ROW_INJECTION_AND_STMT_MODE

See Also:
  Constant Field Values

#### ER_BINLOG_MULTIPLE_ENGINES_AND_SELF_LOGGING_ENGINE

    public static final int ER_BINLOG_MULTIPLE_ENGINES_AND_SELF_LOGGING_ENGINE

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_LIMIT

    public static final int ER_BINLOG_UNSAFE_LIMIT

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_INSERT_DELAYED

    public static final int ER_BINLOG_UNSAFE_INSERT_DELAYED

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_SYSTEM_TABLE

    public static final int ER_BINLOG_UNSAFE_SYSTEM_TABLE

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_AUTOINC_COLUMNS

    public static final int ER_BINLOG_UNSAFE_AUTOINC_COLUMNS

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_UDF

    public static final int ER_BINLOG_UNSAFE_UDF

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_SYSTEM_VARIABLE

    public static final int ER_BINLOG_UNSAFE_SYSTEM_VARIABLE

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_SYSTEM_FUNCTION

    public static final int ER_BINLOG_UNSAFE_SYSTEM_FUNCTION

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_NONTRANS_AFTER_TRANS

    public static final int ER_BINLOG_UNSAFE_NONTRANS_AFTER_TRANS

See Also:
  Constant Field Values

#### ER_MESSAGE_AND_STATEMENT

    public static final int ER_MESSAGE_AND_STATEMENT

See Also:
  Constant Field Values

#### ER_SLAVE_CONVERSION_FAILED

    @Deprecated
    public static final int ER_SLAVE_CONVERSION_FAILED

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_CONVERSION_FAILED

    public static final int ER_REPLICA_CONVERSION_FAILED

See Also:
  Constant Field Values

#### ER_SLAVE_CANT_CREATE_CONVERSION

    @Deprecated
    public static final int ER_SLAVE_CANT_CREATE_CONVERSION

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_CANT_CREATE_CONVERSION

    public static final int ER_REPLICA_CANT_CREATE_CONVERSION

See Also:
  Constant Field Values

#### ER_INSIDE_TRANSACTION_PREVENTS_SWITCH_BINLOG_FORMAT

    public static final int ER_INSIDE_TRANSACTION_PREVENTS_SWITCH_BINLOG_FORMAT

See Also:
  Constant Field Values

#### ER_PATH_LENGTH

    public static final int ER_PATH_LENGTH

See Also:
  Constant Field Values

#### ER_WARN_DEPRECATED_SYNTAX_NO_REPLACEMENT

    public static final int ER_WARN_DEPRECATED_SYNTAX_NO_REPLACEMENT

See Also:
  Constant Field Values

#### ER_WRONG_NATIVE_TABLE_STRUCTURE

    public static final int ER_WRONG_NATIVE_TABLE_STRUCTURE

See Also:
  Constant Field Values

#### ER_WRONG_PERFSCHEMA_USAGE

    public static final int ER_WRONG_PERFSCHEMA_USAGE

See Also:
  Constant Field Values

#### ER_WARN_I_S_SKIPPED_TABLE

    public static final int ER_WARN_I_S_SKIPPED_TABLE

See Also:
  Constant Field Values

#### ER_INSIDE_TRANSACTION_PREVENTS_SWITCH_BINLOG_DIRECT

    public static final int ER_INSIDE_TRANSACTION_PREVENTS_SWITCH_BINLOG_DIRECT

See Also:
  Constant Field Values

#### ER_STORED_FUNCTION_PREVENTS_SWITCH_BINLOG_DIRECT

    public static final int ER_STORED_FUNCTION_PREVENTS_SWITCH_BINLOG_DIRECT

See Also:
  Constant Field Values

#### ER_SPATIAL_MUST_HAVE_GEOM_COL

    public static final int ER_SPATIAL_MUST_HAVE_GEOM_COL

See Also:
  Constant Field Values

#### ER_TOO_LONG_INDEX_COMMENT

    public static final int ER_TOO_LONG_INDEX_COMMENT

See Also:
  Constant Field Values

#### ER_LOCK_ABORTED

    public static final int ER_LOCK_ABORTED

See Also:
  Constant Field Values

#### ER_DATA_OUT_OF_RANGE

    public static final int ER_DATA_OUT_OF_RANGE

See Also:
  Constant Field Values

#### ER_WRONG_SPVAR_TYPE_IN_LIMIT

    public static final int ER_WRONG_SPVAR_TYPE_IN_LIMIT

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_MULTIPLE_ENGINES_AND_SELF_LOGGING_ENGINE

    public static final int ER_BINLOG_UNSAFE_MULTIPLE_ENGINES_AND_SELF_LOGGING_ENGINE

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_MIXED_STATEMENT

    public static final int ER_BINLOG_UNSAFE_MIXED_STATEMENT

See Also:
  Constant Field Values

#### ER_INSIDE_TRANSACTION_PREVENTS_SWITCH_SQL_LOG_BIN

    public static final int ER_INSIDE_TRANSACTION_PREVENTS_SWITCH_SQL_LOG_BIN

See Also:
  Constant Field Values

#### ER_STORED_FUNCTION_PREVENTS_SWITCH_SQL_LOG_BIN

    public static final int ER_STORED_FUNCTION_PREVENTS_SWITCH_SQL_LOG_BIN

See Also:
  Constant Field Values

#### ER_FAILED_READ_FROM_PAR_FILE

    public static final int ER_FAILED_READ_FROM_PAR_FILE

See Also:
  Constant Field Values

#### ER_VALUES_IS_NOT_INT_TYPE_ERROR

    public static final int ER_VALUES_IS_NOT_INT_TYPE_ERROR

See Also:
  Constant Field Values

#### ER_ACCESS_DENIED_NO_PASSWORD_ERROR

    public static final int ER_ACCESS_DENIED_NO_PASSWORD_ERROR

See Also:
  Constant Field Values

#### ER_SET_PASSWORD_AUTH_PLUGIN

    public static final int ER_SET_PASSWORD_AUTH_PLUGIN

See Also:
  Constant Field Values

#### ER_GRANT_PLUGIN_USER_EXISTS

    public static final int ER_GRANT_PLUGIN_USER_EXISTS

See Also:
  Constant Field Values

#### ER_TRUNCATE_ILLEGAL_FK

    public static final int ER_TRUNCATE_ILLEGAL_FK

See Also:
  Constant Field Values

#### ER_PLUGIN_IS_PERMANENT

    public static final int ER_PLUGIN_IS_PERMANENT

See Also:
  Constant Field Values

#### ER_SLAVE_HEARTBEAT_VALUE_OUT_OF_RANGE_MIN

    @Deprecated
    public static final int ER_SLAVE_HEARTBEAT_VALUE_OUT_OF_RANGE_MIN

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_HEARTBEAT_VALUE_OUT_OF_RANGE_MIN

    public static final int ER_REPLICA_HEARTBEAT_VALUE_OUT_OF_RANGE_MIN

See Also:
  Constant Field Values

#### ER_SLAVE_HEARTBEAT_VALUE_OUT_OF_RANGE_MAX

    @Deprecated
    public static final int ER_SLAVE_HEARTBEAT_VALUE_OUT_OF_RANGE_MAX

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_HEARTBEAT_VALUE_OUT_OF_RANGE_MAX

    public static final int ER_REPLICA_HEARTBEAT_VALUE_OUT_OF_RANGE_MAX

See Also:
  Constant Field Values

#### ER_STMT_CACHE_FULL

    public static final int ER_STMT_CACHE_FULL

See Also:
  Constant Field Values

#### ER_MULTI_UPDATE_KEY_CONFLICT

    public static final int ER_MULTI_UPDATE_KEY_CONFLICT

See Also:
  Constant Field Values

#### ER_TABLE_NEEDS_REBUILD

    public static final int ER_TABLE_NEEDS_REBUILD

See Also:
  Constant Field Values

#### WARN_OPTION_BELOW_LIMIT

    public static final int WARN_OPTION_BELOW_LIMIT

See Also:
  Constant Field Values

#### ER_INDEX_COLUMN_TOO_LONG

    public static final int ER_INDEX_COLUMN_TOO_LONG

See Also:
  Constant Field Values

#### ER_ERROR_IN_TRIGGER_BODY

    public static final int ER_ERROR_IN_TRIGGER_BODY

See Also:
  Constant Field Values

#### ER_ERROR_IN_UNKNOWN_TRIGGER_BODY

    public static final int ER_ERROR_IN_UNKNOWN_TRIGGER_BODY

See Also:
  Constant Field Values

#### ER_INDEX_CORRUPT

    public static final int ER_INDEX_CORRUPT

See Also:
  Constant Field Values

#### ER_UNDO_RECORD_TOO_BIG

    public static final int ER_UNDO_RECORD_TOO_BIG

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_INSERT_IGNORE_SELECT

    public static final int ER_BINLOG_UNSAFE_INSERT_IGNORE_SELECT

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_INSERT_SELECT_UPDATE

    public static final int ER_BINLOG_UNSAFE_INSERT_SELECT_UPDATE

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_REPLACE_SELECT

    public static final int ER_BINLOG_UNSAFE_REPLACE_SELECT

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_CREATE_IGNORE_SELECT

    public static final int ER_BINLOG_UNSAFE_CREATE_IGNORE_SELECT

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_CREATE_REPLACE_SELECT

    public static final int ER_BINLOG_UNSAFE_CREATE_REPLACE_SELECT

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_UPDATE_IGNORE

    public static final int ER_BINLOG_UNSAFE_UPDATE_IGNORE

See Also:
  Constant Field Values

#### ER_PLUGIN_NO_UNINSTALL

    public static final int ER_PLUGIN_NO_UNINSTALL

See Also:
  Constant Field Values

#### ER_PLUGIN_NO_INSTALL

    public static final int ER_PLUGIN_NO_INSTALL

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_WRITE_AUTOINC_SELECT

    public static final int ER_BINLOG_UNSAFE_WRITE_AUTOINC_SELECT

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_CREATE_SELECT_AUTOINC

    public static final int ER_BINLOG_UNSAFE_CREATE_SELECT_AUTOINC

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_INSERT_TWO_KEYS

    public static final int ER_BINLOG_UNSAFE_INSERT_TWO_KEYS

See Also:
  Constant Field Values

#### ER_TABLE_IN_FK_CHECK

    public static final int ER_TABLE_IN_FK_CHECK

See Also:
  Constant Field Values

#### ER_UNSUPPORTED_ENGINE

    public static final int ER_UNSUPPORTED_ENGINE

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_AUTOINC_NOT_FIRST

    public static final int ER_BINLOG_UNSAFE_AUTOINC_NOT_FIRST

See Also:
  Constant Field Values

#### ER_CANNOT_LOAD_FROM_TABLE_V2

    public static final int ER_CANNOT_LOAD_FROM_TABLE_V2

See Also:
  Constant Field Values

#### ER_MASTER_DELAY_VALUE_OUT_OF_RANGE

    @Deprecated
    public static final int ER_MASTER_DELAY_VALUE_OUT_OF_RANGE

Deprecated.

See Also:
  Constant Field Values

#### ER_SOURCE_DELAY_VALUE_OUT_OF_RANGE

    public static final int ER_SOURCE_DELAY_VALUE_OUT_OF_RANGE

See Also:
  Constant Field Values

#### ER_ONLY_FD_AND_RBR_EVENTS_ALLOWED_IN_BINLOG_STATEMENT

    public static final int ER_ONLY_FD_AND_RBR_EVENTS_ALLOWED_IN_BINLOG_STATEMENT

See Also:
  Constant Field Values

#### ER_PARTITION_EXCHANGE_DIFFERENT_OPTION

    public static final int ER_PARTITION_EXCHANGE_DIFFERENT_OPTION

See Also:
  Constant Field Values

#### ER_PARTITION_EXCHANGE_PART_TABLE

    public static final int ER_PARTITION_EXCHANGE_PART_TABLE

See Also:
  Constant Field Values

#### ER_PARTITION_EXCHANGE_TEMP_TABLE

    public static final int ER_PARTITION_EXCHANGE_TEMP_TABLE

See Also:
  Constant Field Values

#### ER_PARTITION_INSTEAD_OF_SUBPARTITION

    public static final int ER_PARTITION_INSTEAD_OF_SUBPARTITION

See Also:
  Constant Field Values

#### ER_UNKNOWN_PARTITION

    public static final int ER_UNKNOWN_PARTITION

See Also:
  Constant Field Values

#### ER_TABLES_DIFFERENT_METADATA

    public static final int ER_TABLES_DIFFERENT_METADATA

See Also:
  Constant Field Values

#### ER_ROW_DOES_NOT_MATCH_PARTITION

    public static final int ER_ROW_DOES_NOT_MATCH_PARTITION

See Also:
  Constant Field Values

#### ER_BINLOG_CACHE_SIZE_GREATER_THAN_MAX

    public static final int ER_BINLOG_CACHE_SIZE_GREATER_THAN_MAX

See Also:
  Constant Field Values

#### ER_WARN_INDEX_NOT_APPLICABLE

    public static final int ER_WARN_INDEX_NOT_APPLICABLE

See Also:
  Constant Field Values

#### ER_PARTITION_EXCHANGE_FOREIGN_KEY

    public static final int ER_PARTITION_EXCHANGE_FOREIGN_KEY

See Also:
  Constant Field Values

#### ER_NO_SUCH_KEY_VALUE

    public static final int ER_NO_SUCH_KEY_VALUE

See Also:
  Constant Field Values

#### ER_RPL_INFO_DATA_TOO_LONG

    public static final int ER_RPL_INFO_DATA_TOO_LONG

See Also:
  Constant Field Values

#### ER_NETWORK_READ_EVENT_CHECKSUM_FAILURE

    public static final int ER_NETWORK_READ_EVENT_CHECKSUM_FAILURE

See Also:
  Constant Field Values

#### ER_BINLOG_READ_EVENT_CHECKSUM_FAILURE

    public static final int ER_BINLOG_READ_EVENT_CHECKSUM_FAILURE

See Also:
  Constant Field Values

#### ER_BINLOG_STMT_CACHE_SIZE_GREATER_THAN_MAX

    public static final int ER_BINLOG_STMT_CACHE_SIZE_GREATER_THAN_MAX

See Also:
  Constant Field Values

#### ER_CANT_UPDATE_TABLE_IN_CREATE_TABLE_SELECT

    public static final int ER_CANT_UPDATE_TABLE_IN_CREATE_TABLE_SELECT

See Also:
  Constant Field Values

#### ER_PARTITION_CLAUSE_ON_NONPARTITIONED

    public static final int ER_PARTITION_CLAUSE_ON_NONPARTITIONED

See Also:
  Constant Field Values

#### ER_ROW_DOES_NOT_MATCH_GIVEN_PARTITION_SET

    public static final int ER_ROW_DOES_NOT_MATCH_GIVEN_PARTITION_SET

See Also:
  Constant Field Values

#### ER_NO_SUCH_PARTITION__UNUSED

    public static final int ER_NO_SUCH_PARTITION__UNUSED

See Also:
  Constant Field Values

#### ER_CHANGE_RPL_INFO_REPOSITORY_FAILURE

    public static final int ER_CHANGE_RPL_INFO_REPOSITORY_FAILURE

See Also:
  Constant Field Values

#### ER_WARNING_NOT_COMPLETE_ROLLBACK_WITH_CREATED_TEMP_TABLE

    public static final int ER_WARNING_NOT_COMPLETE_ROLLBACK_WITH_CREATED_TEMP_TABLE

See Also:
  Constant Field Values

#### ER_WARNING_NOT_COMPLETE_ROLLBACK_WITH_DROPPED_TEMP_TABLE

    public static final int ER_WARNING_NOT_COMPLETE_ROLLBACK_WITH_DROPPED_TEMP_TABLE

See Also:
  Constant Field Values

#### ER_MTS_FEATURE_IS_NOT_SUPPORTED

    public static final int ER_MTS_FEATURE_IS_NOT_SUPPORTED

See Also:
  Constant Field Values

#### ER_MTS_UPDATED_DBS_GREATER_MAX

    public static final int ER_MTS_UPDATED_DBS_GREATER_MAX

See Also:
  Constant Field Values

#### ER_MTS_CANT_PARALLEL

    public static final int ER_MTS_CANT_PARALLEL

See Also:
  Constant Field Values

#### ER_MTS_INCONSISTENT_DATA

    public static final int ER_MTS_INCONSISTENT_DATA

See Also:
  Constant Field Values

#### ER_FULLTEXT_NOT_SUPPORTED_WITH_PARTITIONING

    public static final int ER_FULLTEXT_NOT_SUPPORTED_WITH_PARTITIONING

See Also:
  Constant Field Values

#### ER_DA_INVALID_CONDITION_NUMBER

    public static final int ER_DA_INVALID_CONDITION_NUMBER

See Also:
  Constant Field Values

#### ER_INSECURE_PLAIN_TEXT

    public static final int ER_INSECURE_PLAIN_TEXT

See Also:
  Constant Field Values

#### ER_INSECURE_CHANGE_MASTER

    @Deprecated
    public static final int ER_INSECURE_CHANGE_MASTER

Deprecated.

See Also:
  Constant Field Values

#### ER_INSECURE_CHANGE_SOURCE

    public static final int ER_INSECURE_CHANGE_SOURCE

See Also:
  Constant Field Values

#### ER_FOREIGN_DUPLICATE_KEY_WITH_CHILD_INFO

    public static final int ER_FOREIGN_DUPLICATE_KEY_WITH_CHILD_INFO

See Also:
  Constant Field Values

#### ER_FOREIGN_DUPLICATE_KEY_WITHOUT_CHILD_INFO

    public static final int ER_FOREIGN_DUPLICATE_KEY_WITHOUT_CHILD_INFO

See Also:
  Constant Field Values

#### ER_SQLTHREAD_WITH_SECURE_SLAVE

    @Deprecated
    public static final int ER_SQLTHREAD_WITH_SECURE_SLAVE

Deprecated.

See Also:
  Constant Field Values

#### ER_SQLTHREAD_WITH_SECURE_REPLICA

    public static final int ER_SQLTHREAD_WITH_SECURE_REPLICA

See Also:
  Constant Field Values

#### ER_TABLE_HAS_NO_FT

    public static final int ER_TABLE_HAS_NO_FT

See Also:
  Constant Field Values

#### ER_VARIABLE_NOT_SETTABLE_IN_SF_OR_TRIGGER

    public static final int ER_VARIABLE_NOT_SETTABLE_IN_SF_OR_TRIGGER

See Also:
  Constant Field Values

#### ER_VARIABLE_NOT_SETTABLE_IN_TRANSACTION

    public static final int ER_VARIABLE_NOT_SETTABLE_IN_TRANSACTION

See Also:
  Constant Field Values

#### ER_GTID_NEXT_IS_NOT_IN_GTID_NEXT_LIST

    public static final int ER_GTID_NEXT_IS_NOT_IN_GTID_NEXT_LIST

See Also:
  Constant Field Values

#### ER_CANT_CHANGE_GTID_NEXT_IN_TRANSACTION_WHEN_GTID_NEXT_LIST_IS_NULL

    public static final int ER_CANT_CHANGE_GTID_NEXT_IN_TRANSACTION_WHEN_GTID_NEXT_LIST_IS_NULL

See Also:
  Constant Field Values

#### ER_SET_STATEMENT_CANNOT_INVOKE_FUNCTION

    public static final int ER_SET_STATEMENT_CANNOT_INVOKE_FUNCTION

See Also:
  Constant Field Values

#### ER_GTID_NEXT_CANT_BE_AUTOMATIC_IF_GTID_NEXT_LIST_IS_NON_NULL

    public static final int ER_GTID_NEXT_CANT_BE_AUTOMATIC_IF_GTID_NEXT_LIST_IS_NON_NULL

See Also:
  Constant Field Values

#### ER_SKIPPING_LOGGED_TRANSACTION

    public static final int ER_SKIPPING_LOGGED_TRANSACTION

See Also:
  Constant Field Values

#### ER_MALFORMED_GTID_SET_SPECIFICATION

    public static final int ER_MALFORMED_GTID_SET_SPECIFICATION

See Also:
  Constant Field Values

#### ER_MALFORMED_GTID_SET_ENCODING

    public static final int ER_MALFORMED_GTID_SET_ENCODING

See Also:
  Constant Field Values

#### ER_MALFORMED_GTID_SPECIFICATION

    public static final int ER_MALFORMED_GTID_SPECIFICATION

See Also:
  Constant Field Values

#### ER_GNO_EXHAUSTED

    public static final int ER_GNO_EXHAUSTED

See Also:
  Constant Field Values

#### ER_BAD_SLAVE_AUTO_POSITION

    @Deprecated
    public static final int ER_BAD_SLAVE_AUTO_POSITION

Deprecated.

See Also:
  Constant Field Values

#### ER_BAD_REPLICA_AUTO_POSITION

    public static final int ER_BAD_REPLICA_AUTO_POSITION

See Also:
  Constant Field Values

#### ER_AUTO_POSITION_REQUIRES_GTID_MODE_ON

    public static final int ER_AUTO_POSITION_REQUIRES_GTID_MODE_ON

See Also:
  Constant Field Values

#### ER_CANT_DO_IMPLICIT_COMMIT_IN_TRX_WHEN_GTID_NEXT_IS_SET

    public static final int ER_CANT_DO_IMPLICIT_COMMIT_IN_TRX_WHEN_GTID_NEXT_IS_SET

See Also:
  Constant Field Values

#### ER_GTID_MODE_2_OR_3_REQUIRES_ENFORCE_GTID_CONSISTENCY_ON

    public static final int ER_GTID_MODE_2_OR_3_REQUIRES_ENFORCE_GTID_CONSISTENCY_ON

See Also:
  Constant Field Values

#### ER_GTID_MODE_REQUIRES_BINLOG

    public static final int ER_GTID_MODE_REQUIRES_BINLOG

See Also:
  Constant Field Values

#### ER_CANT_SET_GTID_NEXT_TO_GTID_WHEN_GTID_MODE_IS_OFF

    public static final int ER_CANT_SET_GTID_NEXT_TO_GTID_WHEN_GTID_MODE_IS_OFF

See Also:
  Constant Field Values

#### ER_CANT_SET_GTID_NEXT_TO_ANONYMOUS_WHEN_GTID_MODE_IS_ON

    public static final int ER_CANT_SET_GTID_NEXT_TO_ANONYMOUS_WHEN_GTID_MODE_IS_ON

See Also:
  Constant Field Values

#### ER_CANT_SET_GTID_NEXT_LIST_TO_NON_NULL_WHEN_GTID_MODE_IS_OFF

    public static final int ER_CANT_SET_GTID_NEXT_LIST_TO_NON_NULL_WHEN_GTID_MODE_IS_OFF

See Also:
  Constant Field Values

#### ER_FOUND_GTID_EVENT_WHEN_GTID_MODE_IS_OFF

    public static final int ER_FOUND_GTID_EVENT_WHEN_GTID_MODE_IS_OFF

See Also:
  Constant Field Values

#### ER_GTID_UNSAFE_NON_TRANSACTIONAL_TABLE

    public static final int ER_GTID_UNSAFE_NON_TRANSACTIONAL_TABLE

See Also:
  Constant Field Values

#### ER_GTID_UNSAFE_CREATE_SELECT

    public static final int ER_GTID_UNSAFE_CREATE_SELECT

See Also:
  Constant Field Values

#### ER_GTID_UNSAFE_CREATE_DROP_TEMPORARY_TABLE_IN_TRANSACTION

    public static final int ER_GTID_UNSAFE_CREATE_DROP_TEMPORARY_TABLE_IN_TRANSACTION

See Also:
  Constant Field Values

#### ER_GTID_MODE_CAN_ONLY_CHANGE_ONE_STEP_AT_A_TIME

    public static final int ER_GTID_MODE_CAN_ONLY_CHANGE_ONE_STEP_AT_A_TIME

See Also:
  Constant Field Values

#### ER_MASTER_HAS_PURGED_REQUIRED_GTIDS

    @Deprecated
    public static final int ER_MASTER_HAS_PURGED_REQUIRED_GTIDS

Deprecated.

See Also:
  Constant Field Values

#### ER_SOURCE_HAS_PURGED_REQUIRED_GTIDS

    public static final int ER_SOURCE_HAS_PURGED_REQUIRED_GTIDS

See Also:
  Constant Field Values

#### ER_CANT_SET_GTID_NEXT_WHEN_OWNING_GTID

    public static final int ER_CANT_SET_GTID_NEXT_WHEN_OWNING_GTID

See Also:
  Constant Field Values

#### ER_UNKNOWN_EXPLAIN_FORMAT

    public static final int ER_UNKNOWN_EXPLAIN_FORMAT

See Also:
  Constant Field Values

#### ER_CANT_EXECUTE_IN_READ_ONLY_TRANSACTION

    public static final int ER_CANT_EXECUTE_IN_READ_ONLY_TRANSACTION

See Also:
  Constant Field Values

#### ER_TOO_LONG_TABLE_PARTITION_COMMENT

    public static final int ER_TOO_LONG_TABLE_PARTITION_COMMENT

See Also:
  Constant Field Values

#### ER_SLAVE_CONFIGURATION

    @Deprecated
    public static final int ER_SLAVE_CONFIGURATION

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_CONFIGURATION

    public static final int ER_REPLICA_CONFIGURATION

See Also:
  Constant Field Values

#### ER_INNODB_FT_LIMIT

    public static final int ER_INNODB_FT_LIMIT

See Also:
  Constant Field Values

#### ER_INNODB_NO_FT_TEMP_TABLE

    public static final int ER_INNODB_NO_FT_TEMP_TABLE

See Also:
  Constant Field Values

#### ER_INNODB_FT_WRONG_DOCID_COLUMN

    public static final int ER_INNODB_FT_WRONG_DOCID_COLUMN

See Also:
  Constant Field Values

#### ER_INNODB_FT_WRONG_DOCID_INDEX

    public static final int ER_INNODB_FT_WRONG_DOCID_INDEX

See Also:
  Constant Field Values

#### ER_INNODB_ONLINE_LOG_TOO_BIG

    public static final int ER_INNODB_ONLINE_LOG_TOO_BIG

See Also:
  Constant Field Values

#### ER_UNKNOWN_ALTER_ALGORITHM

    public static final int ER_UNKNOWN_ALTER_ALGORITHM

See Also:
  Constant Field Values

#### ER_UNKNOWN_ALTER_LOCK

    public static final int ER_UNKNOWN_ALTER_LOCK

See Also:
  Constant Field Values

#### ER_MTS_CHANGE_MASTER_CANT_RUN_WITH_GAPS

    @Deprecated
    public static final int ER_MTS_CHANGE_MASTER_CANT_RUN_WITH_GAPS

Deprecated.

See Also:
  Constant Field Values

#### ER_MTS_CHANGE_SOURCE_CANT_RUN_WITH_GAPS

    public static final int ER_MTS_CHANGE_SOURCE_CANT_RUN_WITH_GAPS

See Also:
  Constant Field Values

#### ER_MTS_RECOVERY_FAILURE

    public static final int ER_MTS_RECOVERY_FAILURE

See Also:
  Constant Field Values

#### ER_MTS_RESET_WORKERS

    public static final int ER_MTS_RESET_WORKERS

See Also:
  Constant Field Values

#### ER_COL_COUNT_DOESNT_MATCH_CORRUPTED_V2

    public static final int ER_COL_COUNT_DOESNT_MATCH_CORRUPTED_V2

See Also:
  Constant Field Values

#### ER_SLAVE_SILENT_RETRY_TRANSACTION

    @Deprecated
    public static final int ER_SLAVE_SILENT_RETRY_TRANSACTION

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_SILENT_RETRY_TRANSACTION

    public static final int ER_REPLICA_SILENT_RETRY_TRANSACTION

See Also:
  Constant Field Values

#### ER_DISCARD_FK_CHECKS_RUNNING

    public static final int ER_DISCARD_FK_CHECKS_RUNNING

See Also:
  Constant Field Values

#### ER_TABLE_SCHEMA_MISMATCH

    public static final int ER_TABLE_SCHEMA_MISMATCH

See Also:
  Constant Field Values

#### ER_TABLE_IN_SYSTEM_TABLESPACE

    public static final int ER_TABLE_IN_SYSTEM_TABLESPACE

See Also:
  Constant Field Values

#### ER_IO_READ_ERROR

    public static final int ER_IO_READ_ERROR

See Also:
  Constant Field Values

#### ER_IO_WRITE_ERROR

    public static final int ER_IO_WRITE_ERROR

See Also:
  Constant Field Values

#### ER_TABLESPACE_MISSING

    public static final int ER_TABLESPACE_MISSING

See Also:
  Constant Field Values

#### ER_TABLESPACE_EXISTS

    public static final int ER_TABLESPACE_EXISTS

See Also:
  Constant Field Values

#### ER_TABLESPACE_DISCARDED

    public static final int ER_TABLESPACE_DISCARDED

See Also:
  Constant Field Values

#### ER_INTERNAL_ERROR

    public static final int ER_INTERNAL_ERROR

See Also:
  Constant Field Values

#### ER_INNODB_IMPORT_ERROR

    public static final int ER_INNODB_IMPORT_ERROR

See Also:
  Constant Field Values

#### ER_INNODB_INDEX_CORRUPT

    public static final int ER_INNODB_INDEX_CORRUPT

See Also:
  Constant Field Values

#### ER_INVALID_YEAR_COLUMN_LENGTH

    public static final int ER_INVALID_YEAR_COLUMN_LENGTH

See Also:
  Constant Field Values

#### ER_NOT_VALID_PASSWORD

    public static final int ER_NOT_VALID_PASSWORD

See Also:
  Constant Field Values

#### ER_MUST_CHANGE_PASSWORD

    public static final int ER_MUST_CHANGE_PASSWORD

See Also:
  Constant Field Values

#### ER_FK_NO_INDEX_CHILD

    public static final int ER_FK_NO_INDEX_CHILD

See Also:
  Constant Field Values

#### ER_FK_NO_INDEX_PARENT

    public static final int ER_FK_NO_INDEX_PARENT

See Also:
  Constant Field Values

#### ER_FK_FAIL_ADD_SYSTEM

    public static final int ER_FK_FAIL_ADD_SYSTEM

See Also:
  Constant Field Values

#### ER_FK_CANNOT_OPEN_PARENT

    public static final int ER_FK_CANNOT_OPEN_PARENT

See Also:
  Constant Field Values

#### ER_FK_INCORRECT_OPTION

    public static final int ER_FK_INCORRECT_OPTION

See Also:
  Constant Field Values

#### ER_FK_DUP_NAME

    public static final int ER_FK_DUP_NAME

See Also:
  Constant Field Values

#### ER_PASSWORD_FORMAT

    public static final int ER_PASSWORD_FORMAT

See Also:
  Constant Field Values

#### ER_FK_COLUMN_CANNOT_DROP

    public static final int ER_FK_COLUMN_CANNOT_DROP

See Also:
  Constant Field Values

#### ER_FK_COLUMN_CANNOT_DROP_CHILD

    public static final int ER_FK_COLUMN_CANNOT_DROP_CHILD

See Also:
  Constant Field Values

#### ER_FK_COLUMN_NOT_NULL

    public static final int ER_FK_COLUMN_NOT_NULL

See Also:
  Constant Field Values

#### ER_DUP_INDEX

    public static final int ER_DUP_INDEX

See Also:
  Constant Field Values

#### ER_FK_COLUMN_CANNOT_CHANGE

    public static final int ER_FK_COLUMN_CANNOT_CHANGE

See Also:
  Constant Field Values

#### ER_FK_COLUMN_CANNOT_CHANGE_CHILD

    public static final int ER_FK_COLUMN_CANNOT_CHANGE_CHILD

See Also:
  Constant Field Values

#### ER_FK_CANNOT_DELETE_PARENT

    public static final int ER_FK_CANNOT_DELETE_PARENT

See Also:
  Constant Field Values

#### ER_MALFORMED_PACKET

    public static final int ER_MALFORMED_PACKET

See Also:
  Constant Field Values

#### ER_READ_ONLY_MODE

    public static final int ER_READ_ONLY_MODE

See Also:
  Constant Field Values

#### ER_GTID_NEXT_TYPE_UNDEFINED_GROUP

    public static final int ER_GTID_NEXT_TYPE_UNDEFINED_GROUP

See Also:
  Constant Field Values

#### ER_VARIABLE_NOT_SETTABLE_IN_SP

    public static final int ER_VARIABLE_NOT_SETTABLE_IN_SP

See Also:
  Constant Field Values

#### ER_CANT_SET_GTID_PURGED_WHEN_GTID_MODE_IS_OFF

    public static final int ER_CANT_SET_GTID_PURGED_WHEN_GTID_MODE_IS_OFF

See Also:
  Constant Field Values

#### ER_CANT_SET_GTID_PURGED_WHEN_GTID_EXECUTED_IS_NOT_EMPTY

    public static final int ER_CANT_SET_GTID_PURGED_WHEN_GTID_EXECUTED_IS_NOT_EMPTY

See Also:
  Constant Field Values

#### ER_CANT_SET_GTID_PURGED_WHEN_OWNED_GTIDS_IS_NOT_EMPTY

    public static final int ER_CANT_SET_GTID_PURGED_WHEN_OWNED_GTIDS_IS_NOT_EMPTY

See Also:
  Constant Field Values

#### ER_GTID_PURGED_WAS_CHANGED

    public static final int ER_GTID_PURGED_WAS_CHANGED

See Also:
  Constant Field Values

#### ER_GTID_EXECUTED_WAS_CHANGED

    public static final int ER_GTID_EXECUTED_WAS_CHANGED

See Also:
  Constant Field Values

#### ER_BINLOG_STMT_MODE_AND_NO_REPL_TABLES

    public static final int ER_BINLOG_STMT_MODE_AND_NO_REPL_TABLES

See Also:
  Constant Field Values

#### ER_ALTER_OPERATION_NOT_SUPPORTED

    public static final int ER_ALTER_OPERATION_NOT_SUPPORTED

See Also:
  Constant Field Values

#### ER_ALTER_OPERATION_NOT_SUPPORTED_REASON

    public static final int ER_ALTER_OPERATION_NOT_SUPPORTED_REASON

See Also:
  Constant Field Values

#### ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_COPY

    public static final int ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_COPY

See Also:
  Constant Field Values

#### ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_PARTITION

    public static final int ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_PARTITION

See Also:
  Constant Field Values

#### ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_FK_RENAME

    public static final int ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_FK_RENAME

See Also:
  Constant Field Values

#### ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_COLUMN_TYPE

    public static final int ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_COLUMN_TYPE

See Also:
  Constant Field Values

#### ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_FK_CHECK

    public static final int ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_FK_CHECK

See Also:
  Constant Field Values

#### ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_IGNORE

    public static final int ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_IGNORE

See Also:
  Constant Field Values

#### ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_NOPK

    public static final int ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_NOPK

See Also:
  Constant Field Values

#### ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_AUTOINC

    public static final int ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_AUTOINC

See Also:
  Constant Field Values

#### ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_HIDDEN_FTS

    public static final int ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_HIDDEN_FTS

See Also:
  Constant Field Values

#### ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_CHANGE_FTS

    public static final int ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_CHANGE_FTS

See Also:
  Constant Field Values

#### ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_FTS

    public static final int ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_FTS

See Also:
  Constant Field Values

#### ER_SQL_SLAVE_SKIP_COUNTER_NOT_SETTABLE_IN_GTID_MODE

    @Deprecated
    public static final int ER_SQL_SLAVE_SKIP_COUNTER_NOT_SETTABLE_IN_GTID_MODE

Deprecated.

See Also:
  Constant Field Values

#### ER_SQL_REPLICA_SKIP_COUNTER_NOT_SETTABLE_IN_GTID_MODE

    public static final int ER_SQL_REPLICA_SKIP_COUNTER_NOT_SETTABLE_IN_GTID_MODE

See Also:
  Constant Field Values

#### ER_DUP_UNKNOWN_IN_INDEX

    public static final int ER_DUP_UNKNOWN_IN_INDEX

See Also:
  Constant Field Values

#### ER_IDENT_CAUSES_TOO_LONG_PATH

    public static final int ER_IDENT_CAUSES_TOO_LONG_PATH

See Also:
  Constant Field Values

#### ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_NOT_NULL

    public static final int ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_NOT_NULL

See Also:
  Constant Field Values

#### ER_MUST_CHANGE_PASSWORD_LOGIN

    public static final int ER_MUST_CHANGE_PASSWORD_LOGIN

See Also:
  Constant Field Values

#### ER_ROW_IN_WRONG_PARTITION

    public static final int ER_ROW_IN_WRONG_PARTITION

See Also:
  Constant Field Values

#### ER_MTS_EVENT_BIGGER_PENDING_JOBS_SIZE_MAX

    public static final int ER_MTS_EVENT_BIGGER_PENDING_JOBS_SIZE_MAX

See Also:
  Constant Field Values

#### ER_INNODB_NO_FT_USES_PARSER

    public static final int ER_INNODB_NO_FT_USES_PARSER

See Also:
  Constant Field Values

#### ER_BINLOG_LOGICAL_CORRUPTION

    public static final int ER_BINLOG_LOGICAL_CORRUPTION

See Also:
  Constant Field Values

#### ER_WARN_PURGE_LOG_IN_USE

    public static final int ER_WARN_PURGE_LOG_IN_USE

See Also:
  Constant Field Values

#### ER_WARN_PURGE_LOG_IS_ACTIVE

    public static final int ER_WARN_PURGE_LOG_IS_ACTIVE

See Also:
  Constant Field Values

#### ER_AUTO_INCREMENT_CONFLICT

    public static final int ER_AUTO_INCREMENT_CONFLICT

See Also:
  Constant Field Values

#### WARN_ON_BLOCKHOLE_IN_RBR

    public static final int WARN_ON_BLOCKHOLE_IN_RBR

See Also:
  Constant Field Values

#### ER_SLAVE_MI_INIT_REPOSITORY

    @Deprecated
    public static final int ER_SLAVE_MI_INIT_REPOSITORY

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_MI_INIT_REPOSITORY

    public static final int ER_REPLICA_MI_INIT_REPOSITORY

See Also:
  Constant Field Values

#### ER_SLAVE_RLI_INIT_REPOSITORY

    @Deprecated
    public static final int ER_SLAVE_RLI_INIT_REPOSITORY

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_RLI_INIT_REPOSITORY

    public static final int ER_REPLICA_RLI_INIT_REPOSITORY

See Also:
  Constant Field Values

#### ER_ACCESS_DENIED_CHANGE_USER_ERROR

    public static final int ER_ACCESS_DENIED_CHANGE_USER_ERROR

See Also:
  Constant Field Values

#### ER_INNODB_READ_ONLY

    public static final int ER_INNODB_READ_ONLY

See Also:
  Constant Field Values

#### ER_STOP_SLAVE_SQL_THREAD_TIMEOUT

    @Deprecated
    public static final int ER_STOP_SLAVE_SQL_THREAD_TIMEOUT

Deprecated.

See Also:
  Constant Field Values

#### ER_STOP_REPLICA_SQL_THREAD_TIMEOUT

    public static final int ER_STOP_REPLICA_SQL_THREAD_TIMEOUT

See Also:
  Constant Field Values

#### ER_STOP_SLAVE_IO_THREAD_TIMEOUT

    @Deprecated
    public static final int ER_STOP_SLAVE_IO_THREAD_TIMEOUT

Deprecated.

See Also:
  Constant Field Values

#### ER_STOP_REPLICA_IO_THREAD_TIMEOUT

    public static final int ER_STOP_REPLICA_IO_THREAD_TIMEOUT

See Also:
  Constant Field Values

#### ER_TABLE_CORRUPT

    public static final int ER_TABLE_CORRUPT

See Also:
  Constant Field Values

#### ER_TEMP_FILE_WRITE_FAILURE

    public static final int ER_TEMP_FILE_WRITE_FAILURE

See Also:
  Constant Field Values

#### ER_INNODB_FT_AUX_NOT_HEX_ID

    public static final int ER_INNODB_FT_AUX_NOT_HEX_ID

See Also:
  Constant Field Values

#### ER_OLD_TEMPORALS_UPGRADED

    public static final int ER_OLD_TEMPORALS_UPGRADED

See Also:
  Constant Field Values

#### ER_INNODB_FORCED_RECOVERY

    public static final int ER_INNODB_FORCED_RECOVERY

See Also:
  Constant Field Values

#### ER_AES_INVALID_IV

    public static final int ER_AES_INVALID_IV

See Also:
  Constant Field Values

#### ER_FILE_CORRUPT

    public static final int ER_FILE_CORRUPT

See Also:
  Constant Field Values

#### ER_ERROR_ON_MASTER

    @Deprecated
    public static final int ER_ERROR_ON_MASTER

Deprecated.

See Also:
  Constant Field Values

#### ER_ERROR_ON_SOURCE

    public static final int ER_ERROR_ON_SOURCE

See Also:
  Constant Field Values

#### ER_INCONSISTENT_ERROR

    public static final int ER_INCONSISTENT_ERROR

See Also:
  Constant Field Values

#### ER_STORAGE_ENGINE_NOT_LOADED

    public static final int ER_STORAGE_ENGINE_NOT_LOADED

See Also:
  Constant Field Values

#### ER_GET_STACKED_DA_WITHOUT_ACTIVE_HANDLER

    public static final int ER_GET_STACKED_DA_WITHOUT_ACTIVE_HANDLER

See Also:
  Constant Field Values

#### ER_WARN_LEGACY_SYNTAX_CONVERTED

    public static final int ER_WARN_LEGACY_SYNTAX_CONVERTED

See Also:
  Constant Field Values

#### ER_BINLOG_UNSAFE_FULLTEXT_PLUGIN

    public static final int ER_BINLOG_UNSAFE_FULLTEXT_PLUGIN

See Also:
  Constant Field Values

#### ER_CANNOT_DISCARD_TEMPORARY_TABLE

    public static final int ER_CANNOT_DISCARD_TEMPORARY_TABLE

See Also:
  Constant Field Values

#### ER_FK_DEPTH_EXCEEDED

    public static final int ER_FK_DEPTH_EXCEEDED

See Also:
  Constant Field Values

#### ER_COL_COUNT_DOESNT_MATCH_PLEASE_UPDATE_V2

    public static final int ER_COL_COUNT_DOESNT_MATCH_PLEASE_UPDATE_V2

See Also:
  Constant Field Values

#### ER_WARN_TRIGGER_DOESNT_HAVE_CREATED

    public static final int ER_WARN_TRIGGER_DOESNT_HAVE_CREATED

See Also:
  Constant Field Values

#### ER_REFERENCED_TRG_DOES_NOT_EXIST

    public static final int ER_REFERENCED_TRG_DOES_NOT_EXIST

See Also:
  Constant Field Values

#### ER_EXPLAIN_NOT_SUPPORTED

    public static final int ER_EXPLAIN_NOT_SUPPORTED

See Also:
  Constant Field Values

#### ER_INVALID_FIELD_SIZE

    public static final int ER_INVALID_FIELD_SIZE

See Also:
  Constant Field Values

#### ER_MISSING_HA_CREATE_OPTION

    public static final int ER_MISSING_HA_CREATE_OPTION

See Also:
  Constant Field Values

#### ER_ENGINE_OUT_OF_MEMORY

    public static final int ER_ENGINE_OUT_OF_MEMORY

See Also:
  Constant Field Values

#### ER_PASSWORD_EXPIRE_ANONYMOUS_USER

    public static final int ER_PASSWORD_EXPIRE_ANONYMOUS_USER

See Also:
  Constant Field Values

#### ER_SLAVE_SQL_THREAD_MUST_STOP

    @Deprecated
    public static final int ER_SLAVE_SQL_THREAD_MUST_STOP

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_SQL_THREAD_MUST_STOP

    public static final int ER_REPLICA_SQL_THREAD_MUST_STOP

See Also:
  Constant Field Values

#### ER_NO_FT_MATERIALIZED_SUBQUERY

    public static final int ER_NO_FT_MATERIALIZED_SUBQUERY

See Also:
  Constant Field Values

#### ER_INNODB_UNDO_LOG_FULL

    public static final int ER_INNODB_UNDO_LOG_FULL

See Also:
  Constant Field Values

#### ER_INVALID_ARGUMENT_FOR_LOGARITHM

    public static final int ER_INVALID_ARGUMENT_FOR_LOGARITHM

See Also:
  Constant Field Values

#### ER_SLAVE_IO_THREAD_MUST_STOP

    @Deprecated
    public static final int ER_SLAVE_IO_THREAD_MUST_STOP

Deprecated.

See Also:
  Constant Field Values

#### ER_REPLICA_IO_THREAD_MUST_STOP

    public static final int ER_REPLICA_IO_THREAD_MUST_STOP

See Also:
  Constant Field Values

#### ER_WARN_OPEN_TEMP_TABLES_MUST_BE_ZERO

    public static final int ER_WARN_OPEN_TEMP_TABLES_MUST_BE_ZERO

See Also:
  Constant Field Values

#### ER_WARN_ONLY_MASTER_LOG_FILE_NO_POS

    @Deprecated
    public static final int ER_WARN_ONLY_MASTER_LOG_FILE_NO_POS

Deprecated.

See Also:
  Constant Field Values

#### ER_WARN_ONLY_SOURCE_LOG_FILE_NO_POS

    public static final int ER_WARN_ONLY_SOURCE_LOG_FILE_NO_POS

See Also:
  Constant Field Values

#### ER_QUERY_TIMEOUT

    public static final int ER_QUERY_TIMEOUT

See Also:
  Constant Field Values

#### ER_NON_RO_SELECT_DISABLE_TIMER

    public static final int ER_NON_RO_SELECT_DISABLE_TIMER

See Also:
  Constant Field Values

#### ER_DUP_LIST_ENTRY

    public static final int ER_DUP_LIST_ENTRY

See Also:
  Constant Field Values

#### ER_SQL_MODE_NO_EFFECT

    public static final int ER_SQL_MODE_NO_EFFECT

See Also:
  Constant Field Values

#### ER_SESSION_WAS_KILLED

    public static final int ER_SESSION_WAS_KILLED

See Also:
  Constant Field Values

#### ER_CLIENT_INTERACTION_TIMEOUT

    public static final int ER_CLIENT_INTERACTION_TIMEOUT

See Also:
  Constant Field Values

#### ER_X_BAD_MESSAGE

    public static final int ER_X_BAD_MESSAGE

See Also:
  Constant Field Values

#### ER_X_CAPABILITIES_PREPARE_FAILED

    public static final int ER_X_CAPABILITIES_PREPARE_FAILED

See Also:
  Constant Field Values

#### ER_X_CAPABILITY_NOT_FOUND

    public static final int ER_X_CAPABILITY_NOT_FOUND

See Also:
  Constant Field Values

#### ER_X_INVALID_PROTOCOL_DATA

    public static final int ER_X_INVALID_PROTOCOL_DATA

See Also:
  Constant Field Values

#### ER_X_BAD_CONNECTION_SESSION_ATTRIBUTE_VALUE_LENGTH

    public static final int ER_X_BAD_CONNECTION_SESSION_ATTRIBUTE_VALUE_LENGTH

See Also:
  Constant Field Values

#### ER_X_BAD_CONNECTION_SESSION_ATTRIBUTE_KEY_LENGTH

    public static final int ER_X_BAD_CONNECTION_SESSION_ATTRIBUTE_KEY_LENGTH

See Also:
  Constant Field Values

#### ER_X_BAD_CONNECTION_SESSION_ATTRIBUTE_EMPTY_KEY

    public static final int ER_X_BAD_CONNECTION_SESSION_ATTRIBUTE_EMPTY_KEY

See Also:
  Constant Field Values

#### ER_X_BAD_CONNECTION_SESSION_ATTRIBUTE_LENGTH

    public static final int ER_X_BAD_CONNECTION_SESSION_ATTRIBUTE_LENGTH

See Also:
  Constant Field Values

#### ER_X_BAD_CONNECTION_SESSION_ATTRIBUTE_TYPE

    public static final int ER_X_BAD_CONNECTION_SESSION_ATTRIBUTE_TYPE

See Also:
  Constant Field Values

#### ER_X_CAPABILITY_SET_NOT_ALLOWED

    public static final int ER_X_CAPABILITY_SET_NOT_ALLOWED

See Also:
  Constant Field Values

#### ER_X_SERVICE_ERROR

    public static final int ER_X_SERVICE_ERROR

See Also:
  Constant Field Values

#### ER_X_SESSION

    public static final int ER_X_SESSION

See Also:
  Constant Field Values

#### ER_X_INVALID_ARGUMENT

    public static final int ER_X_INVALID_ARGUMENT

See Also:
  Constant Field Values

#### ER_X_MISSING_ARGUMENT

    public static final int ER_X_MISSING_ARGUMENT

See Also:
  Constant Field Values

#### ER_X_BAD_INSERT_DATA

    public static final int ER_X_BAD_INSERT_DATA

See Also:
  Constant Field Values

#### ER_X_CMD_NUM_ARGUMENTS

    public static final int ER_X_CMD_NUM_ARGUMENTS

See Also:
  Constant Field Values

#### ER_X_CMD_ARGUMENT_TYPE

    public static final int ER_X_CMD_ARGUMENT_TYPE

See Also:
  Constant Field Values

#### ER_X_CMD_ARGUMENT_VALUE

    public static final int ER_X_CMD_ARGUMENT_VALUE

See Also:
  Constant Field Values

#### ER_X_BAD_UPSERT_DATA

    public static final int ER_X_BAD_UPSERT_DATA

See Also:
  Constant Field Values

#### ER_X_DUPLICATED_CAPABILITIES

    public static final int ER_X_DUPLICATED_CAPABILITIES

See Also:
  Constant Field Values

#### ER_X_CMD_ARGUMENT_OBJECT_EMPTY

    public static final int ER_X_CMD_ARGUMENT_OBJECT_EMPTY

See Also:
  Constant Field Values

#### ER_X_CMD_INVALID_ARGUMENT

    public static final int ER_X_CMD_INVALID_ARGUMENT

See Also:
  Constant Field Values

#### ER_X_BAD_UPDATE_DATA

    public static final int ER_X_BAD_UPDATE_DATA

See Also:
  Constant Field Values

#### ER_X_BAD_TYPE_OF_UPDATE

    public static final int ER_X_BAD_TYPE_OF_UPDATE

See Also:
  Constant Field Values

#### ER_X_BAD_COLUMN_TO_UPDATE

    public static final int ER_X_BAD_COLUMN_TO_UPDATE

See Also:
  Constant Field Values

#### ER_X_BAD_MEMBER_TO_UPDATE

    public static final int ER_X_BAD_MEMBER_TO_UPDATE

See Also:
  Constant Field Values

#### ER_X_BAD_STATEMENT_ID

    public static final int ER_X_BAD_STATEMENT_ID

See Also:
  Constant Field Values

#### ER_X_BAD_CURSOR_ID

    public static final int ER_X_BAD_CURSOR_ID

See Also:
  Constant Field Values

#### ER_X_BAD_SCHEMA

    public static final int ER_X_BAD_SCHEMA

See Also:
  Constant Field Values

#### ER_X_BAD_TABLE

    public static final int ER_X_BAD_TABLE

See Also:
  Constant Field Values

#### ER_X_BAD_PROJECTION

    public static final int ER_X_BAD_PROJECTION

See Also:
  Constant Field Values

#### ER_X_DOC_ID_MISSING

    public static final int ER_X_DOC_ID_MISSING

See Also:
  Constant Field Values

#### ER_X_DUPLICATE_ENTRY

    public static final int ER_X_DUPLICATE_ENTRY

See Also:
  Constant Field Values

#### ER_X_DOC_REQUIRED_FIELD_MISSING

    public static final int ER_X_DOC_REQUIRED_FIELD_MISSING

See Also:
  Constant Field Values

#### ER_X_PROJ_BAD_KEY_NAME

    public static final int ER_X_PROJ_BAD_KEY_NAME

See Also:
  Constant Field Values

#### ER_X_BAD_DOC_PATH

    public static final int ER_X_BAD_DOC_PATH

See Also:
  Constant Field Values

#### ER_X_CURSOR_EXISTS

    public static final int ER_X_CURSOR_EXISTS

See Also:
  Constant Field Values

#### ER_X_PREPARED_STATMENT_CAN_HAVE_ONE_CURSOR

    public static final int ER_X_PREPARED_STATMENT_CAN_HAVE_ONE_CURSOR

See Also:
  Constant Field Values

#### ER_X_PREPARED_EXECUTE_ARGUMENT_NOT_SUPPORTED

    public static final int ER_X_PREPARED_EXECUTE_ARGUMENT_NOT_SUPPORTED

See Also:
  Constant Field Values

#### ER_X_PREPARED_EXECUTE_ARGUMENT_CONSISTENCY

    public static final int ER_X_PREPARED_EXECUTE_ARGUMENT_CONSISTENCY

See Also:
  Constant Field Values

#### ER_X_CURSOR_REACHED_EOF

    public static final int ER_X_CURSOR_REACHED_EOF

See Also:
  Constant Field Values

#### ER_X_EXPR_BAD_OPERATOR

    public static final int ER_X_EXPR_BAD_OPERATOR

See Also:
  Constant Field Values

#### ER_X_EXPR_BAD_NUM_ARGS

    public static final int ER_X_EXPR_BAD_NUM_ARGS

See Also:
  Constant Field Values

#### ER_X_EXPR_MISSING_ARG

    public static final int ER_X_EXPR_MISSING_ARG

See Also:
  Constant Field Values

#### ER_X_EXPR_BAD_TYPE_VALUE

    public static final int ER_X_EXPR_BAD_TYPE_VALUE

See Also:
  Constant Field Values

#### ER_X_EXPR_BAD_VALUE

    public static final int ER_X_EXPR_BAD_VALUE

See Also:
  Constant Field Values

#### ER_X_EXPR_BAD_REGEX

    public static final int ER_X_EXPR_BAD_REGEX

See Also:
  Constant Field Values

#### ER_X_INVALID_COLLECTION

    public static final int ER_X_INVALID_COLLECTION

See Also:
  Constant Field Values

#### ER_X_INVALID_ADMIN_COMMAND

    public static final int ER_X_INVALID_ADMIN_COMMAND

See Also:
  Constant Field Values

#### ER_X_EXPECT_NOT_OPEN

    public static final int ER_X_EXPECT_NOT_OPEN

See Also:
  Constant Field Values

#### ER_X_EXPECT_NO_ERROR_FAILED

    public static final int ER_X_EXPECT_NO_ERROR_FAILED

See Also:
  Constant Field Values

#### ER_X_EXPECT_BAD_CONDITION

    public static final int ER_X_EXPECT_BAD_CONDITION

See Also:
  Constant Field Values

#### ER_X_EXPECT_BAD_CONDITION_VALUE

    public static final int ER_X_EXPECT_BAD_CONDITION_VALUE

See Also:
  Constant Field Values

#### ER_X_INVALID_NAMESPACE

    public static final int ER_X_INVALID_NAMESPACE

See Also:
  Constant Field Values

#### ER_X_BAD_NOTICE

    public static final int ER_X_BAD_NOTICE

See Also:
  Constant Field Values

#### ER_X_CANNOT_DISABLE_NOTICE

    public static final int ER_X_CANNOT_DISABLE_NOTICE

See Also:
  Constant Field Values

#### ER_X_BAD_CONFIGURATION

    public static final int ER_X_BAD_CONFIGURATION

See Also:
  Constant Field Values

#### ER_X_MYSQLX_ACCOUNT_MISSING_PERMISSIONS

    public static final int ER_X_MYSQLX_ACCOUNT_MISSING_PERMISSIONS

See Also:
  Constant Field Values

#### ER_X_EXPECT_FIELD_EXISTS_FAILED

    public static final int ER_X_EXPECT_FIELD_EXISTS_FAILED

See Also:
  Constant Field Values

#### ER_X_BAD_LOCKING

    public static final int ER_X_BAD_LOCKING

See Also:
  Constant Field Values

#### ER_X_FRAME_COMPRESSION_DISABLED

    public static final int ER_X_FRAME_COMPRESSION_DISABLED

See Also:
  Constant Field Values

#### ER_X_DECOMPRESSION_FAILED

    public static final int ER_X_DECOMPRESSION_FAILED

See Also:
  Constant Field Values

#### ER_X_BAD_COMPRESSED_FRAME

    public static final int ER_X_BAD_COMPRESSED_FRAME

See Also:
  Constant Field Values

#### ER_X_CAPABILITY_COMPRESSION_INVALID_ALGORITHM

    public static final int ER_X_CAPABILITY_COMPRESSION_INVALID_ALGORITHM

See Also:
  Constant Field Values

#### ER_X_CAPABILITY_COMPRESSION_INVALID_SERVER_STYLE

    public static final int ER_X_CAPABILITY_COMPRESSION_INVALID_SERVER_STYLE

See Also:
  Constant Field Values

#### ER_X_CAPABILITY_COMPRESSION_INVALID_CLIENT_STYLE

    public static final int ER_X_CAPABILITY_COMPRESSION_INVALID_CLIENT_STYLE

See Also:
  Constant Field Values

#### ER_X_CAPABILITY_COMPRESSION_INVALID_OPTION

    public static final int ER_X_CAPABILITY_COMPRESSION_INVALID_OPTION

See Also:
  Constant Field Values

#### ER_X_CAPABILITY_COMPRESSION_MISSING_REQUIRED_FIELDS

    public static final int ER_X_CAPABILITY_COMPRESSION_MISSING_REQUIRED_FIELDS

See Also:
  Constant Field Values

#### ER_X_DOCUMENT_DOESNT_MATCH_EXPECTED_SCHEMA

    public static final int ER_X_DOCUMENT_DOESNT_MATCH_EXPECTED_SCHEMA

See Also:
  Constant Field Values

#### ER_X_COLLECTION_OPTION_DOESNT_EXISTS

    public static final int ER_X_COLLECTION_OPTION_DOESNT_EXISTS

See Also:
  Constant Field Values

#### ER_X_INVALID_VALIDATION_SCHEMA

    public static final int ER_X_INVALID_VALIDATION_SCHEMA

See Also:
  Constant Field Values

#### ERROR_CODE_NULL_LOAD_BALANCED_CONNECTION

    public static final int ERROR_CODE_NULL_LOAD_BALANCED_CONNECTION

See Also:
  Constant Field Values

#### ERROR_CODE_REPLICATION_CONNECTION_WITH_NO_HOSTS

    public static final int ERROR_CODE_REPLICATION_CONNECTION_WITH_NO_HOSTS

See Also:
  Constant Field Values

#### SQL_STATE_WARNING

    public static final String SQL_STATE_WARNING

See Also:
  Constant Field Values

#### SQL_STATE_DISCONNECT_ERROR

    public static final String SQL_STATE_DISCONNECT_ERROR

See Also:
  Constant Field Values

#### SQL_STATE_DATE_TRUNCATED

    public static final String SQL_STATE_DATE_TRUNCATED

See Also:
  Constant Field Values

#### SQL_STATE_PRIVILEGE_NOT_REVOKED

    public static final String SQL_STATE_PRIVILEGE_NOT_REVOKED

See Also:
  Constant Field Values

#### SQL_STATE_NO_DATA

    public static final String SQL_STATE_NO_DATA

See Also:
  Constant Field Values

#### SQL_STATE_WRONG_NO_OF_PARAMETERS

    public static final String SQL_STATE_WRONG_NO_OF_PARAMETERS

See Also:
  Constant Field Values

#### SQL_STATE_UNABLE_TO_CONNECT_TO_DATASOURCE

    public static final String SQL_STATE_UNABLE_TO_CONNECT_TO_DATASOURCE

See Also:
  Constant Field Values

#### SQL_STATE_CONNECTION_IN_USE

    public static final String SQL_STATE_CONNECTION_IN_USE

See Also:
  Constant Field Values

#### SQL_STATE_CONNECTION_NOT_OPEN

    public static final String SQL_STATE_CONNECTION_NOT_OPEN

See Also:
  Constant Field Values

#### SQL_STATE_CONNECTION_REJECTED

    public static final String SQL_STATE_CONNECTION_REJECTED

See Also:
  Constant Field Values

#### SQL_STATE_CONNECTION_FAILURE

    public static final String SQL_STATE_CONNECTION_FAILURE

See Also:
  Constant Field Values

#### SQL_STATE_TRANSACTION_RESOLUTION_UNKNOWN

    public static final String SQL_STATE_TRANSACTION_RESOLUTION_UNKNOWN

See Also:
  Constant Field Values

#### SQL_STATE_COMMUNICATION_LINK_FAILURE

    public static final String SQL_STATE_COMMUNICATION_LINK_FAILURE

See Also:
  Constant Field Values

#### SQL_STATE_FEATURE_NOT_SUPPORTED

    public static final String SQL_STATE_FEATURE_NOT_SUPPORTED

See Also:
  Constant Field Values

#### SQL_STATE_CARDINALITY_VIOLATION

    public static final String SQL_STATE_CARDINALITY_VIOLATION

See Also:
  Constant Field Values

#### SQL_STATE_INSERT_VALUE_LIST_NO_MATCH_COL_LIST

    public static final String SQL_STATE_INSERT_VALUE_LIST_NO_MATCH_COL_LIST

See Also:
  Constant Field Values

#### SQL_STATE_STRING_DATA_RIGHT_TRUNCATION

    public static final String SQL_STATE_STRING_DATA_RIGHT_TRUNCATION

See Also:
  Constant Field Values

#### SQL_STATE_NUMERIC_VALUE_OUT_OF_RANGE

    public static final String SQL_STATE_NUMERIC_VALUE_OUT_OF_RANGE

See Also:
  Constant Field Values

#### SQL_STATE_INVALID_DATETIME_FORMAT

    public static final String SQL_STATE_INVALID_DATETIME_FORMAT

See Also:
  Constant Field Values

#### SQL_STATE_DATETIME_FIELD_OVERFLOW

    public static final String SQL_STATE_DATETIME_FIELD_OVERFLOW

See Also:
  Constant Field Values

#### SQL_STATE_DIVISION_BY_ZERO

    public static final String SQL_STATE_DIVISION_BY_ZERO

See Also:
  Constant Field Values

#### SQL_STATE_INVALID_CHARACTER_VALUE_FOR_CAST

    public static final String SQL_STATE_INVALID_CHARACTER_VALUE_FOR_CAST

See Also:
  Constant Field Values

#### SQL_STATE_INTEGRITY_CONSTRAINT_VIOLATION

    public static final String SQL_STATE_INTEGRITY_CONSTRAINT_VIOLATION

See Also:
  Constant Field Values

#### SQL_STATE_INVALID_CURSOR_STATE

    public static final String SQL_STATE_INVALID_CURSOR_STATE

See Also:
  Constant Field Values

#### SQL_STATE_INVALID_TRANSACTION_STATE

    public static final String SQL_STATE_INVALID_TRANSACTION_STATE

See Also:
  Constant Field Values

#### SQL_STATE_INVALID_AUTH_SPEC

    public static final String SQL_STATE_INVALID_AUTH_SPEC

See Also:
  Constant Field Values

#### SQL_STATE_INVALID_TRANSACTION_TERMINATION

    public static final String SQL_STATE_INVALID_TRANSACTION_TERMINATION

See Also:
  Constant Field Values

#### SQL_STATE_INVALID_CONDITION_NUMBER

    public static final String SQL_STATE_INVALID_CONDITION_NUMBER

See Also:
  Constant Field Values

#### SQL_STATE_INVALID_CATALOG_NAME

    public static final String SQL_STATE_INVALID_CATALOG_NAME

See Also:
  Constant Field Values

#### SQL_STATE_ROLLBACK_SERIALIZATION_FAILURE

    public static final String SQL_STATE_ROLLBACK_SERIALIZATION_FAILURE

See Also:
  Constant Field Values

#### SQL_STATE_SYNTAX_ERROR

    public static final String SQL_STATE_SYNTAX_ERROR

See Also:
  Constant Field Values

#### SQL_STATE_ER_TABLE_EXISTS_ERROR

    public static final String SQL_STATE_ER_TABLE_EXISTS_ERROR

See Also:
  Constant Field Values

#### SQL_STATE_BASE_TABLE_OR_VIEW_NOT_FOUND

    public static final String SQL_STATE_BASE_TABLE_OR_VIEW_NOT_FOUND

See Also:
  Constant Field Values

#### SQL_STATE_ER_NO_SUCH_INDEX

    public static final String SQL_STATE_ER_NO_SUCH_INDEX

See Also:
  Constant Field Values

#### SQL_STATE_ER_DUP_FIELDNAME

    public static final String SQL_STATE_ER_DUP_FIELDNAME

See Also:
  Constant Field Values

#### SQL_STATE_ER_BAD_FIELD_ERROR

    public static final String SQL_STATE_ER_BAD_FIELD_ERROR

See Also:
  Constant Field Values

#### SQL_STATE_INVALID_CONNECTION_ATTRIBUTE

    public static final String SQL_STATE_INVALID_CONNECTION_ATTRIBUTE

See Also:
  Constant Field Values

#### SQL_STATE_ERROR_IN_ROW

    public static final String SQL_STATE_ERROR_IN_ROW

See Also:
  Constant Field Values

#### SQL_STATE_NO_ROWS_UPDATED_OR_DELETED

    public static final String SQL_STATE_NO_ROWS_UPDATED_OR_DELETED

See Also:
  Constant Field Values

#### SQL_STATE_MORE_THAN_ONE_ROW_UPDATED_OR_DELETED

    public static final String SQL_STATE_MORE_THAN_ONE_ROW_UPDATED_OR_DELETED

See Also:
  Constant Field Values

#### SQL_STATE_RESIGNAL_WHEN_HANDLER_NOT_ACTIVE

    public static final String SQL_STATE_RESIGNAL_WHEN_HANDLER_NOT_ACTIVE

See Also:
  Constant Field Values

#### SQL_STATE_STACKED_DIAGNOSTICS_ACCESSED_WITHOUT_ACTIVE_HANDLER

    public static final String SQL_STATE_STACKED_DIAGNOSTICS_ACCESSED_WITHOUT_ACTIVE_HANDLER

See Also:
  Constant Field Values

#### SQL_STATE_CASE_NOT_FOUND_FOR_CASE_STATEMENT

    public static final String SQL_STATE_CASE_NOT_FOUND_FOR_CASE_STATEMENT

See Also:
  Constant Field Values

#### SQL_STATE_NULL_VALUE_NOT_ALLOWED

    public static final String SQL_STATE_NULL_VALUE_NOT_ALLOWED

See Also:
  Constant Field Values

#### SQL_STATE_INVALID_LOGARITHM_ARGUMENT

    public static final String SQL_STATE_INVALID_LOGARITHM_ARGUMENT

See Also:
  Constant Field Values

#### SQL_STATE_ACTIVE_SQL_TRANSACTION

    public static final String SQL_STATE_ACTIVE_SQL_TRANSACTION

See Also:
  Constant Field Values

#### SQL_STATE_READ_ONLY_SQL_TRANSACTION

    public static final String SQL_STATE_READ_ONLY_SQL_TRANSACTION

See Also:
  Constant Field Values

#### SQL_STATE_SRE_PROHIBITED_SQL_STATEMENT_ATTEMPTED

    public static final String SQL_STATE_SRE_PROHIBITED_SQL_STATEMENT_ATTEMPTED

See Also:
  Constant Field Values

#### SQL_STATE_SRE_FUNCTION_EXECUTED_NO_RETURN_STATEMENT

    public static final String SQL_STATE_SRE_FUNCTION_EXECUTED_NO_RETURN_STATEMENT

See Also:
  Constant Field Values

#### SQL_STATE_ER_QUERY_INTERRUPTED

    public static final String SQL_STATE_ER_QUERY_INTERRUPTED

See Also:
  Constant Field Values

#### SQL_STATE_BASE_TABLE_OR_VIEW_ALREADY_EXISTS

    public static final String SQL_STATE_BASE_TABLE_OR_VIEW_ALREADY_EXISTS

See Also:
  Constant Field Values

#### SQL_STATE_BASE_TABLE_NOT_FOUND

    public static final String SQL_STATE_BASE_TABLE_NOT_FOUND

See Also:
  Constant Field Values

#### SQL_STATE_INDEX_ALREADY_EXISTS

    public static final String SQL_STATE_INDEX_ALREADY_EXISTS

See Also:
  Constant Field Values

#### SQL_STATE_INDEX_NOT_FOUND

    public static final String SQL_STATE_INDEX_NOT_FOUND

See Also:
  Constant Field Values

#### SQL_STATE_COLUMN_ALREADY_EXISTS

    public static final String SQL_STATE_COLUMN_ALREADY_EXISTS

See Also:
  Constant Field Values

#### SQL_STATE_COLUMN_NOT_FOUND

    public static final String SQL_STATE_COLUMN_NOT_FOUND

See Also:
  Constant Field Values

#### SQL_STATE_NO_DEFAULT_FOR_COLUMN

    public static final String SQL_STATE_NO_DEFAULT_FOR_COLUMN

See Also:
  Constant Field Values

#### SQL_STATE_GENERAL_ERROR

    public static final String SQL_STATE_GENERAL_ERROR

See Also:
  Constant Field Values

#### SQL_STATE_MEMORY_ALLOCATION_FAILURE

    public static final String SQL_STATE_MEMORY_ALLOCATION_FAILURE

See Also:
  Constant Field Values

#### SQL_STATE_INVALID_COLUMN_NUMBER

    public static final String SQL_STATE_INVALID_COLUMN_NUMBER

See Also:
  Constant Field Values

#### SQL_STATE_ILLEGAL_ARGUMENT

    public static final String SQL_STATE_ILLEGAL_ARGUMENT

See Also:
  Constant Field Values

#### SQL_STATE_DRIVER_NOT_CAPABLE

    public static final String SQL_STATE_DRIVER_NOT_CAPABLE

See Also:
  Constant Field Values

#### SQL_STATE_TIMEOUT_EXPIRED

    public static final String SQL_STATE_TIMEOUT_EXPIRED

See Also:
  Constant Field Values

#### SQL_STATE_CLI_SPECIFIC_CONDITION

    public static final String SQL_STATE_CLI_SPECIFIC_CONDITION

See Also:
  Constant Field Values

#### SQL_STATE_MEMORY_ALLOCATION_ERROR

    public static final String SQL_STATE_MEMORY_ALLOCATION_ERROR

See Also:
  Constant Field Values

#### SQL_STATE_XA_RBROLLBACK

    public static final String SQL_STATE_XA_RBROLLBACK

See Also:
  Constant Field Values

#### SQL_STATE_XA_RBDEADLOCK

    public static final String SQL_STATE_XA_RBDEADLOCK

See Also:
  Constant Field Values

#### SQL_STATE_XA_RBTIMEOUT

    public static final String SQL_STATE_XA_RBTIMEOUT

See Also:
  Constant Field Values

#### SQL_STATE_XA_RMERR

    public static final String SQL_STATE_XA_RMERR

See Also:
  Constant Field Values

#### SQL_STATE_XAER_NOTA

    public static final String SQL_STATE_XAER_NOTA

See Also:
  Constant Field Values

#### SQL_STATE_XAER_INVAL

    public static final String SQL_STATE_XAER_INVAL

See Also:
  Constant Field Values

#### SQL_STATE_XAER_RMFAIL

    public static final String SQL_STATE_XAER_RMFAIL

See Also:
  Constant Field Values

#### SQL_STATE_XAER_DUPID

    public static final String SQL_STATE_XAER_DUPID

See Also:
  Constant Field Values

#### SQL_STATE_XAER_OUTSIDE

    public static final String SQL_STATE_XAER_OUTSIDE

See Also:
  Constant Field Values

#### SQL_STATE_BAD_SSL_PARAMS

    public static final String SQL_STATE_BAD_SSL_PARAMS

See Also:
  Constant Field Values

#### sqlStateMessages

    private static Map<String,String> sqlStateMessages

#### mysqlToSql99State

    public static Map<Integer,String> mysqlToSql99State

### Constructor Detail

#### MysqlErrorNumbers

    private MysqlErrorNumbers()

### Method Detail

#### get

    public static String get(String stateCode)

#### mysqlToSql99

    public static String mysqlToSql99(int errno)

#### mysqlToSqlState

    public static String mysqlToSqlState(int errno)

Map MySQL error codes to SQL-99 error codes

Parameters:
  `errno` - the MySQL error code
Returns:
  the corresponding SQL-99 error code

Copyright © 2016, 2023, Oracle and/or its affiliates.